<?php
function wpsw_ebay_searchItems($region, $public_key, $associate_tag, $rule_keywords, $product_type, $additionalParam, $min_price, $max_price, $node, $page_nr, $max)
{
    $feed_uri = 'https://www.auctionrequest.com/arfeed.php?uid=' . trim($public_key);
    if(isset($associate_tag) && $associate_tag != '')
    {
        $feed_uri .= '&campaignid=' . trim($associate_tag);
    }
    if($region != '')
    {
        $feed_uri .= '&programid=' . $region;
        $xsource = $region;
    }
    $catcnt = 1;
    if($product_type != 'All')
    {
        $feed_uri .= '&categoryId1=' . $product_type;
        $catcnt++;
    }
    if($min_price != '')
    {
        $feed_uri .= '&minPrice=' . $min_price;
    }
    if($max_price != '')
    {
        $feed_uri .= '&maxPrice=' . $max_price;
    }
    $feed_uri .= '&cond=1';
    $feed_uri .= '&descriptionSearch=true';
    $rule_keywords = explode(',', $rule_keywords);
    $rule_keywords = trim($rule_keywords[array_rand($rule_keywords)]);
    if($rule_keywords != '*')
    {
        $feed_uri .= '&keyword=';
        $feed_uri .= urlencode($rule_keywords);
    }
    $retz = wpsw_get_web_page($feed_uri);
    libxml_use_internal_errors(true);
    $result = simplexml_load_string($retz);
    return $result;
}
?>