<?php

function wpsw_legal()
{
?>
<div class="wrap gs_popuptype_holder seo_pops">
    <div>
        <form id="myForm" method="post" action="">
        <div class="cr_autocomplete">
          <input type="password" id="PreventChromeAutocomplete" 
             name="PreventChromeAutocomplete" autocomplete="address-level4" />
       </div>
<?php
    $enable_cookie = get_option('wpsw_enable_cookie');
    $only_eu = get_option('wpsw_only_eu');
    $cookie_text = get_option('wpsw_cookie_text', esc_html__('Our site uses cookies.', 'wp-setup-wizard'));
    $accept_text = get_option('wpsw_accept_text', esc_html__('Accept', 'wp-setup-wizard'));
    $decline_text = get_option('wpsw_decline_text', esc_html__('Decline', 'wp-setup-wizard'));
    $cookie_url = get_option('wpsw_cookie_url');
    $decline_url = get_option('wpsw_decline_url');
    $cookie_pos = get_option('wpsw_cookie_pos', '0');
    $show_time = get_option('wpsw_show_time', 30);
    $learn_more = get_option('wpsw_learn_more', esc_html__('Learn more', 'wp-setup-wizard'));
    $privacy_created = get_option('wpsw_privacy', false);
    $noeu = get_option( 'wpsw_noeutraffic');
    $noeuredirect = get_option( 'wpsw_noeuredirect'); 
    $noeutext = get_option( 'wpsw_noeutext'); 
    $comment_check = get_option( 'show_comments_cookies_opt_in');
    $redir_loggedin = get_option( 'wpsw_redir_loggedin');
    $redir_notloggedin = get_option( 'wpsw_redir_notloggedin');
    $redir_eu = get_option( 'wpsw_redir_eu');
    $redir_version = get_option( 'wpsw_redir_version', '1.0');
    $show_after = get_option( 'wpsw_show_after', esc_html__('I accept the contents of this page.', 'wp-setup-wizard'));
    $show_before = get_option( 'wpsw_show_before', esc_html__('You need to accept the contents of this page before you can access this site.', 'wp-setup-wizard'));
    $redir_page = get_option( 'wpsw_redir_page');
    $redir_accepted = get_option( 'wpsw_redir_accepted');
    $terms_created = get_option('wpsw_terms', false);
    $cookie_created = get_option('wpsw_cookie', false);
    $gdpr_created = get_option('wpsw_gdpr', false);
    $psx = get_option( 'wpsw_privacy_page', '-1');
    if (!get_post_status($psx))
    {
        $psx = '-1';
    }
    $tpx = get_option( 'wpsw_terms_page', '-1');
    if(!get_post_status($tpx))
    {
        $tpx = '-1';
    }
    $cpx = get_option( 'wpsw_cookie_page', '-1');
    if(!get_post_status($cpx))
    {
        $cpx = '-1';
    }
    $gpx = get_option( 'wpsw_gdpr_page', '-1');
    if(!get_post_status($gpx))
    {
        $gpx = '-1';
    }
    
    if($privacy_created !== false)
    {
        delete_option('wpsw_privacy');
        ?>
<div id="message" class="updated">
<p class="cr_saved_notif"><strong>&nbsp;<?php echo esc_html__('Privacy Policy page created: ', 'wp-setup-wizard') . '<a href="' . get_page_link($privacy_created) . '" target="_blank">' . get_page_link($privacy_created) . '</a> - <a href="http://localhost/wp/wp-admin/post.php?post=' . $privacy_created . '&action=edit" target="_blank">' . esc_html__("Edit", 'wp-setup-wizard') . '</a>';?></strong></p>
</div>
<?php
    }
    if($terms_created !== false)
    {
        delete_option('wpsw_terms');
        ?>
<div id="message" class="updated">
<p class="cr_saved_notif"><strong>&nbsp;<?php echo esc_html__('Terms and Conditions page created: ', 'wp-setup-wizard') . '<a href="' . get_page_link($terms_created) . '" target="_blank">' . get_page_link($terms_created) . '</a> - <a href="http://localhost/wp/wp-admin/post.php?post=' . $terms_created . '&action=edit" target="_blank">' . esc_html__("Edit", 'wp-setup-wizard') . '</a>';?></strong></p>
</div>
<?php
    }
    if($cookie_created !== false)
    {
        delete_option('wpsw_cookie');
        ?>
<div id="message" class="updated">
<p class="cr_saved_notif"><strong>&nbsp;<?php echo esc_html__('Cookie Policy page created: ', 'wp-setup-wizard') . '<a href="' . get_page_link($cookie_created) . '" target="_blank">' . get_page_link($cookie_created) . '</a> - <a href="http://localhost/wp/wp-admin/post.php?post=' . $cookie_created . '&action=edit" target="_blank">' . esc_html__("Edit", 'wp-setup-wizard') . '</a>';?></strong></p>
</div>
<?php
    }
    if($gdpr_created !== false)
    {
        delete_option('wpsw_gdpr');
        ?>
<div id="message" class="updated">
<p class="cr_saved_notif"><strong>&nbsp;<?php echo esc_html__('GDPR Requests page created: ', 'wp-setup-wizard') . '<a href="' . get_page_link($gdpr_created) . '" target="_blank">' . get_page_link($gdpr_created) . '</a> - <a href="http://localhost/wp/wp-admin/post.php?post=' . $gdpr_created . '&action=edit" target="_blank">' . esc_html__("Edit", 'wp-setup-wizard') . '</a>';?></strong></p>
</div>
<?php
    }
    if (isset($_GET['settings-updated'])) {
?>
<div id="message" class="updated">
<p class="cr_saved_notif"><strong>&nbsp;<?php echo esc_html__('Settings saved.', 'wp-setup-wizard');?></strong></p>
</div>
<?php
    }
?>
  <div id="cs-tab-vcc-Cookie">
  <h2><?php esc_html_e( 'Cookie Consent Notice:', 'wp-setup-wizard' ); ?>&nbsp;<span class="wpswtooltip">⚠
  <span class="wpswtooltiptext"><?php esc_html_e( 'You need to keep the plugin installed and activated for this feature to be kept active.', 'wp-setup-wizard' ); ?></span>
</span></h2>
  <hr/>
      <table class="widefat">
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to enable the cookie consent notice on your site?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Enable the "Cookie Consent Notice":', 'wp-setup-wizard' ); ?></b>
                 
                    </td><td>
                    <input type="checkbox" id="enable_cookie" name="enable_cookie"<?php if($enable_cookie == '1') {echo ' checked';}?> >
        </div>
        </td></tr>
      <tr class="cookie_hided"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to show cookie notice only to visitors that are located inside the territory of the EU?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Show Cookie Notice Only To Visitors Located In The EU:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="only_eu" name="only_eu"<?php if($only_eu == '1') {echo ' checked';}?> >
        </div>
        </td></tr>
        <tr class="cookie_hided"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set the cookie notice text that should appear in the cookie notice.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Cookie Notice Text:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="cookie_text" placeholder="<?php esc_html_e( 'Cookie notice text', 'wp-setup-wizard' ); ?>" name="cookie_text" value="<?php echo esc_attr($cookie_text);?>"/>
        </div>
        </td></tr>
        <tr class="cookie_hided"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set the accept button text that should appear in the cookie notice.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Accept Button Text:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="accept_text" placeholder="<?php esc_html_e( 'Accept button text', 'wp-setup-wizard' ); ?>" name="accept_text" value="<?php echo esc_attr($accept_text);?>"/>
        </div>
        </td></tr>
        <tr class="cookie_hided"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set the decline button text that should appear in the cookie notice.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Decline Button Text:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="decline_text" placeholder="<?php esc_html_e( 'Decline button text', 'wp-setup-wizard' ); ?>" name="decline_text" value="<?php echo esc_attr($decline_text);?>"/>
        </div>
        </td></tr>
        <tr class="cookie_hided"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set the learn more button text that should appear in the cookie notice.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Learn More Button Text:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="learn_more" placeholder="<?php esc_html_e( 'Learn more text', 'wp-setup-wizard' ); ?>" name="learn_more" value="<?php echo esc_attr($learn_more);?>"/>
        </div>
        </td></tr>
        <tr class="cookie_hided"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set the learn more button URL that should appear in the cookie notice.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Learn More Button URL:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="url" validator="url" pattern="https?://.*" id="cookie_url" placeholder="<?php esc_html_e( 'More info URL', 'wp-setup-wizard' ); ?>" name="cookie_url" value="<?php echo esc_attr($cookie_url);?>"/>
        </div>
        </td></tr>
        <tr class="cookie_hided"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set the decline button URL that should appear in the cookie notice.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Decline Button URL:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="url" validator="url" pattern="https?://.*" id="decline_url" placeholder="<?php esc_html_e( 'Decline button URL', 'wp-setup-wizard' ); ?>" name="decline_url" value="<?php echo esc_attr($decline_url);?>"/>
        </div>
        </td></tr>
        <tr class="cookie_hided"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set the position of the cookie notice.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Cookie Notice Position:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <select id="cookie_pos" name="cookie_pos"/>
                    <option value="0"<?php if($cookie_pos == '0'){echo ' selected';}?> ><?php esc_html_e( 'Bottom', 'wp-setup-wizard' ); ?></option>
                    <option value="1"<?php if($cookie_pos == '1'){echo ' selected';}?> ><?php esc_html_e( 'Top', 'wp-setup-wizard' ); ?></option>
                    </select>
        </div>
        </td></tr>
        <tr class="cookie_hided"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set the amount of days after which the cookie consent will be shown again to the same visitor. Default is 30", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Show Cookie Notice Again After (Days):', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="number" min="1" step="1" id="show_time" placeholder="30" name="show_time" value="<?php echo esc_attr($show_time);?>"/>
        </div>
        </td></tr>
      </table>
      <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit1" class="button button-primary" onclick="unsaved = false;wpsw_save_content('legal', 'Cookie');" value="<?php esc_html_e( 'Save and Apply Settings', 'wp-setup-wizard' ); ?>"/></p></div>
  <span id="wpsw_processing_Cookie"></span></div>
  <div id="cs-tab-vcc-Selector" class="cs-section x-dnone">
    <div class="hideMain">
      <h2><?php esc_html_e( 'Legal Pages Selector:', 'wp-setup-wizard' ); ?>&nbsp;<span class="wpswtooltip">⚠
  <span class="wpswtooltiptext"><?php esc_html_e( 'You need to keep the plugin installed and activated for this feature to be kept active.', 'wp-setup-wizard' ); ?></span>
</span></h2>
      <hr/>
      <table class="widefat">
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Select the privacy policy page for your site.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Assign the "Privacy Policy" Page:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
<?php
    $argx = array(
        'name' => 'privacy_page',
        'id' => 'privacy_page',
        'show_option_none' => 'None',
        'option_none_value' => '-1'
    );
    if($psx !== false)
    {
        $argx['selected'] = $psx;
    }
    wp_dropdown_pages($argx);
?>
        </div>
        </td><td>&nbsp;&nbsp;<button id="wpsw_go_privacy2" class="submit-button" ><?php echo esc_html__("Create", 'wp-setup-wizard');?></button></td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Select the terms and conditions page for your site.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Assign the "Terms and Conditions" Page:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
<?php
    $argx = array(
        'name' => 'terms_page',
        'id' => 'terms_page',
        'show_option_none' => 'None',
        'option_none_value' => '-1'
    );
    if($tpx !== false)
    {
        $argx['selected'] = $tpx;
    }
    wp_dropdown_pages($argx);
?>
        </div>
        </td><td>&nbsp;&nbsp;<button id="wpsw_go_terms2" class="submit-button" ><?php echo esc_html__("Create", 'wp-setup-wizard');?></button></td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Select the cookie policy page for your site.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Assign the "Cookie Policy" Page:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
<?php
    $argx = array(
        'name' => 'cookie_page',
        'id' => 'cookie_page',
        'show_option_none' => 'None',
        'option_none_value' => '-1'
    );
    if($cpx !== false)
    {
        $argx['selected'] = $cpx;
    }
    wp_dropdown_pages($argx);
?>
        </div>
        </td><td>&nbsp;&nbsp;<button id="wpsw_go_cookiepol2" class="submit-button" ><?php echo esc_html__("Create", 'wp-setup-wizard');?></button></td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Select the GDPR requests page for your site.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Assign the "GDPR Requests" Page:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
<?php
    $argx = array(
        'name' => 'gdpr_page',
        'id' => 'gdpr_page',
        'show_option_none' => 'None',
        'option_none_value' => '-1'
    );
    if($gpx !== false)
    {
        $argx['selected'] = $gpx;
    }
    wp_dropdown_pages($argx);
?>
        </div>
        </td><td>&nbsp;&nbsp;<button id="wpsw_go_gdpr2" class="submit-button" ><?php echo esc_html__("Create", 'wp-setup-wizard');?></button></td></tr>
      </table>
        </div>
         <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit2" class="button button-primary" onclick="unsaved = false;wpsw_save_content('selector', 'Selector');" value="<?php esc_html_e( 'Save Settings', 'wp-setup-wizard' ); ?>"/></p></div>
  <span id="wpsw_processing_Selector"></span></div>
  <div id="cs-tab-vcc-Privacy" class="cs-section x-dnone">
    <div class="hideMain">
      <h2><?php esc_html_e( 'Privacy Policy Page Generator:', 'wp-setup-wizard' ); ?></h2>
      <hr/>
      <table class="widefat">
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter the name of your site.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Site Name:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="sitename" placeholder="<?php esc_html_e( 'Your site\'s name', 'wp-setup-wizard' ); ?>" name="sitename" value="<?php echo get_bloginfo( 'name' );?>"/>
        </div>
        </td></tr>
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter the name of company (optional).", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Company Name (Optional):', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="company" placeholder="<?php esc_html_e( 'Your company\'s name', 'wp-setup-wizard' ); ?>" name="company" value=""/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter your email address.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Email Address:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="email" id="email" placeholder="<?php esc_html_e( 'Email address', 'wp-setup-wizard' ); ?>" name="email" value="<?php echo get_bloginfo( 'admin_email' );?>"/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter your address.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Address:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="address" placeholder="<?php esc_html_e( 'Address', 'wp-setup-wizard' ); ?>" name="address" value=""/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter your country's name.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Country:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="country" placeholder="<?php esc_html_e( 'Country', 'wp-setup-wizard' ); ?>" name="country" value=""/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter your hosting company's name.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Hosting Company\'s Name:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="hosting" placeholder="<?php esc_html_e( 'Hosting company', 'wp-setup-wizard' ); ?>" name="hosting" value=""/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter your autoresponder serivce name (if any).", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Your Autoresponder Service (if any):', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="autoresponder" placeholder="<?php esc_html_e( 'Autoresponder', 'wp-setup-wizard' ); ?>" name="autoresponder" value=""/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter a list of other services that have access to your data (if any).", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Other Services With Data Access (if any):', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="otherservices" placeholder="<?php esc_html_e( 'Other services', 'wp-setup-wizard' ); ?>" name="otherservices" value=""/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter the title of the Privacy Policy Page to be created.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Privacy Policy Page Title:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="page_title" placeholder="<?php esc_html_e( 'Privacy Policy', 'wp-setup-wizard' ); ?>" name="page_title" value="<?php esc_html_e( 'Privacy Policy', 'wp-setup-wizard' ); ?>"/>
        </div>
        </td></tr>
      </table>
        </div>
         <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit3" class="button button-primary" onclick="unsaved = false;wpsw_save_content('privacy', 'Privacy');" value="<?php esc_html_e( 'Generate', 'wp-setup-wizard' ); ?>"/></p></div>
  <span id="wpsw_processing_Privacy"></span></div>
  <div id="cs-tab-vcc-Terms" class="cs-section x-dnone">
    <div class="hideMain">
    <h2><?php esc_html_e( 'Terms and Conditions Page Generator:', 'wp-setup-wizard' ); ?></h2>
        <hr/>
         <table class="widefat">
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter the name of your site.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Site Name:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="tsitename" placeholder="<?php esc_html_e( 'Your site\'s name', 'wp-setup-wizard' ); ?>" name="sitename" value="<?php echo get_bloginfo( 'name' );?>"/>
        </div>
        </td></tr>
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter the URL of your site", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Site URL:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="tsiteurl" placeholder="<?php esc_html_e( 'Your site URL', 'wp-setup-wizard' ); ?>" name="siteurl" value="<?php echo get_site_url();?>"/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter your email address.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Email Address:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="email" id="temail" placeholder="<?php esc_html_e( 'Email address', 'wp-setup-wizard' ); ?>" name="email" value="<?php echo get_bloginfo( 'admin_email' );?>"/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter your country's name.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Country:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="tcountry" placeholder="<?php esc_html_e( 'Country', 'wp-setup-wizard' ); ?>" name="country" value=""/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter your state.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'State:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="tstate" placeholder="<?php esc_html_e( 'State', 'wp-setup-wizard' ); ?>" name="state" value=""/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter the title of the Terms and Conditions Page to be created.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Terms and Conditions Page Title:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="tpage_title" placeholder="<?php esc_html_e( 'Terms and Conditions', 'wp-setup-wizard' ); ?>" name="page_title" value="<?php esc_html_e( 'Terms and Conditions', 'wp-setup-wizard' ); ?>"/>
        </div>
        </td></tr>
        <tr><td colspan="2">
        <h4><?php esc_html_e( '"Terms and Conditions" page additional content:', 'wp-setup-wizard' ); ?></h4>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Check if you wish to add a 'medical disclaimer' section in the generated page.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Medical Disclaimer:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="tmedical" name="medical">
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Check if you wish to add an 'online payments' section in the generated page.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Online Payments:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="tpayments" name="payments">
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter the name of the payment processor you are using.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Payment Processor Name:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="tpaymentprocessor" placeholder="<?php esc_html_e( 'Payment processor name', 'wp-setup-wizard' ); ?>" name="paymentprocessor" value=""/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter the address of the payment processor you are using.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Payment Processor Address:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="tpaymentprocessoraddr" placeholder="<?php esc_html_e( 'Payment processor address', 'wp-setup-wizard' ); ?>" name="paymentprocessoraddr" value=""/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Check if you wish to add a 'California Transparency Act' section in the generated page.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'California Transparency Act:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="tcalifornia" name="california">
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Check if you wish to add a 'subcontracting' section in the generated page.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Subcontracting:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="tsubcontracting" name="subcontracting">
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Check if you wish to add an 'training or development for employees' section in the generated page.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Training Or Development for Employees:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="ttraining" name="training">
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Check if users can create accounts on your site.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Users Can Create Accounts:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="taccounts" name="accounts">
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Check if you can terminate accounts of users on your site.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'You Can Terminate User Accounts:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="tterminate" name="terminate">
        </div>
        </td></tr>
      </table>
    </div>
         <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit4" class="button button-primary" onclick="unsaved = false;wpsw_save_content('terms', 'Terms');" value="<?php esc_html_e( 'Generate', 'wp-setup-wizard' ); ?>"/></p></div>
  <span id="wpsw_processing_Terms"></span></div>
  <div id="cs-tab-vcc-CookiePol" class="cs-section x-dnone">
    <div class="hideMain">
    <h2><?php esc_html_e( 'Cookie Policy Page Generator:', 'wp-setup-wizard' ); ?></h2>
        <hr/>
       <table class="widefat">
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter the name of your site.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Site Name:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="csitename" placeholder="<?php esc_html_e( 'Your site\'s name', 'wp-setup-wizard' ); ?>" name="sitename" value="<?php echo get_bloginfo( 'name' );?>"/>
        </div>
        </td></tr>
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter the URL of your site", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Site URL:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="csiteurl" placeholder="<?php esc_html_e( 'Your site URL', 'wp-setup-wizard' ); ?>" name="siteurl" value="<?php echo get_site_url();?>"/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter your email address.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Email Address:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="email" id="cemail" placeholder="<?php esc_html_e( 'Email address', 'wp-setup-wizard' ); ?>" name="email" value="<?php echo get_bloginfo( 'admin_email' );?>"/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Select the checkboxes that apply in your case.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Your Website Uses Cookies For:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="caccount" name="caccount">&nbsp;&nbsp;<?php esc_html_e( 'Account Creation', 'wp-setup-wizard' ); ?><br/>
                    <input type="checkbox" id="clogin" name="clogin">&nbsp;&nbsp;<?php esc_html_e( 'User Login', 'wp-setup-wizard' ); ?><br/>
                    <input type="checkbox" id="cnewsletter" name="cnewsletter">&nbsp;&nbsp;<?php esc_html_e( 'Newsletter', 'wp-setup-wizard' ); ?><br/>
                    <input type="checkbox" id="corders" name="corders">&nbsp;&nbsp;<?php esc_html_e( 'Online Orders', 'wp-setup-wizard' ); ?><br/>
                    <input type="checkbox" id="csurvey" name="csurvey">&nbsp;&nbsp;<?php esc_html_e( 'User Surveys', 'wp-setup-wizard' ); ?><br/>
                    <input type="checkbox" id="cform" name="cform">&nbsp;&nbsp;<?php esc_html_e( 'Form Submissions', 'wp-setup-wizard' ); ?><br/>
                    <input type="checkbox" id="cpreferences" name="cpreferences">&nbsp;&nbsp;<?php esc_html_e( 'User Site Preferences', 'wp-setup-wizard' ); ?>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Check the third party services that are active on your site, that also use cookies.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Third Party Services:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="cganalytics" name="cganalytics">&nbsp;&nbsp;<?php esc_html_e( 'Google Analytics', 'wp-setup-wizard' ); ?><br/>
                    <input type="checkbox" id="canalytics" name="canalytics">&nbsp;&nbsp;<?php esc_html_e( 'Other Analytics', 'wp-setup-wizard' ); ?><br/>
                    <input type="checkbox" id="cconversion" name="cconversion">&nbsp;&nbsp;<?php esc_html_e( 'Conversion Tracking', 'wp-setup-wizard' ); ?><br/>
                    <input type="checkbox" id="coptimization" name="coptimization">&nbsp;&nbsp;<?php esc_html_e( 'Website Optimization', 'wp-setup-wizard' ); ?><br/>
                    <input type="checkbox" id="cbehavioural" name="cbehavioural">&nbsp;&nbsp;<?php esc_html_e( 'Behavioral Advertising', 'wp-setup-wizard' ); ?><br/>
                    <input type="checkbox" id="ctracking" name="ctracking">&nbsp;&nbsp;<?php esc_html_e( 'Affiliate Tracking', 'wp-setup-wizard' ); ?><br/>
                    <input type="checkbox" id="cadsense" name="cadsense">&nbsp;&nbsp;<?php esc_html_e( 'AdSense', 'wp-setup-wizard' ); ?><br/>
                    <input type="checkbox" id="csocialmedia" name="csocialmedia">&nbsp;&nbsp;<?php esc_html_e( 'Social Media Tracking', 'wp-setup-wizard' ); ?>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter the title of the Cookie Policy Page to be created.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Cookie Policy Page Title:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="cpage_title" placeholder="<?php esc_html_e( 'Cookie Policy', 'wp-setup-wizard' ); ?>" name="page_title" value="<?php esc_html_e( 'Cookie Policy', 'wp-setup-wizard' ); ?>"/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Input the URL where people can contact you regarding the Cookie Policy.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Contact Form URL (Optional):', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="url" id="ccontacturl" placeholder="<?php esc_html_e( 'Contact URL', 'wp-setup-wizard' ); ?>" name="contacturl" value=""/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Input your contact phone number for Cookie Policy queries.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Contact Phone Number (Optional):', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="cphone_address" placeholder="<?php esc_html_e( 'Phone Number', 'wp-setup-wizard' ); ?>" name="phone_address" value=""/>
        </div>
        </td></tr>
      </table>
    </div>
         <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit5" class="button button-primary" onclick="unsaved = false;wpsw_save_content('cookiepol', 'CookiePol');" value="<?php esc_html_e( 'Generate', 'wp-setup-wizard' ); ?>"/></p></div>
  <span id="wpsw_processing_CookiePol"></span></div>
  <div id="cs-tab-vcc-GDPRPage" class="cs-section x-dnone">
    <div class="hideMain">
      <h2><?php esc_html_e( 'GDPR Requests Page Generator:', 'wp-setup-wizard' ); ?></h2>
      <hr/>
       <table class="widefat">
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter the title of the GDPR Requests Page to be created.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'GDPR Requests Page Title:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="gpage_title" placeholder="<?php esc_html_e( 'GDPR Requests', 'wp-setup-wizard' ); ?>" name="page_title" value="<?php esc_html_e( 'GDPR Requests', 'wp-setup-wizard' ); ?>"/>
        </div>
        </td></tr>
      </table>
        </div>
         <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit6" class="button button-primary" onclick="unsaved = false;wpsw_save_content('gdprpage', 'GDPRPage');" value="<?php esc_html_e( 'Generate', 'wp-setup-wizard' ); ?>"/></p></div>
  <span id="wpsw_processing_GDPRPage"></span></div>
  <div id="cs-tab-vcc-GDPRRedir" class="cs-section x-dnone">
    <div class="hideMain">
      <h2><?php esc_html_e( 'GDPR Page Redirect:', 'wp-setup-wizard' ); ?>&nbsp;<span class="wpswtooltip">⚠
  <span class="wpswtooltiptext"><?php esc_html_e( 'You need to keep the plugin installed and activated for this feature to be kept active.', 'wp-setup-wizard' ); ?></span>
</span></h2>
      <hr/>
       <table class="widefat">
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Select the the page where to redirect visitors.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Redirect Visitors To Page:', 'wp-setup-wizard' ); ?></b>
                   
                    </td><td>
<?php
    $argx = array(
        'name' => 'redir_page',
        'id' => 'redir_page',
        'show_option_none' => esc_html__('No Redirect', 'wp-setup-wizard'),
        'option_none_value' => '-1'
    );
    if($redir_page !== false)
    {
        $argx['selected'] = $redir_page;
    }
    wp_dropdown_pages($argx);
?>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Select the the page where to redirect visitors after they accepted the contents of the redirected page.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Redirect After Accepted:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
<?php
    $argx = array(
        'name' => 'redir_accepted',
        'id' => 'redir_accepted',
        'show_option_none' => esc_html__('No Redirect', 'wp-setup-wizard'),
        'option_none_value' => '-1'
    );
    if($redir_accepted !== false)
    {
        $argx['selected'] = $redir_accepted;
    }
    wpsw_dropdown_pages($argx);
?>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Select if you wish to redirect visitors that are logged in to the page you select. They will be redirected until they accept the contents of the page. The page can be a Privacy Policy page or a Terms and Conditions page. You can force visitors to accept these terms beore accessing your site.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Redirect Logged In Users:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="redir_loggedin" name="redir_loggedin" <?php if($redir_loggedin == '1') echo 'checked';?> >
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Select if you wish to redirect visitors that are not logged in to the page you select. They will be redirected until they accept the contents of the page. The page can be a Privacy Policy page or a Terms and Conditions page. You can force visitors to accept these terms beore accessing your site.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Redirect Not Logged In Users:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="redir_notloggedin" name="redir_notloggedin" <?php if($redir_notloggedin == '1') echo 'checked';?>>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Select if you wish to redirect only visitors from the EU zone.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Redirect Only EU Visitors:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="redir_eu" name="redir_eu" <?php if($redir_eu == '1') echo 'checked';?>>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter the version number of your page. If you change this, the redirect will appear again also for all visitors that already accepted the page.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Page Version Number:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="redir_version" placeholder="<?php esc_html_e( 'Page version number', 'wp-setup-wizard' ); ?>" name="redir_version" value="<?php echo esc_attr($redir_version);?>"/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Add the text that should appear on the top of the redirected page.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Text To Show On Top Of The Redirected Page:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="show_before" placeholder="<?php esc_html_e( 'Text to show before', 'wp-setup-wizard' ); ?>" name="show_before" value="<?php echo esc_attr($show_before);?>"/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Add the text that should appear on the bottom of the redirected page.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Text To Show On Bottom Of The Redirected Page:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="show_after" placeholder="<?php esc_html_e( 'Text to show after', 'wp-setup-wizard' ); ?>" name="show_after" value="<?php echo esc_attr($show_after);?>"/>
        </div>
        </td></tr>
        
      </table>
        </div>
         <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit7" class="button button-primary" onclick="unsaved = false;wpsw_save_content('gdprredir', 'GDPRRedir');" value="<?php esc_html_e( 'Save and Apply Settings', 'wp-setup-wizard' ); ?>"/></p></div>
  <span id="wpsw_processing_GDPRRedir"></span></div>
  <div id="cs-tab-vcc-GDPR" class="cs-section x-dnone">
                    <div class="hideMain">
        <h2><?php esc_html_e( 'GDPR Compliance:', 'wp-setup-wizard' ); ?></h2>
        <hr/>
<?php
if($noeu == '1')
{
    echo '<h3 class="cr_green">' . esc_html__("Your site does not need to be GDPR Compliant because you are not accepting traffic from inside the EU zone.", 'wp-setup-wizard') . '</h3>';
}
else
{
    $gdpr_ok = true;
    if($enable_cookie == '1')
    {
        echo '<span>' . esc_html__("1. Cookie consent configured. Check:", 'wp-setup-wizard') . '</span>&nbsp;&nbsp;&nbsp;<span class="cr_green">' . esc_html__("OK", 'wp-setup-wizard') . '</span>';
    }
    else
    {
        echo '<span>' . esc_html__("1. Cookie consent NOT configured. Check:", 'wp-setup-wizard') . '</span>&nbsp;&nbsp;&nbsp;<span class="cr_red"><b>' . esc_html__("Failed", 'wp-setup-wizard') . '</b></span> - 
        <button id="wpsw_go_cookie" class="submit-button" >' . esc_html__("Configure here", 'wp-setup-wizard') . '</button>';
        $gdpr_ok = false;
    }
    if($cpx != '-1' && $psx != '-1' && $tpx != '-1' && $gpx != '-1')
    {
        echo '<br/><span>' . esc_html__("2. All legal pages generated and configured correctly. Check:", 'wp-setup-wizard') . '</span>&nbsp;&nbsp;&nbsp;<span class="cr_green">' . esc_html__("OK", 'wp-setup-wizard') . '</span>';
    }
    else
    {
        echo '<br/><span>' . esc_html__("2. Legal pages are not generated or assigned correctly. Check:", 'wp-setup-wizard') . '</span>&nbsp;&nbsp;&nbsp;<span class="cr_red"><b>' . esc_html__("Failed", 'wp-setup-wizard') . '</b></span>';
        echo '<br/> <table class="widefat">';
        if($psx == '-1')
        {
            echo '<tr>';
            echo '<td>' . esc_html__("'Privacy Policy' page not configured!", 'wp-setup-wizard') . '</td><td>
            <button id="wpsw_go_privacy" class="submit-button" >' . esc_html__("Create", 'wp-setup-wizard') . '</button></td><td>
            <button id="wpsw_go_selector2" class="submit-button" >' . esc_html__("Assign", 'wp-setup-wizard') . '</button></td>';
            echo '</tr>';
        }
        if($tpx == '-1')
        {
            echo '<tr>';
            echo '<td>' . esc_html__("'Terms and Conditions' page not configured!", 'wp-setup-wizard') . '</td><td>
            <button id="wpsw_go_terms" class="submit-button" >' . esc_html__("Create", 'wp-setup-wizard') . '</button></td><td>
            <button id="wpsw_go_selector3" class="submit-button" >' . esc_html__("Assign", 'wp-setup-wizard') . '</button></td>';
            echo '</tr>';
        }
        if($cpx == '-1')
        {
            echo '<tr>';
            echo '<td>' . esc_html__("'Cookie Policy' page not configured!", 'wp-setup-wizard') . '</td><td>
            <button id="wpsw_go_cookiepol" class="submit-button" >' . esc_html__("Create", 'wp-setup-wizard') . '</button></td><td>
            <button id="wpsw_go_selector" class="submit-button" >' . esc_html__("Assign", 'wp-setup-wizard') . '</button></td>';
            echo '</tr>';
        }
        if($gpx == '-1')
        {
            echo '<tr>';
            echo '<td>' . esc_html__("'GDPR Requests' page not configured!", 'wp-setup-wizard') . '</td><td>
            <button id="wpsw_go_gdpr" class="submit-button" >' . esc_html__("Create", 'wp-setup-wizard') . '</button></td><td>
            <button id="wpsw_go_selector4" class="submit-button" >' . esc_html__("Assign", 'wp-setup-wizard') . '</button></td>';
            echo '</tr>';
        }
        echo '</table>';
        $gdpr_ok = false;
    }
    if($comment_check == '1')
    {
        echo '<br/><span>' . esc_html__("3. Comments cookies opt-in checkbox enabled. Check:", 'wp-setup-wizard') . '</span>&nbsp;&nbsp;&nbsp;<span class="cr_green">' . esc_html__("OK", 'wp-setup-wizard') . '</span>';
    }
    else
    {
        echo '<br/><span>' . esc_html__("3. Comments cookies opt-in checkbox NOT activated. Check:", 'wp-setup-wizard') . '</span>&nbsp;&nbsp;&nbsp;<span class="cr_red"><b>' . esc_html__("Failed", 'wp-setup-wizard') . '</b></span> - 
        <button id="wpsw_go_checkbox" class="submit-button" >' . esc_html__("Activate here", 'wp-setup-wizard') . '</button>';
        $gdpr_ok = false;
    }
    echo '<h3>' . esc_html__("GDPR Assessment Result:", 'wp-setup-wizard') . '</h3>';
    if($gdpr_ok == true)
    {
        echo '<h3 class="cr_green">' . esc_html__("Your site is GDPR Compliant because it has all requirements set up (you are also accepting traffic from the EU).", 'wp-setup-wizard') . '</h3>';
    }
    else
    {
        echo '<h3 class="cr_red">' . esc_html__("Your site is NOT GDPR Compliant because you are accepting traffic from inside the EU zone and do meet one or more required conditions.", 'wp-setup-wizard') . '</h3>';
    }
}
?>
<hr/>
         <table class="widefat">
        <tr><td colspan="2">
        <h2><?php esc_html_e( 'Limitation of visitor access from inside the EU:', 'wp-setup-wizard' ); ?></h2>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Check if you do not want to accept traffic from EU visitors. In this case, your website will not need to be GDPR compliant.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Do Not Accept Traffic From EU Visitors:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="noeutraffic" name="noeutraffic"<?php if($noeu == '1'){echo ' checked';}?> >
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set the redirect URL for EU visitors. This works only if the above checkbox is checked.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'EU Visitors Redirect URL:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="url" validator="url" pattern="https?://.*" id="noeuredirect" placeholder="<?php esc_html_e( 'Redirect URL for EU Visitors', 'wp-setup-wizard' ); ?>" name="noeuredirect" value="<?php echo esc_attr($noeuredirect);?>"/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set the text that will appear to EU visitors who are not allowed on your website. This works only if the above checkbox is checked and the 'EU Visitors Redirect URL' is left blank. The default text is (if you leave this field blank): 'Sorry, but we are not accepting traffic from the EU region.'", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'EU Visitors Not Allowed Text:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <textarea id="noeutext" placeholder="<?php esc_html_e( 'Sorry, but we are not accepting traffic from the EU region.', 'wp-setup-wizard' ); ?>" name="noeutext"><?php echo esc_attr($noeutext);?></textarea>
        </div>
        </td></tr>
        <tr><td colspan="2">
        <h2><?php esc_html_e( 'Other GDPR Settings:', 'wp-setup-wizard' ); ?></h2>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enable the cookie consent checkbox for comment form. This might not have an effect if your theme is using a custom comment form.", 'wp-setup-wizard') . ' <a href="https://www.google.com/recaptcha/admin/create" target="_blank">https://www.google.com/recaptcha/admin/create</a>';
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Show Comments Cookies Opt-In Checkbox:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="checkbox" id="comment_check" name="comment_check"<?php if($comment_check == '1'){echo ' checked';}?> >
        </div>
        </td></tr>
        </table>
    </div>
         <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit8" class="button button-primary" onclick="unsaved = false;wpsw_save_content('gdpr', 'GDPR');" value="<?php esc_html_e( 'Save and Apply Settings', 'wp-setup-wizard' ); ?>"/></p></div>
  <span id="wpsw_processing_GDPR"></span></div>
    </form>
    <p><?php esc_html_e( 'Disclaimer: This plugin may not provide full protection for your site, depending on how your site stores and uses personal data. We think our technique meets the basic notification requirements of GDPR, but you should consult with your legal advisors for guidance on what your site needs to do for GDPR compliance. Here is the ‘official’ GDPR site: ', 'wp-setup-wizard' ); ?><a href="https://gdpr-info.eu/" target="_blank">https://gdpr-info.eu/</a></p>
    </div>
</div>
<?php
}