<?php
function wpsw_admin_init_back()
{
    if(isset($_POST['wpsw_download_rules_to_file']))
    {
        $rules = array();
        $rules['0'] = 'wpsw_backup_file';
        //branding settings
        $rules['wpsw_login_enable'] = get_option('wpsw_login_enable');
        $rules['wpsw_login_color'] = get_option('wpsw_login_color');
        $rules['wpsw_login_image'] = get_option( 'wpsw_login_image' );
        $rules['wpsw_login_logo'] = get_option( 'wpsw_login_logo' );
        $rules['wpsw_bar_logo'] = get_option( 'wpsw_bar_logo' );
        $rules['wpsw_login_color_form'] = get_option('wpsw_login_color_form');
        $rules['wpsw_login_image_form'] = get_option( 'wpsw_login_image_form' );
        $rules['wpsw_header_image'] = get_option( 'wpsw_header_image' );
        $rules['wpsw_text_color_form'] = get_option( 'wpsw_text_color_form' );
        $rules['wpsw_button_color_form'] = get_option( 'wpsw_button_color_form' );
        $rules['wpsw_button_color_text'] = get_option( 'wpsw_button_color_text' );
        $rules['wpsw_button_color_link'] = get_option( 'wpsw_button_color_link' );
        $rules['wpsw_button_color_linkh'] = get_option( 'wpsw_button_color_linkh' );
        $rules['wpsw_bar_hide'] = get_option( 'wpsw_bar_hide' );
        $rules['wpsw_bar_url'] = get_option( 'wpsw_bar_url' );
        $rules['wpsw_bar_menu'] = get_option( 'wpsw_bar_menu' );
        $rules['wpsw_dash_screen'] = get_option( 'wpsw_dash_screen' );
        $rules['wpsw_dash_help'] = get_option( 'wpsw_dash_help' );
        $rules['wpsw_howdy_text'] = get_option( 'wpsw_howdy_text' );
        $rules['wpsw_left_text'] = get_option( 'wpsw_left_text' );
        $rules['wpsw_right_text'] = get_option( 'wpsw_right_text' );
        $rules['wpsw_admin_intro'] = get_option( 'wpsw_admin_intro' );
        $rules['wpsw_admin_dash'] = get_option( 'wpsw_admin_dash' );
        $rules['wpsw_dash_welcome'] = get_option( 'wpsw_dash_welcome' );
        $rules['wpsw_dash_other'] = get_option( 'wpsw_dash_other' );
        $rules['wpsw_dash_edit'] = get_option( 'wpsw_dash_edit', array() );
        $rules['wpsw_dash_hide'] = get_option( 'wpsw_dash_hide', array() );
        //legal settings
        $rules['wpsw_enable_cookie'] = get_option('wpsw_enable_cookie');
        $rules['wpsw_only_eu'] = get_option('wpsw_only_eu');
        $rules['wpsw_cookie_text'] = get_option('wpsw_cookie_text', esc_html__('Our site uses cookies.', 'wp-setup-wizard'));
        $rules['wpsw_accept_text'] = get_option('wpsw_accept_text', esc_html__('Accept', 'wp-setup-wizard'));
        $rules['wpsw_decline_text'] = get_option('wpsw_decline_text', esc_html__('Decline', 'wp-setup-wizard'));
        $rules['wpsw_cookie_url'] = get_option('wpsw_cookie_url');
        $rules['wpsw_decline_url'] = get_option('wpsw_decline_url');
        $rules['wpsw_cookie_pos'] = get_option('wpsw_cookie_pos', '0');
        $rules['wpsw_show_time'] = get_option('wpsw_show_time', 30);
        $rules['wpsw_learn_more'] = get_option('wpsw_learn_more', esc_html__('Learn more', 'wp-setup-wizard'));
        $rules['wpsw_privacy'] = get_option('wpsw_privacy', false);
        $rules['wpsw_noeutraffic'] = get_option( 'wpsw_noeutraffic');
        $rules['wpsw_noeuredirect'] = get_option( 'wpsw_noeuredirect'); 
        $rules['wpsw_noeutext'] = get_option( 'wpsw_noeutext'); 
        $rules['show_comments_cookies_opt_in'] = get_option( 'show_comments_cookies_opt_in');
        $rules['wpsw_redir_loggedin'] = get_option( 'wpsw_redir_loggedin');
        $rules['wpsw_redir_notloggedin'] = get_option( 'wpsw_redir_notloggedin');
        $rules['wpsw_redir_eu'] = get_option( 'wpsw_redir_eu');
        $rules['wpsw_redir_version'] = get_option( 'wpsw_redir_version', '1.0');
        $rules['wpsw_show_after'] = get_option( 'wpsw_show_after', esc_html__('I accept the contents of this page.', 'wp-setup-wizard'));
        $rules['wpsw_show_before'] = get_option( 'wpsw_show_before', esc_html__('You need to accept the contents of this page before you can access this site.', 'wp-setup-wizard'));
        $rules['wpsw_redir_page'] = get_option( 'wpsw_redir_page');
        $rules['wpsw_redir_accepted'] = get_option( 'wpsw_redir_accepted');
        $rules['wpsw_terms'] = get_option('wpsw_terms', false);
        $rules['wpsw_cookie'] = get_option('wpsw_cookie', false);
        $rules['wpsw_gdpr'] = get_option('wpsw_gdpr', false);
        $rules['wpsw_privacy_page'] = get_option( 'wpsw_privacy_page', '-1');
        if (!get_post_status($rules['wpsw_privacy_page']))
        {
            $rules['wpsw_privacy_page'] = '-1';
        }
        $rules['wpsw_terms_page'] = get_option( 'wpsw_terms_page', '-1');
        if(!get_post_status($rules['wpsw_terms_page']))
        {
            $rules['wpsw_terms_page'] = '-1';
        }
        $rules['wpsw_cookie_page'] = get_option( 'wpsw_cookie_page', '-1');
        if(!get_post_status($rules['wpsw_cookie_page']))
        {
            $rules['wpsw_cookie_page'] = '-1';
        }
        $rules['wpsw_gdpr_page'] = get_option( 'wpsw_gdpr_page', '-1');
        if(!get_post_status($rules['wpsw_gdpr_page']))
        {
            $rules['wpsw_gdpr_page'] = '-1';
        }
        //content settings
        $rules['wpsw_d_pocomm'] = get_option('wpsw_d_pocomm');
        $rules['wpsw_d_pacomm'] = get_option('wpsw_d_pacomm');
        $rules['wpsw_comm_fb'] = get_option('wpsw_comm_fb');
        $rules['wpsw_img_quality'] = get_option('wpsw_img_quality', '90');
        $rules['wpsw_rem_exif'] = get_option('wpsw_rem_exif');
        $rules['wpsw_watermark'] = get_option('wpsw_watermark', '');
        $rules['wpsw_force_login'] = get_option('wpsw_force_login');
        $rules['wpsw_header_code'] = get_option('wpsw_header_code');
        $rules['wpsw_footer_code'] = get_option('wpsw_footer_code');
        $rules['wpsw_css_code'] = get_option('wpsw_css_code');
        $rules['wpsw_enable_construction'] = get_option('wpsw_enable_construction');
        $rules['wpsw_under_construction'] = get_option('wpsw_under_construction');
        $rules['comments_notify'] = get_option('comments_notify');
        $rules['moderation_notify'] = get_option('moderation_notify');
        $rules['comment_moderation'] = get_option('comment_moderation');
        $rules['wpsw_from_email'] = get_option('wpsw_from_email');
        $rules['wpsw_from_name'] = get_option('wpsw_from_name');
        $rules['wpsw_media_manager_fav'] = get_option('wpsw_media_manager_fav');
        $rules['hide_wpsw_banner'] = get_option('hide_wpsw_banner');
        $rules['default_role'] = get_option( 'default_role' );
        $rules['gmt_offset'] = get_option( 'gmt_offset' );
        $rules['timezone_string'] = get_option( 'timezone_string' );
        $rules['wpsw_banner_text'] = get_option('wpsw_banner_text');
        $rules['wpsw_banner_font_size'] = get_option('wpsw_banner_font_size');
        $rules['wpsw_banner_color'] = get_option('wpsw_banner_color');
        $rules['wpsw_banner_text_color'] = get_option('wpsw_banner_text_color');
        $rules['wpsw_banner_link_color'] = get_option('wpsw_banner_link_color');
        $rules['wpsw_banner_custom_css'] = get_option('wpsw_banner_custom_css');
        $rules['wpsw_banner_scrolling_custom_css'] = get_option('wpsw_banner_scrolling_custom_css');
        $rules['wpsw_banner_text_custom_css'] = get_option('wpsw_banner_text_custom_css');
        $rules['wpsw_header_margin'] = get_option('wpsw_header_margin');
        $rules['wpsw_banner_position'] = get_option('wpsw_banner_position');
        $rules['default_category'] = get_option('default_category');
        $rules['default_category'] = get_cat_name($rules['default_category']);
        $rules['permalink_structure'] = get_option( 'permalink_structure' );
        $rules['users_can_register'] = get_option( 'users_can_register' );
        $rules['date_format'] = get_option( 'date_format' );
        $rules['time_format'] = get_option( 'time_format' );
        //monetize options
        $rules['wpsw_google_adsense'] = get_option('wpsw_google_adsense');
        //amazon
        $rules['wpsw_amazon'] = get_option('wpsw_amazon');
        $rules['wpsw_amazon_id'] = get_option('wpsw_amazon_id');
        $rules['wpsw_amazon_secret'] = get_option('wpsw_amazon_secret');
        $rules['wpsw_amazon_source'] = get_option('wpsw_amazon_source', 'com');
        $rules['wpsw_amazon_aff'] = get_option('wpsw_amazon_aff');
        $rules['wpsw_amazon_search'] = get_option('wpsw_amazon_search');
        $rules['wpsw_amazon_cat'] = get_option('wpsw_amazon_cat', 'All');
        $rules['wpsw_amazon_max'] = get_option('wpsw_amazon_max', 3);
        $rules['wpsw_amazon_image'] = get_option('wpsw_amazon_image', '1');
        $rules['wpsw_amazon_width'] = get_option('wpsw_amazon_width', '300');
        $rules['wpsw_amazon_height'] = get_option('wpsw_amazon_height', '200');
        $rules['wpsw_amazon_shead'] = get_option('wpsw_amazon_shead');
        $rules['wpsw_amazon_sbuy'] = get_option('wpsw_amazon_sbuy');
        $rules['wpsw_amazon_price'] = get_option('wpsw_amazon_price');
        $rules['wpsw_amazon_header'] = get_option('wpsw_amazon_header', esc_html__('Amazon Offers', 'wp-setup-wizard'));
        $rules['wpsw_amazon_buy'] = get_option('wpsw_amazon_buy', esc_html__('Buy Now', 'wp-setup-wizard'));
        $rules['wpsw_amazon_row'] = get_option('wpsw_amazon_row', '3');
        $rules['wpsw_amazon_pos'] = get_option('wpsw_amazon_pos', 'top');
        //ebay
        $rules['wpsw_ebay'] = get_option('wpsw_ebay');
        $rules['wpsw_ebay_id'] = get_option('wpsw_ebay_id');
        $rules['wpsw_ebay_source'] = get_option('wpsw_ebay_source', '1');
        $rules['wpsw_ebay_aff'] = get_option('wpsw_ebay_aff');
        $rules['wpsw_ebay_search'] = get_option('wpsw_ebay_search');
        $rules['wpsw_ebay_cat'] = get_option('wpsw_ebay_cat', 'All');
        $rules['wpsw_ebay_max'] = get_option('wpsw_ebay_max', 3);
        $rules['wpsw_ebay_shead'] = get_option('wpsw_ebay_shead');
        $rules['wpsw_ebay_sbuy'] = get_option('wpsw_ebay_sbuy');
        $rules['wpsw_ebay_price'] = get_option('wpsw_ebay_price');
        $rules['wpsw_ebay_header'] = get_option('wpsw_ebay_header', esc_html__('eBay Offers', 'wp-setup-wizard'));
        $rules['wpsw_ebay_buy'] = get_option('wpsw_ebay_buy', esc_html__('Buy Now', 'wp-setup-wizard'));
        $rules['wpsw_ebay_row'] = get_option('wpsw_ebay_row', '3');
        $rules['wpsw_ebay_pos'] = get_option('wpsw_ebay_pos', 'top');
        //clickbank
        $rules['wpsw_cb'] = get_option('wpsw_cb');
        $rules['wpsw_cb_aff'] = get_option('wpsw_cb_aff');
        $rules['wpsw_cb_search'] = get_option('wpsw_cb_search');
        $rules['wpsw_cb_cat'] = get_option('wpsw_cb_cat', 'All');
        $rules['wpsw_cb_max'] = get_option('wpsw_cb_max', 3);
        $rules['wpsw_cb_shead'] = get_option('wpsw_cb_shead');
        $rules['wpsw_cb_sbuy'] = get_option('wpsw_cb_sbuy');
        $rules['wpsw_cb_header'] = get_option('wpsw_cb_header', esc_html__('ClickBank Offers', 'wp-setup-wizard'));
        $rules['wpsw_cb_buy'] = get_option('wpsw_cb_buy', esc_html__('Buy Now', 'wp-setup-wizard'));
        $rules['wpsw_cb_row'] = get_option('wpsw_cb_row', '3');
        $rules['wpsw_cb_pos'] = get_option('wpsw_cb_pos', 'top');
        //cj
        $rules['wpsw_cj'] = get_option('wpsw_cj');
        $rules['wpsw_cj_id'] = get_option('wpsw_cj_id');
        $rules['wpsw_cj_aff'] = get_option('wpsw_cj_aff');
        $rules['wpsw_cj_cid'] = get_option('wpsw_cj_cid');
        $rules['wpsw_cj_search'] = get_option('wpsw_cj_search');
        $rules['wpsw_cj_max'] = get_option('wpsw_cj_max', 3);
        $rules['wpsw_cj_shead'] = get_option('wpsw_cj_shead');
        $rules['wpsw_cj_sbuy'] = get_option('wpsw_cj_sbuy');
        $rules['wpsw_cj_price'] = get_option('wpsw_cj_price');
        $rules['wpsw_cj_header'] = get_option('wpsw_cj_header', esc_html__('Commission Junction Offers', 'wp-setup-wizard'));
        $rules['wpsw_cj_buy'] = get_option('wpsw_cj_buy', esc_html__('Buy Now', 'wp-setup-wizard'));
        $rules['wpsw_cj_row'] = get_option('wpsw_cj_row', '3');
        $rules['wpsw_cj_pos'] = get_option('wpsw_cj_pos', 'top');
        //gb
        $rules['wpsw_gb'] = get_option('wpsw_gb');
        $rules['wpsw_gb_id'] = get_option('wpsw_gb_id');
        $rules['wpsw_gb_secret'] = get_option('wpsw_gb_secret');
        $rules['wpsw_gb_aff'] = get_option('wpsw_gb_aff');
        $rules['wpsw_gb_search'] = get_option('wpsw_gb_search');
        $rules['wpsw_gb_cat'] = get_option('wpsw_gb_cat');
        $rules['wpsw_gb_max'] = get_option('wpsw_gb_max', 3);
        $rules['wpsw_gb_image'] = get_option('wpsw_gb_image', '1');
        $rules['wpsw_gb_width'] = get_option('wpsw_gb_width', '300');
        $rules['wpsw_gb_height'] = get_option('wpsw_gb_height', '200');
        $rules['wpsw_gb_shead'] = get_option('wpsw_gb_shead');
        $rules['wpsw_gb_sbuy'] = get_option('wpsw_gb_sbuy');
        $rules['wpsw_gb_price'] = get_option('wpsw_gb_price');
        $rules['wpsw_gb_header'] = get_option('wpsw_gb_header', esc_html__('GearBest Offers', 'wp-setup-wizard'));
        $rules['wpsw_gb_buy'] = get_option('wpsw_gb_buy', esc_html__('Buy Now', 'wp-setup-wizard'));
        $rules['wpsw_gb_row'] = get_option('wpsw_gb_row', '3');
        $rules['wpsw_gb_pos'] = get_option('wpsw_gb_pos', 'top');
        //al
        $rules['wpsw_al'] = get_option('wpsw_al');
        $rules['wpsw_al_id'] = get_option('wpsw_al_id');
        $rules['wpsw_al_aff'] = get_option('wpsw_al_aff');
        $rules['wpsw_al_search'] = get_option('wpsw_al_search');
        $rules['wpsw_al_max'] = get_option('wpsw_al_max', 3);
        $rules['wpsw_al_shead'] = get_option('wpsw_al_shead');
        $rules['wpsw_al_sbuy'] = get_option('wpsw_al_sbuy');
        $rules['wpsw_al_price'] = get_option('wpsw_al_price');
        $rules['wpsw_al_header'] = get_option('wpsw_al_header', esc_html__('AliExpress Offers', 'wp-setup-wizard'));
        $rules['wpsw_al_buy'] = get_option('wpsw_al_buy', esc_html__('Buy Now', 'wp-setup-wizard'));
        $rules['wpsw_al_row'] = get_option('wpsw_al_row', '3');
        $rules['wpsw_al_pos'] = get_option('wpsw_al_pos', 'top');
        $rules['wpsw_al_image'] = get_option('wpsw_al_image', '1');
        $rules['wpsw_al_width'] = get_option('wpsw_al_width', '300');
        $rules['wpsw_al_height'] = get_option('wpsw_al_height', '200');
        //en
        $rules['wpsw_en'] = get_option('wpsw_en');
        $rules['wpsw_en_id'] = get_option('wpsw_en_id');
        $rules['wpsw_en_aff'] = get_option('wpsw_en_aff');
        $rules['wpsw_en_search'] = get_option('wpsw_en_search');
        $rules['wpsw_en_cat'] = get_option('wpsw_en_cat');
        $rules['wpsw_en_max'] = get_option('wpsw_en_max', 3);
        $rules['wpsw_en_shead'] = get_option('wpsw_en_shead');
        $rules['wpsw_en_sbuy'] = get_option('wpsw_en_sbuy');
        $rules['wpsw_en_price'] = get_option('wpsw_en_price');
        $rules['wpsw_en_header'] = get_option('wpsw_en_header', esc_html__('Envato Offers', 'wp-setup-wizard'));
        $rules['wpsw_en_buy'] = get_option('wpsw_en_buy', esc_html__('Buy Now', 'wp-setup-wizard'));
        $rules['wpsw_en_row'] = get_option('wpsw_en_row', '3');
        $rules['wpsw_en_pos'] = get_option('wpsw_en_pos', 'top');
        $rules['wpsw_en_image'] = get_option('wpsw_en_image', '1');
        $rules['wpsw_en_width'] = get_option('wpsw_en_width', '300');
        $rules['wpsw_en_height'] = get_option('wpsw_en_height', '200');
        //wm
        $rules['wpsw_wm'] = get_option('wpsw_wm');
        $rules['wpsw_wm_id'] = get_option('wpsw_wm_id');
        $rules['wpsw_wm_aff'] = get_option('wpsw_wm_aff');
        $rules['wpsw_wm_search'] = get_option('wpsw_wm_search');
        $rules['wpsw_wm_cat'] = get_option('wpsw_wm_cat');
        $rules['wpsw_wm_max'] = get_option('wpsw_wm_max', 3);
        $rules['wpsw_wm_shead'] = get_option('wpsw_wm_shead');
        $rules['wpsw_wm_sbuy'] = get_option('wpsw_wm_sbuy');
        $rules['wpsw_wm_price'] = get_option('wpsw_wm_price');
        $rules['wpsw_wm_header'] = get_option('wpsw_wm_header', esc_html__('Walmart Offers', 'wp-setup-wizard'));
        $rules['wpsw_wm_buy'] = get_option('wpsw_wm_buy', esc_html__('Buy Now', 'wp-setup-wizard'));
        $rules['wpsw_wm_row'] = get_option('wpsw_wm_row', '3');
        $rules['wpsw_wm_pos'] = get_option('wpsw_wm_pos', 'top');
        $rules['wpsw_wm_image'] = get_option('wpsw_wm_image', '1');
        $rules['wpsw_wm_width'] = get_option('wpsw_wm_width', '300');
        $rules['wpsw_wm_height'] = get_option('wpsw_wm_height', '200');
        //et
        $rules['wpsw_et'] = get_option('wpsw_et');
        $rules['wpsw_et_id'] = get_option('wpsw_et_id');
        $rules['wpsw_et_aff'] = get_option('wpsw_et_aff');
        $rules['wpsw_et_search'] = get_option('wpsw_et_search');
        $rules['wpsw_et_max'] = get_option('wpsw_et_max', 3);
        $rules['wpsw_et_shead'] = get_option('wpsw_et_shead');
        $rules['wpsw_et_sbuy'] = get_option('wpsw_et_sbuy');
        $rules['wpsw_et_price'] = get_option('wpsw_et_price');
        $rules['wpsw_et_header'] = get_option('wpsw_et_header', esc_html__('Etsy Offers', 'wp-setup-wizard'));
        $rules['wpsw_et_buy'] = get_option('wpsw_et_buy', esc_html__('Buy Now', 'wp-setup-wizard'));
        $rules['wpsw_et_row'] = get_option('wpsw_et_row', '3');
        $rules['wpsw_et_pos'] = get_option('wpsw_et_pos', 'top');
        $rules['wpsw_keyword_list'] = get_option('wpsw_keyword_list');
        //security settings
        $rules['wpsw_enable_limitlogin'] = get_option('wpsw_enable_limitlogin');
        $rules['wpsw_custom_login'] = get_option('wpsw_custom_login');
        $rules['wpsw_ssl_front'] = get_option('wpsw_ssl_front');
        $rules['wpsw_ssl_admin'] = get_option('wpsw_ssl_admin');
        $rules['wpsw_disable_right'] = get_option('wpsw_disable_right');
        $rules['wpsw_disable_select'] = get_option('wpsw_disable_select');
        $rules['wpsw_recaptchakey'] = get_option( 'wpsw_recaptchakey'); 
        $rules['wpsw_recaptchasecret'] = get_option( 'wpsw_recaptchasecret');
        $rules['wpsw_captcha_shortcode'] = get_option( 'wpsw_captcha_shortcode');
        $rules['wpsw_captcha_contact'] = get_option( 'wpsw_captcha_contact');
        $rules['wpsw_captcha_login'] = get_option( 'wpsw_captcha_login');
        $rules['wpsw_captcha_comment'] = get_option( 'wpsw_captcha_comment');
        //seo settings
        $rules['wpsw_enable_meta'] = get_option('wpsw_enable_meta');
        $rules['wpsw_enable_geo'] = get_option('wpsw_enable_geo');
        $rules['wpsw_business_email'] = get_option('wpsw_business_email');
        $rules['wpsw_business_phone'] = get_option('wpsw_business_phone');
        $rules['wpsw_business_fax'] = get_option('wpsw_business_fax');
        $rules['wpsw_business_open'] = get_option('wpsw_business_open');
        $rules['wpsw_business_close'] = get_option('wpsw_business_close');
        $rules['wpsw_business_days'] = get_option('wpsw_business_days');
        $rules['wpsw_enable_seo_rating'] = get_option('wpsw_enable_seo_rating');
        $rules['blog_public'] = get_option('blog_public', 1);
        $rules['wpsw_robotsenable'] = get_option('wpsw_robotsenable');
        $rules['wpsw_redirect404'] = get_option('wpsw_redirect404');
        $rules['wpsw_robotstxt'] = get_option('wpsw_robotstxt');
        if($rules['wpsw_robotstxt'] == '')
        {
            $rules['wpsw_robotstxt'] = wpsw_default_robotstxt();
        }
        $rules['wpsw_enable_b_meta'] = get_option('wpsw_enable_b_meta');
        $rules['wpsw_business_type'] = get_option('wpsw_business_type');
        $rules['wpsw_business_name'] = get_option('wpsw_business_name');
        $rules['wpsw_business_logo'] = get_option('wpsw_business_logo');
        $rules['wpsw_business_description'] = get_option('wpsw_business_description');
        $rules['wpsw_business_payment'] = get_option('wpsw_business_payment');
        $rules['wpsw_business_price'] = get_option('wpsw_business_price');
        $rules['wpsw_business_address'] = get_option('wpsw_business_address');
        $rules['wpsw_business_state'] = get_option('wpsw_business_state');
        $rules['wpsw_business_city'] = get_option('wpsw_business_city');
        $rules['wpsw_business_zip'] = get_option('wpsw_business_zip');
        $rules['wpsw_business_country'] = get_option('wpsw_business_country');
        $rules['wpsw_business_rating_val'] = get_option('wpsw_business_rating_val');
        $rules['wpsw_business_rating_max'] = get_option('wpsw_business_rating_max');
        $rules['wpsw_business_rating_min'] = get_option('wpsw_business_rating_min');
        $rules['wpsw_business_rating_count'] = get_option('wpsw_business_rating_count');
        //social settings
        $rules['wpsw_enable_social'] = get_option('wpsw_enable_social');
        $rules['wpsw_enable_pinit'] = get_option('wpsw_enable_pinit');
        $rules['wpsw_enable_types'] = get_option('wpsw_enable_types', array());
        $rules['wpsw_enable_position'] = get_option('wpsw_enable_position', 'Bottom');
        $rules['wpsw_enable_align'] = get_option('wpsw_enable_align', 'None');
        $rules['wpsw_enable_fb'] = get_option('wpsw_enable_fb');
        $rules['wpsw_enable_tw'] = get_option('wpsw_enable_tw');
        $rules['wpsw_enable_pt'] = get_option('wpsw_enable_pt');
        $rules['wpsw_enable_li'] = get_option('wpsw_enable_li');
        $rules['wpsw_enable_rd'] = get_option('wpsw_enable_rd');
        //speed settings
        $rules['wpsw_combine_js'] = get_option('wpsw_combine_js');
        $rules['wpsw_combine_css'] = get_option('wpsw_combine_css');
        $rules['wpsw_remove_query'] = get_option('wpsw_remove_query');
        header("Content-type: application/x-msdownload");
        header("Content-Disposition: attachment; filename=wpsw_settings.bak");
        header("Pragma: no-cache");
        header("Expires: 0");
        echo json_encode($rules);
        exit();
    }
    if(isset($_POST['wpsw_restore_rules']))
    {
        if(isset($_FILES['wpsw-file-upload-rules']['tmp_name'])) 
        {
            global $wp_filesystem;
            if ( ! is_a( $wp_filesystem, 'WP_Filesystem_Base') ){
                include_once(ABSPATH . 'wp-admin/includes/file.php');$creds = request_filesystem_credentials( site_url() );
                wp_filesystem($creds);
            }
            $file = $wp_filesystem->get_contents($_FILES['wpsw-file-upload-rules']['tmp_name']);
            if($file === false)
            {
                wpsw_log_to_file('Failed to restore rules from file: ' . $_FILES['wpsw-file-upload-rules']['tmp_name']);
            }
            else
            {
                $rules = json_decode($file, true);
                if($rules === false)
                {
                    wpsw_log_to_file('Failed to decode value: ' . print_r($file, true));
                }
                else
                {
                    if($rules['0'] != 'wpsw_backup_file')
                    {
                        wpsw_log_to_file('Invalid file given: ' . print_r($rules, true));
                    }
                    else
                    {
                        foreach($rules as $xname => $xvalue)
                        {
                            if($xname == 'default_category')
                            {
                                if( $xvalue != '' )
                                {
                                    $default_category = get_option('default_category');
                                    $orig_defa_cat = get_cat_name($default_category);
                                    if($orig_defa_cat != $xvalue)
                                    {
                                        $args = array('slug' => sanitize_title($xvalue), 'name' => $xvalue);
                                        $ret = wp_update_term($default_category, 'category', $args);
                                    }
                                }
                            }
                            elseif($xname == 'permalink_structure')
                            {
                                $set_permalink = get_option( 'permalink_structure' );
                                if($set_permalink != $xvalue)
                                {
                                    global $wp_rewrite;
                                    $wp_rewrite->set_permalink_structure( $xvalue );
                                    flush_rewrite_rules();
                                }
                            }
                            elseif($xname != '0')
                            {
                                update_option($xname, $xvalue, false);
                            }
                        }
                    }
                }
            }               
        }
    }
}
add_action('admin_init', 'wpsw_admin_init_back');
function wpsw_logs()
{	
	global $wp_filesystem;
	if ( ! is_a( $wp_filesystem, 'WP_Filesystem_Base') ){
		include_once(ABSPATH . 'wp-admin/includes/file.php');$creds = request_filesystem_credentials( site_url() );
		wp_filesystem($creds);
	}
    if(isset($_POST['wpsw_delete']))
    {
        if($wp_filesystem->exists(WP_CONTENT_DIR . '/wpsw_info.log'))
        {
            $wp_filesystem->delete(WP_CONTENT_DIR . '/wpsw_info.log');
        }
    }
    if(isset($_POST['wpsw_restore_defaults']))
    {
        wpsw_activation_callback(true);
    }
?>
<div class="wrap gs_popuptype_holder seo_pops">
    <div>
<div><h3><?php echo esc_html__("System Info:", 'wp-setup-wizard');?> <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
                     echo esc_html__("Some general system information.", 'wp-setup-wizard');
                     ?>
                        </div>
                    </div></h3><hr/>
					<table class="cr_server_stat">
                                        <tr class="cdr-dw-tr">
                                            <td class="cdr-dw-td"><?php echo esc_html__("User Agent:", 'wp-setup-wizard');?></td>
                                            <td class="cdr-dw-td-value"><?php echo esc_html($_SERVER['HTTP_USER_AGENT']); ?></td>
                                        </tr>
                                        <tr class="cdr-dw-tr">
                                            <td class="cdr-dw-td"><?php echo esc_html__("Web Server:", 'wp-setup-wizard');?></td>
                                            <td class="cdr-dw-td-value"><?php echo esc_html($_SERVER['SERVER_SOFTWARE']); ?></td>
                                        </tr>
                                        <tr class="cdr-dw-tr">
                                            <td class="cdr-dw-td"><?php echo esc_html__("PHP Version:", 'wp-setup-wizard');?></td>
                                            <td class="cdr-dw-td-value"><?php echo esc_html(phpversion()); ?></td>
                                        </tr>
                                        <tr class="cdr-dw-tr">
                                            <td class="cdr-dw-td"><?php echo esc_html__("PHP Max POST Size:", 'wp-setup-wizard');?></td>
                                            <td class="cdr-dw-td-value"><?php echo esc_html(ini_get('post_max_size')); ?></td>
                                        </tr>
                                        <tr class="cdr-dw-tr">
                                            <td class="cdr-dw-td"><?php echo esc_html__("PHP Max Upload Size:", 'wp-setup-wizard');?></td>
                                            <td class="cdr-dw-td-value"><?php echo esc_html(ini_get('upload_max_filesize')); ?></td>
                                        </tr>
                                        <tr class="cdr-dw-tr">
                                            <td class="cdr-dw-td"><?php echo esc_html__("PHP Memory Limit:", 'wp-setup-wizard');?></td>
                                            <td class="cdr-dw-td-value"><?php echo esc_html(ini_get('memory_limit')); ?></td>
                                        </tr>
                                        <tr class="cdr-dw-tr">
                                            <td class="cdr-dw-td"><?php echo esc_html__("PHP DateTime Class:", 'wp-setup-wizard');?></td>
                                            <td class="cdr-dw-td-value"><?php echo (class_exists('DateTime') && class_exists('DateTimeZone')) ? '<span class="cdr-green">' . esc_html__('Available', 'wp-setup-wizard') . '</span>' : '<span class="cdr-red">' . esc_html__('Not available', 'wp-setup-wizard') . '</span> | <a href="http://php.net/manual/en/datetime.installation.php" target="_blank">more info&raquo;</a>'; ?> </td>
                                        </tr>
										<tr class="cdr-dw-tr">
                                            <td class="cdr-dw-td"><?php echo esc_html__("PHP Curl:", 'wp-setup-wizard');?></td>
                                            <td class="cdr-dw-td-value"><?php echo (function_exists('curl_version')) ? '<span class="cdr-green">' . esc_html__('Available', 'wp-setup-wizard') . '</span>' : '<span class="cdr-red">' . esc_html__('Not available', 'wp-setup-wizard') . '</span>'; ?> </td>
                                        </tr>
                                        <?php do_action('coderevolution_dashboard_widget_server') ?>
                                    </table>
									</div>
<div>
    <div class="hideMain">
    <br/><hr class="cr_special_hr"/>    
        <div><h3><?php echo esc_html__('Restore Plugin Default Settings', 'wp-setup-wizard');?> <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
                        echo esc_html__('Hit this button and the plugin settings will be restored to their default values. Warning! All settings will be lost!', 'wp-setup-wizard');
                        ?>
                        </div>
                    </div></h3><hr/><form method="post" onsubmit="return confirm('Are you sure you want to restore the default plugin settings?');"><input name="wpsw_restore_defaults" type="submit" value="Restore Plugin Default Settings"></form></div>
                    <br/><hr class="cr_special_hr"/>
<div>
            <h3>
               <?php echo esc_html__('Backup Plugin Settings To File:', 'wp-setup-wizard');?>  
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Hit this button and you can backup the current plugin settings to file.", 'wp-setup-wizard');
                        ?>
                  </div>
               </div>
            </h3>
            <hr/>
            <form method="post" onsubmit="return confirm('Are you sure you want to download plugin settings to file?');"><input name="wpsw_download_rules_to_file" type="submit" value="Download Settings To File"></form>
         </div>
         <br/>
         <hr class="cr_special_hr"/>
         <div>
            <h3>
               <?php echo esc_html__('Load Settings From File:', 'wp-setup-wizard');?> 
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Here you can upload a previously downloaded backup file and restore the settings from it.", 'wp-setup-wizard');
                        ?>
                  </div>
               </div>
            </h3>
            <hr/>
            <form method="post" enctype="multipart/form-data" onsubmit="return confirm('Are you sure you want to load settings list from file?');"><label for="wpsw-file-upload-rules">Select File To Upload:&nbsp;&nbsp;</label><input type="file" id="wpsw-file-upload-rules" name="wpsw-file-upload-rules" value=""/><br/><br/>
               <input name="wpsw_restore_rules" type="submit" value="Restore Settings From File">
            </form>
         </div>   
<br/><hr class="cr_special_hr"/>         
                    <h3><?php echo esc_html__('Activity Log:', 'wp-setup-wizard');?><div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
<?php
                     echo esc_html__('This is the main log of your plugin.', 'wp-setup-wizard');
                     ?>
                        </div>
                    </div></h3>
<div>
<?php
if($wp_filesystem->exists(WP_CONTENT_DIR . '/wpsw_info.log'))
{
    $log = $wp_filesystem->get_contents(WP_CONTENT_DIR . '/wpsw_info.log');
    $log = esc_html($log);$log = str_replace('&lt;br/&gt;', '<br/>', $log);echo $log;
}
else
{
    echo "Log empty";
}
?>
</div>
        </div>
        <hr/> 
        <form method="post" onsubmit="return confirm('<?php echo esc_html__('Are you sure you want to delete all logs?', 'wp-setup-wizard');?>');">
   <input name="wpsw_delete" type="submit" value="<?php echo esc_html__('Delete Logs', 'wp-setup-wizard');?>">
        </form>
</div>
</div>
</div>
<?php
}
?>