<?php

function wpsw_admin_settings()
{
?>
<div class="wrap gs_popuptype_holder seo_pops">
    <div>
        <form id="myForm" method="post" action="">
<?php
    $dcom_post = get_option('wpsw_d_pocomm');
    $dcom_page = get_option('wpsw_d_pacomm');
    $comm_fb = get_option('wpsw_comm_fb');
    $img_quality = get_option('wpsw_img_quality', '90');
    $rem_exif = get_option('wpsw_rem_exif');
    $watermark_i = get_option('wpsw_watermark', '');
    $force_login = get_option('wpsw_force_login');
    $header_code = get_option('wpsw_header_code');
    $footer_code = get_option('wpsw_footer_code');
    $wpsw_css_code = get_option('wpsw_css_code');
    $enable_construction = get_option('wpsw_enable_construction');
    $under_construction = get_option('wpsw_under_construction');
    $comm_not = get_option('comments_notify');
    $comm_notx = get_option('moderation_notify');
    $comm_enforce = get_option('comment_moderation');
    $wpsw_from_email = get_option('wpsw_from_email');
    $wpsw_from_name = get_option('wpsw_from_name');
    $wpsw_favicon = get_option('wpsw_media_manager_fav');
    $hide_wpsw_banner = get_option('hide_wpsw_banner');
    $site_title = '';
    $tagline = '';
    $admin_email = '';
    $defa_cat = '';
    $wpsw_set_permalink = '';
    $users_can_register = '';
    $wpsw_date_format = '';
    $wpsw_time_format = '';
    wpsw_get_content_info($site_title, $tagline, $admin_email, $defa_cat, $wpsw_set_permalink, $users_can_register, $wpsw_date_format, $wpsw_time_format);
?>
        <div id="cs-tab-vcc-SiteSettings">
                    <div class="hideMain">
                    <h2><?php esc_html_e( 'Site Settings:', 'wp-setup-wizard' ); ?></h2>
                    <hr/>
                    <table class="widefat">
                    <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set the title of this site.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Site Title:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="site_name" placeholder="<?php esc_html_e( 'Set the title of this site', 'wp-setup-wizard' ); ?>" name="site_name" value="<?php echo esc_attr($site_title);?>"/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("In a few words, explain what this site is about.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Tagline:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="tagline" placeholder="<?php esc_html_e( 'In a few words, explain what this site is about.', 'wp-setup-wizard' ); ?>" name="tagline" value="<?php echo esc_attr($tagline);?>"/>
        </div>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to change the WordPress favicon?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Site Favicon:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
<?php 
        $image = '';
        if( intval( $wpsw_favicon ) > 0 ) {
            $image = wp_get_attachment_image( $wpsw_favicon, 'thumbnail', false, array( 'id' => 'wpsw-fav-image-form' ) );
        }
        else
        {
            $image = '<div id="wpsw-fav-image-form"></div>';
        }

          echo $image; ?>
         <input type="hidden" name="wpsw_favicon" id="wpsw_favicon" value="<?php echo esc_attr( $wpsw_favicon ); ?>" class="regular-text" />
         <input type='button' class="button-primary" value="<?php esc_attr_e( 'Select an image', 'wp-setup-wizard' ); ?>" id="wpsw_media_manager_fav"/>&nbsp;<input type='button' class="button-primary" value="<?php esc_attr_e( 'Clear Selected Image', 'wp-setup-wizard' ); ?>" id="wpsw_media_manager_clear_fav"/>
        </div>
        </td></tr>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("This address is used for admin purposes. No email confirmation is needed for the new address.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Admin Email:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="email" id="admin_email" placeholder="<?php esc_html_e( 'Administrator email', 'wp-setup-wizard' ); ?>" name="admin_email" value="<?php echo esc_attr($admin_email);?>"/>
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set the name of the default WordPress category.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Change "Uncategorized" Category Name:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="defa_cat" placeholder="<?php esc_html_e( 'Uncategorized', 'wp-setup-wizard' ); ?>" name="defa_cat" value="<?php echo esc_attr($defa_cat);?>"/>
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
<?php
    echo esc_html__("Set the site permalink structure. Available tags: %year%, %monthnum%, %day%, %hour%, %minute%, %second%, %post_id%, %postname%, %category%, %author%", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Set Site Permalink Structure:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="wpsw_set_permalink" placeholder="<?php esc_html_e( '/?p=123', 'wp-setup-wizard' ); ?>" name="wpsw_set_permalink" value="<?php echo esc_attr($wpsw_set_permalink);?>"/>
        </div>
        </td></tr>
		<tr><td>
			<i><?php esc_html_e( 'Some Example Permalink Structures:', 'wp-setup-wizard' ); ?></i>
			</td><td>
			<button type="button" id="wpsw-perm-plain" class="button button-secondary"><?php esc_html_e( 'Plain', 'wp-setup-wizard' ); ?></button>&nbsp;
			<button type="button" id="wpsw-perm-day-name" class="button button-secondary"><?php esc_html_e( 'Day and Name', 'wp-setup-wizard' ); ?></button>&nbsp;
			<button type="button" id="wpsw-perm-month-name" class="button button-secondary"><?php esc_html_e( 'Month and Name', 'wp-setup-wizard' ); ?></button>&nbsp;
			<button type="button" id="wpsw-perm-numeric" class="button button-secondary"><?php esc_html_e( 'Numeric', 'wp-setup-wizard' ); ?></button>&nbsp;
			<button type="button" id="wpsw-perm-post" class="button button-secondary"><?php esc_html_e( 'Post Name', 'wp-setup-wizard' ); ?></button>
		</td></tr><tr><td>
		<div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to allow new members to register on your site?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Users Can Register:', 'wp-setup-wizard' ); ?></b>
                    </td><td>
                    <input type="checkbox" id="users_can_register" name="users_can_register" <?php if($users_can_register == '1') {echo ' checked';}?>>
        </div>
		</td></tr><tr><td>
		<div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set the default user role for newly registered users.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'New User Default Role:', 'wp-setup-wizard' ); ?></b>
                    </td><td>
                    <select name="default_role" id="default_role"><?php wp_dropdown_roles( get_option( 'default_role' ) ); ?></select>
        </div>
		</td></tr><tr><td>
		<div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set the email address (from address) for all emails generated by WordPress.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Mail From Email Address:', 'wp-setup-wizard' ); ?></b>
                    </td><td>
<?php
$urlparts = parse_url( site_url() );
$yourdomain = $urlparts[ 'host' ];
if ( substr( $yourdomain, 0, 4 ) == 'www.' )
{
    $yourdomain = substr( $yourdomain, 4 );
}
?>
                    <input type="email" id="wpsw_from_email" placeholder="<?php echo 'wordpress@' . $yourdomain; ?>" name="wpsw_from_email" value="<?php echo esc_attr($wpsw_from_email);?>"/>
        </div>
		</td></tr><tr><td>
		<div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set the 'from name' (of the email) for all emails generated by WordPress.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Mail From Name:', 'wp-setup-wizard' ); ?></b>
                    </td><td>
                    <input type="text" id="wpsw_from_name" placeholder="<?php echo 'WordPress'; ?>" name="wpsw_from_name" value="<?php echo esc_attr($wpsw_from_name);?>"/>
        </div>
		</td></tr><tr><td>
		<div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set website language.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Site Language:', 'wp-setup-wizard' ); ?></b>
                    </td><td>
<?php
if(!function_exists('get_available_languages'))
{
	require_once( ABSPATH . 'wp-includes/l10n.php' );
}
$languages    = get_available_languages();
if(!function_exists('wp_get_available_translations'))
{
	require_once( ABSPATH . 'wp-admin/includes/translation-install.php' );
}
$translations = wp_get_available_translations();
if ( ! is_multisite() && defined( 'WPLANG' ) && '' !== WPLANG && 'en_US' !== WPLANG && ! in_array( WPLANG, $languages, true ) ) {
	$languages[] = WPLANG;
}
if ( ! empty( $languages ) || ! empty( $translations ) ) {
	$locale = get_locale();
	if ( ! in_array( $locale, $languages, true ) ) {
		$locale = '';
	}
	wp_dropdown_languages(
		array(
			'name'                        => 'wpsw_lang',
			'id'                          => 'wpsw_lang',
			'selected'                    => $locale,
			'languages'                   => $languages,
			'translations'                => $translations,
			'show_available_translations' => current_user_can( 'install_languages' ) && wp_can_install_language_pack(),
		)
	);
}
?>
        </div>
		</td></tr><tr><td>
		<div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set website timezone. Choose either a city in the same timezone as you or a UTC (Coordinated Universal Time) time offset.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Site Timezone:', 'wp-setup-wizard' ); ?></b>
                    </td><td>
<?php
$current_offset = get_option( 'gmt_offset' );
$tzstring       = get_option( 'timezone_string' );

$check_zone_info = true;

if ( false !== strpos( $tzstring, 'Etc/GMT' ) ) {
	$tzstring = '';
}

if ( empty( $tzstring ) ) {
	$check_zone_info = false;
	if ( 0 == $current_offset ) {
		$tzstring = 'UTC+0';
	} elseif ( $current_offset < 0 ) {
		$tzstring = 'UTC' . $current_offset;
	} else {
		$tzstring = 'UTC+' . $current_offset;
	}
}
?>
<select id="timezone_string" name="timezone_string" aria-describedby="timezone-description">
	<?php echo wp_timezone_choice( $tzstring, get_user_locale() ); ?>
</select>

        </div>
        </td></tr><tr><td>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set website date format", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Date Format:', 'wp-setup-wizard' ); ?></b>
                    </td><td>
                    <div>
                    <input type="text" id="wpsw_date_format" placeholder="<?php esc_html_e( 'Your date format', 'wp-setup-wizard' ); ?>" name="wpsw_date_format" value="<?php echo esc_attr($wpsw_date_format);?>"/>
        </div>
        </td></tr>
		<tr><td>
			<i><?php esc_html_e( 'Some Example Date Formats:', 'wp-setup-wizard' ); ?>&nbsp;<a href="https://wordpress.org/support/article/formatting-date-and-time/" target="_blank"><?php esc_html_e( 'more info', 'wp-setup-wizard' ); ?></a></i>
			</td><td>
			<button type="button" id="wpsw-date1" class="button button-secondary"><?php esc_html_e( 'September 19, 2020', 'wp-setup-wizard' ); ?></button>&nbsp;
			<button type="button" id="wpsw-date2" class="button button-secondary"><?php esc_html_e( '2020-09-19', 'wp-setup-wizard' ); ?></button>&nbsp;
			<button type="button" id="wpsw-date3" class="button button-secondary"><?php esc_html_e( '09/19/2020', 'wp-setup-wizard' ); ?></button>&nbsp;
			<button type="button" id="wpsw-date4" class="button button-secondary"><?php esc_html_e( '19/09/2020', 'wp-setup-wizard' ); ?></button>
		</td></tr><tr><td>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set website time format", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Time Format:', 'wp-setup-wizard' ); ?></b>
                    </td><td>
                    <div>
                    <input type="text" id="wpsw_time_format" placeholder="<?php esc_html_e( 'Your time format', 'wp-setup-wizard' ); ?>" name="wpsw_time_format" value="<?php echo esc_attr($wpsw_time_format);?>"/>
        </div>
        </td></tr>
		<tr><td>
			<i><?php esc_html_e( 'Some Example Time Formats:', 'wp-setup-wizard' ); ?>&nbsp;<a href="https://wordpress.org/support/article/formatting-date-and-time/" target="_blank"><?php esc_html_e( 'more info', 'wp-setup-wizard' ); ?></a></i>
			</td><td>
			<button type="button" id="wpsw-time1" class="button button-secondary"><?php esc_html_e( '6:29 am', 'wp-setup-wizard' ); ?></button>&nbsp;
			<button type="button" id="wpsw-time2" class="button button-secondary"><?php esc_html_e( '6:29 AM', 'wp-setup-wizard' ); ?></button>&nbsp;
			<button type="button" id="wpsw-time3" class="button button-secondary"><?php esc_html_e( '06:29', 'wp-setup-wizard' ); ?></button>
		</td></tr>
      </table>
    </div>
         <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit1" class="button button-primary" onclick="unsaved = false;wpsw_save_content('content', 'SiteSettings');" value="<?php esc_html_e( 'Save and Apply Settings', 'wp-setup-wizard' ); ?>"/></p></div>
		 <span id="wpsw_processing_SiteSettings"></span>
  </div>
  <div id="cs-tab-vcc-Purging" class="cs-section x-dnone">
    <div class="hideMain">
      <h2><?php esc_html_e( 'Automatically Delete All:', 'wp-setup-wizard' ); ?></h2>
      <hr/>
      <table class="widefat">
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to delete all posts from this website? Warning, irreversible action!", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Posts:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="delete_posts" name="delete_posts">
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to delete all pages from this website? Warning, irreversible action!", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Pages:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="delete_pages" name="delete_pages">
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to delete all categories from this website? Warning, irreversible action!", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Categories:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="delete_categories" name="delete_categories">
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to delete all tags from this website? Warning, irreversible action!", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Tags:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="delete_tags" name="delete_tags">
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to delete all attachments from this website? Warning, irreversible action!", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Attachments:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="delete_att" name="delete_att">
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to delete all comments from this website? Warning, irreversible action!", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Comments:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="delete_comm" name="delete_comm">
        </div>
        </td></tr>
        </table>
        <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit2" class="button button-primary" onclick="unsaved = false;wpsw_save_content('content', 'Purging');" value="<?php esc_html_e( 'Delete All Selected', 'wp-setup-wizard' ); ?>"/></p></div>
        <hr/><h2><?php esc_html_e( 'Cleanup Unnecessary Database Entries:', 'wp-setup-wizard' ); ?></h2>
      <hr/>
        <table class="widefat">
	<thead>
		<tr>
			<th scope="col"><?php esc_html_e('Type','wp-setup-wizard'); ?></th>
			<th scope="col" class="centered-col"><?php esc_html_e('Count','wp-setup-wizard'); ?></th>
			<th scope="col" class="centered-col"><?php esc_html_e('Delete','wp-setup-wizard'); ?></th>
		</tr>
	</thead>
	<tbody id="the-list">
		<tr class="alternate">
			<td class="column-name">
				<b><?php esc_html_e('Revision','wp-setup-wizard'); ?></b>
			</td>
			<td class="column-name centered-col">
				<?php echo wpsw_cleanup_count('revision'); ?>
			</td>
			<td class="column-name centered-col">
					<input type="checkbox" id="wpsw_cleanup_revision" name="wpsw_cleanup_revision" />
			</td>
		</tr>
		<tr>
			<td class="column-name">
				<?php esc_html_e('Draft','wp-setup-wizard'); ?>
			</td>
			<td class="column-name centered-col">
				<?php echo wpsw_cleanup_count('draft'); ?>
			<td class="column-name centered-col">
					<input type="checkbox" id="wpsw_cleanup_draft" name="wpsw_cleanup_draft" />
			</td>
		</tr>
		<tr class="alternate">
			<td class="column-name">
				<?php esc_html_e('Auto Draft','wp-setup-wizard'); ?>
			<td class="column-name centered-col">
				<?php echo wpsw_cleanup_count('autodraft'); ?>
			<td class="column-name centered-col">
					<input type="checkbox" id="wpsw_cleanup_autodraft" name="wpsw_cleanup_autodraft" />
			</td>
		</tr>
		<tr>
			<td class="column-name">
				<?php esc_html_e('Moderated Comments','wp-setup-wizard'); ?>
			<td class="column-name centered-col">
				<?php echo wpsw_cleanup_count('moderated'); ?>
			<td class="column-name centered-col">
					<input type="checkbox" id="wpsw_cleanup_moderated" name="wpsw_cleanup_moderated" />
			</td>
		</tr>
		<tr class="alternate">
			<td class="column-name">
				<?php esc_html_e('Spam Comments','wp-setup-wizard'); ?>
			<td class="column-name centered-col">
				<?php echo wpsw_cleanup_count('spam'); ?>
			<td class="column-name centered-col">
					<input type="checkbox" id="wpsw_cleanup_spam" name="wpsw_cleanup_spam" />
			</td>
		</tr>
		<tr>
			<td class="column-name">
				<?php esc_html_e('Trash Comments','wp-setup-wizard'); ?>
			<td class="column-name centered-col">
				<?php echo wpsw_cleanup_count('trash'); ?>
			<td class="column-name centered-col">
					<input type="checkbox" id="wpsw_cleanup_trash" name="wpsw_cleanup_trash"/>
			</td>
		</tr>
		<tr class="alternate">
			<td class="column-name">
				<?php esc_html_e('Orphan Post Meta','wp-setup-wizard'); ?>
			<td class="column-name centered-col">
				<?php echo wpsw_cleanup_count('postmeta'); ?>
			<td class="column-name centered-col">
					<input type="checkbox" id="wpsw_cleanup_postmeta" name="wpsw_cleanup_postmeta" />
			</td>
		</tr>
		<tr>
			<td class="column-name">
				<?php esc_html_e('Orphan Comment Meta','wp-setup-wizard'); ?>
			<td class="column-name centered-col">
				<?php echo wpsw_cleanup_count('commentmeta'); ?>
			<td class="column-name centered-col">
					<input type="checkbox" id="wpsw_cleanup_commentmeta" name="wpsw_cleanup_commentmeta" />
			</td>
		</tr>
		<tr class="alternate">
			<td class="column-name">
				<?php esc_html_e('Orphan Relationships','wp-setup-wizard'); ?>
			<td class="column-name centered-col">
				<?php echo wpsw_cleanup_count('relationships'); ?>
			<td class="column-name centered-col">
					<input type="checkbox" id="wpsw_cleanup_relationships" name="wpsw_cleanup_relationships" />
			</td>
		</tr>
		<tr>
			<td class="column-name">
				<?php esc_html_e('Dashboard Transient Feed','wp-setup-wizard'); ?>
			</td>
			<td class="column-name centered-col">
				<?php echo wpsw_cleanup_count('feed'); ?>
			</td>
			<td class="column-name centered-col">
					<input type="checkbox" id="wpsw_cleanup_feed" name="wpsw_cleanup_feed" />
			</td>
		</tr>
	</tbody>
</table>
        </div>
         <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit2" class="button button-primary" onclick="unsaved = false;wpsw_save_content('content', 'Purging');" value="<?php esc_html_e( 'Cleanup Selected', 'wp-setup-wizard' ); ?>"/></p></div>
  <span id="wpsw_processing_Purging"></span></div>
  <div id="cs-tab-vcc-Creation" class="cs-section x-dnone">
    <div class="hideMain">
    <h2><?php esc_html_e( 'Automatically Create Content:', 'wp-setup-wizard' ); ?></h2>
        <hr/>
        <table class="widefat"><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to automatically create an \"About Us\" page?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( '"About Us" Page:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="make_about" name="make_about">
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to automatically create a \"Contact Us\" page?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( '"Contact Us" Page:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="make_contact" name="make_contact">
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to automatically create an \"Affiliate Disclosure\" page?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( '"Affiliate Disclosure" Page:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="make_affiliate" name="make_affiliate">
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to automatically create an \"Amazon Affiliate Disclosure\" page?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( '"Amazon Affiliate Disclosure" Page:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="make_amazon" name="make_amazon">
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to automatically create an \"AnstiSpam Policy\" page?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( '"AntiSpam Policy" Page:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="make_antispam" name="make_antispam">
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to automatically create a \"Cookie Policy\" page?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( '"Cookie Policy" Page:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="make_cookie" name="make_cookie">
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to automatically create a \"GDPR Requests\" page?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( '"GDPR Requests" Page:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="make_gdpr" name="make_gdpr">
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to automatically create a \"Copyright Policy\" page?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( '"Copyright Policy" Page:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="make_copyright" name="make_copyright">
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to automatically create an \"Earnings Disclaimer\" page?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( '"Earnings Disclaimer" Page:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="make_earnings" name="make_earnings">
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to automatically create a \"Medical Disclaimer\" page?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( '"Medical Disclaimer" Page:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="make_medical" name="make_medical">
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to automatically create a \"Privacy Policy\" page?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( '"Privacy Policy" Page:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="make_privacy" name="make_privacy">
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to automatically create a \"Terms of Service\" page?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( '"Terms of Service" Page:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="make_terms" name="make_terms">
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter a list of comma separated post titles to create.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Create Blank Posts:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <textarea id="create_posts" placeholder="<?php esc_html_e( 'Comma separated posts title list', 'wp-setup-wizard' ); ?>" name="create_posts"></textarea>
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter a list of comma separated page titles to create.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Create Blank Pages:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <textarea id="create_pages" placeholder="<?php esc_html_e( 'Comma separated page title list', 'wp-setup-wizard' ); ?>" name="create_pages"></textarea>
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter a list of comma separated list of categories to create.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Create Categories:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <textarea id="create_categories" placeholder="<?php esc_html_e( 'Comma separated category list', 'wp-setup-wizard' ); ?>" name="create_categories"></textarea>
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Enter a list of comma separated list of tags to create.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Create Tags:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <textarea id="create_tags" placeholder="<?php esc_html_e( 'Comma separated tag list', 'wp-setup-wizard' ); ?>" name="create_tags"></textarea>
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to create dummy posts and pages for this site?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Create Dummy Content:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="create_dummy" name="create_dummy">
        </div>
        </td></tr>
      </table>
    </div>
    <br/><b><?php esc_html_e( 'Info: The plugin also adds a feature to the admin menu when you publish new posts. You will be able to scrape YouTube video captions and use it as unique content for your posts.', 'wp-setup-wizard' ); ?></b>
         <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit3" class="button button-primary" onclick="unsaved = false;wpsw_save_content('content', 'Creation');" value="<?php esc_html_e( 'Create All Selected', 'wp-setup-wizard' ); ?>"/></p></div>
  <span id="wpsw_processing_Creation"></span></div> 
  <div id="cs-tab-vcc-Comments" class="cs-section x-dnone">
    <div class="hideMain">
    <h2><?php esc_html_e( 'Commenting Related Settings:', 'wp-setup-wizard' ); ?></h2>
        <hr/>
      <table class="widefat">
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("E-mail admin when anyone posts a comment.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'New Comment Email Notification:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="comm_email" name="comm_email"<?php if($comm_not == '1') {echo ' checked';}?> >
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("E-mail me when comment is held for moderation.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Comment Moderation Email Notification:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="comm_mod" name="comm_mod"<?php if($comm_notx == '1') {echo ' checked';}?> >
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to enforce comment moderation for all submitted comments?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Enforce Comment Moderation:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="comm_enforce" name="comm_enforce"<?php if($comm_enforce == '1') {echo ' checked';}?> >
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to disable comments for posts?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Disable Comments for Posts:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="dcom_post" name="dcom_post"<?php if($dcom_post == '1') {echo ' checked';}?> >
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to disable comments for pages?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Disable Comments for Pages:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="dcom_page" name="dcom_page"<?php if($dcom_page == '1') {echo ' checked';}?> >
        </div>
        </td></tr><tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Replace WordPress comments with Facebook comments.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Enable Facebook Comments:', 'wp-setup-wizard' ); ?></b>
                    &nbsp;<div class="wpswtooltip">⚠
  <span class="wpswtooltiptext"><?php esc_html_e( 'You need to keep the plugin installed and activated for this feature to be kept active.', 'wp-setup-wizard' ); ?></span>
</div>              
                    </td><td>
                    <input type="checkbox" id="comm_fb" name="comm_fb"<?php if($comm_fb == '1') {echo ' checked';}?> >
        </div>
        </td></tr>
      </table>
    </div>
         <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit4" class="button button-primary" onclick="unsaved = false;wpsw_save_content('content', 'Comments');" value="<?php esc_html_e( 'Save and Apply Settings', 'wp-setup-wizard' ); ?>"/></p></div>
  <span id="wpsw_processing_Comments"></span></div>
  <div id="cs-tab-vcc-Images" class="cs-section x-dnone">
    <div class="hideMain">
    <h2><?php esc_html_e( 'Images Related Settings:', 'wp-setup-wizard' ); ?>&nbsp;<span class="wpswtooltip">⚠
  <span class="wpswtooltiptext"><?php esc_html_e( 'You need to keep the plugin installed and activated for this feature to be kept active.', 'wp-setup-wizard' ); ?></span>
</span>  </h2>
    
        <hr/>
      <table class="widefat">
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set the quality of uploaded images. Higher number represents higher quality and file size.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'JPG Upload Image Quality:', 'wp-setup-wizard' ); ?></b>
             
                    </td><td>
                    <select id="img_quality" name="img_quality">
                           <option value="10" 
                              <?php
                                 if($img_quality == '10')
                                 {
                                     echo ' selected';
                                 }
                                 ?>>10</option>
                           <option value="20"
                              <?php
                                 if($img_quality == '20')
                                 {
                                     echo ' selected';
                                 }
                                 ?>>20</option>
                           <option value="30"
                              <?php
                                 if($img_quality == '30')
                                 {
                                     echo ' selected';
                                 }
                                 ?>>30</option>
                           <option value="40"
                              <?php
                                 if($img_quality == '40')
                                 {
                                     echo ' selected';
                                 }
                                 ?>>40</option>
                           <option value="50"
                              <?php
                                 if($img_quality == '50')
                                 {
                                     echo ' selected';
                                 }
                                 ?>>50</option>
                           <option value="60"
                              <?php
                                 if($img_quality == '60')
                                 {
                                     echo ' selected';
                                 }
                                 ?>>60</option>
                           <option value="70"
                              <?php
                                 if($img_quality == '70')
                                 {
                                     echo ' selected';
                                 }
                                 ?>>70</option>
                           <option value="80"
                              <?php
                                 if($img_quality == '80')
                                 {
                                     echo ' selected';
                                 }
                                 ?>>80</option>
                           <option value="90"
                              <?php
                                 if($img_quality == '90')
                                 {
                                     echo ' selected';
                                 }
                                 ?>>90</option>
                           <option value="100"
                              <?php
                                 if($img_quality == '100')
                                 {
                                     echo ' selected';
                                 }
                                 ?>>100</option>
                        </select>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to remove EXIF data from uploaded images?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Remove EXIF Data From Images:', 'wp-setup-wizard' ); ?></b>
         
                    </td><td>
                    <input type="checkbox" id="rem_exif" name="rem_exif"<?php if($rem_exif == '1') {echo ' checked';}?> >
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to automatically watermark uploaded images? The watermark image must be in png format.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Watermark Uploaded Images:', 'wp-setup-wizard' ); ?></b>
      
                    </td><td>
<?php 
                    $image = '';
                    if( intval( $watermark_i ) > 0 ) {
                        $image = wp_get_attachment_image( $watermark_i, 'thumbnail', false, array( 'id' => 'wpsw-preview-image' ) );
                    }
                    else
                    {
                        $image = '<div id="wpsw-preview-image"></div>';
                    }

          echo $image; ?>
         <input type="hidden" name="watermark_i" id="watermark_i" value="<?php echo esc_attr( $watermark_i ); ?>" class="regular-text" />
         <input type='button' class="button-primary" value="<?php esc_attr_e( 'Select an image', 'wp-setup-wizard' ); ?>" id="wpsw_media_manager"/>&nbsp;<input type='button' class="button-primary" value="<?php esc_attr_e( 'Clear Selected Image', 'wp-setup-wizard' ); ?>" id="wpsw_media_manager_clear"/>
        </div>
        </td></tr>
      </table>
    </div>
         <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit5" class="button button-primary" onclick="unsaved = false;wpsw_save_content('content', 'Images');" value="<?php esc_html_e( 'Save and Apply Settings', 'wp-setup-wizard' ); ?>"/></p></div>
  <span id="wpsw_processing_Images"></span></div>
  <div id="cs-tab-vcc-Header" class="cs-section x-dnone">
    <div class="hideMain">
    <h2><?php esc_html_e( 'Header/Footer Content Settings:', 'wp-setup-wizard' ); ?>&nbsp;<span class="wpswtooltip">⚠
  <span class="wpswtooltiptext"><?php esc_html_e( 'You need to keep the plugin installed and activated for this feature to be kept active.', 'wp-setup-wizard' ); ?></span>
</span></h2>
        <hr/>
      <table class="widefat">
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to add JavaSript code to the header of the page? You can add Facebook Pixel code, Google Analytics code and anything else.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Header JavaScript Code:', 'wp-setup-wizard' ); ?></b>
                   
                    </td><td>
                    <textarea id="header_code" placeholder="Header JavaScript code" name="header_code"><?php echo esc_textarea($header_code);?></textarea>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to add JavaSript code to the footer of the page?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Footer JavaScript Code:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <textarea id="footer_code" placeholder="Footer JavaScript code" name="footer_code"><?php echo esc_textarea($footer_code);?></textarea>
        </div>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to add CSS code to the page?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'CSS Code:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <textarea id="wpsw_css_code" name="wpsw_css_code" placeholder="CSS code"><?php echo esc_textarea($wpsw_css_code);?></textarea>
        </div>
        </td></tr>
      </table>
    </div>
         <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit10" class="button button-primary" onclick="unsaved = false;wpsw_save_content('content', 'Header');" value="<?php esc_html_e( 'Save and Apply Settings', 'wp-setup-wizard' ); ?>"/></p></div>
  <span id="wpsw_processing_Header"></span></div>
  <div id="cs-tab-vcc-Construction" class="cs-section x-dnone">
    <div class="hideMain">
    <h2><?php esc_html_e( '"Under Construction Mode" Page Settings:', 'wp-setup-wizard' ); ?>&nbsp;<span class="wpswtooltip">⚠
  <span class="wpswtooltiptext"><?php esc_html_e( 'You need to keep the plugin installed and activated for this feature to be kept active.', 'wp-setup-wizard' ); ?></span>
</span></h2>
        <hr/>
      <table class="widefat">
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to allow access only to logged in users to your site?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Allow Only Logged-In User Access:', 'wp-setup-wizard' ); ?></b>
                 
                    </td><td>
                    <input type="checkbox" id="force_login" name="force_login"<?php if($force_login == '1') {echo ' checked';}?> >
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to enable 'Under Construction Mode' on your site?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Enable "Under Construction Mode":', 'wp-setup-wizard' ); ?></b>
                 
                    </td><td>
                    <input type="checkbox" id="enable_construction" name="enable_construction"<?php if($enable_construction == '1') {echo ' checked';}?> >
        </div>
        </td></tr>
        <tr class="hide_construct"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set the content of the 'Under Construction' page. To disable this feature, leave this field blank.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( '"Under Construction Mode" Page Content:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
<?php
            $settings = array (
                'textarea_name' => 'under_construction',
                'textarea_id' => 'under_construction',
                'textarea_rows' => 14,
                'editor_height' => 300
                );
            $under_construction = stripslashes( $under_construction );
?>
            <?php wp_editor( $under_construction, 'wpsw_under_construction', $settings ); ?>
        </div>
        </td></tr>
                    </table>
    </div>
         <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit6" class="button button-primary" onclick="unsaved = false;wpsw_save_content('content', 'Construction');" value="<?php esc_html_e( 'Save and Apply Settings', 'wp-setup-wizard' ); ?>"/></p></div>
  <span id="wpsw_processing_Construction"></span></div>
  <div id="cs-tab-vcc-Banner" class="cs-section x-dnone">
    <div class="hideMain">
    <h2><?php esc_html_e( '"Simple Site Banner" Page Settings:', 'wp-setup-wizard' ); ?>&nbsp;<span class="wpswtooltip">⚠
  <span class="wpswtooltiptext"><?php esc_html_e( 'You need to keep the plugin installed and activated for this feature to be kept active.', 'wp-setup-wizard' ); ?></span>
</span></h2>
        <hr/>
        <p><?php esc_html_e( 'Use Hex color values for the color fields.', 'wp-setup-wizard' ); ?></p>
		<p><?php esc_html_e( 'Links in the banner text must be typed in with HTML', 'wp-setup-wizard' );?> <code>&lt;a&gt;</code> <?php esc_html_e( 'tags', 'wp-setup-wizard' );?>.
		<br/><?php esc_html_e( 'e.g.', 'wp-setup-wizard' );?> <code><?php esc_html_e( 'This is a', 'wp-setup-wizard' );?> &lt;a href=&#34;http:&#47;&#47;www.wordpress.com&#34;&gt;<?php esc_html_e( 'Link to Wordpress', 'wp-setup-wizard' );?>&lt;&#47;a&gt;</code>.</p>
        <p><?php esc_html_e( '*Note: Font and text styles subject to change based on chosen theme CSS.', 'wp-setup-wizard' ); ?></p>
        <p><?php esc_html_e( 'Always make sure you test your banner in mobile views, theme headers often change up their css for mobile.', 'wp-setup-wizard' ); ?></p>
		
        
        
      <table class="widefat">
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("This can hide the simple banner, essentially applies 'display: none;' to the banner", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Hide Simple Banner:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="hide_wpsw_banner" name="hide_wpsw_banner"<?php if($hide_wpsw_banner == '1') {echo ' checked';}?> >
        </div>
        </td></tr>		
		<tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Leaving this blank removes the banner", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Simple Banner Text:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <textarea id="wpsw_banner_text" class="large-text code" style="height: 150px;width: 97%;" name="wpsw_banner_text"><?php echo stripslashes(esc_textarea(get_option('wpsw_banner_text'))); ?></textarea>
						
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Leaving this blank sets the default to your theme CSS value", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Simple Banner Font Size:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="wpsw_banner_font_size" name="wpsw_banner_font_size" placeholder="e.g. 16px"
										value="<?php echo esc_attr( get_option('wpsw_banner_font_size') ); ?>" />
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Leaving this blank sets the color to the default value #024985", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Simple Banner Background Color:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="wpsw_banner_color" name="wpsw_banner_color" placeholder="Hex value"
										value="<?php echo esc_attr( get_option('wpsw_banner_color') ); ?>" />
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Leaving this blank sets the color to the default value white", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Simple Banner Text Color:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="wpsw_banner_text_color" name="wpsw_banner_text_color" placeholder="Hex value"
										value="<?php echo esc_attr( get_option('wpsw_banner_text_color') ); ?>" />	
        </div>
        </td></tr>
		<tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Leaving this blank sets the color to the default value #f16521", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Simple Banner Link Color:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="wpsw_banner_link_color" name="wpsw_banner_link_color" placeholder="Hex value"
										value="<?php echo esc_attr( get_option('wpsw_banner_link_color') ); ?>" />		
        </div>
        </td></tr>			
		<tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("CSS will be applied directly to the wpsw-banner class, the wpsw-banner-scrolling class for scrolling styles, and the wpsw-banner-text class for text specific styles.Be very careful, bad CSS can break the banner.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Simple Banner Custom CSS:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <div style="display:flex">
							<div style="flex-grow:1;">
								<div>.wpsw-banner {</div>
								<textarea id="wpsw_banner_custom_css" class="code" style="height: 150px;width: 90%;" name="wpsw_banner_custom_css"><?php echo stripslashes(esc_textarea(get_option('wpsw_banner_custom_css'))); ?></textarea>
								<div>}</div>
							</div>
							<div style="flex-grow:1;">
								<div>.wpsw-banner-scrolling {</div>
								<textarea id="wpsw_banner_scrolling_custom_css" class="code" style="height: 150px;width: 90%;" name="wpsw_banner_scrolling_custom_css"><?php echo stripslashes(esc_textarea(get_option('wpsw_banner_scrolling_custom_css'))); ?></textarea>
								<div>}</div>
							</div>
							<div style="flex-grow:1;">
								<div>.wpsw-banner-text {</div>
								<textarea id="wpsw_banner_text_custom_css" class="code" style="height: 150px;width: 90%;" name="wpsw_banner_text_custom_css"><?php echo stripslashes(esc_textarea(get_option('wpsw_banner_text_custom_css'))); ?></textarea>
								<div>}</div>
							</div>
						</div>
        </div>
        </td></tr>		
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Change the position value of your banner. More information here: ", 'wp-setup-wizard') . '<a target="_blank" href="https://www.w3schools.com/cssref/pr_class_position.asp">https://www.w3schools.com/cssref/pr_class_position.asp</a>';
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Simple Banner Position:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <?php $wpsw_banner_position = get_option('wpsw_banner_position');?>
                    <select id="wpsw_banner_position" name="wpsw_banner_position">
                           <option value="static" 
                              <?php
                                 if($wpsw_banner_position == 'static')
                                 {
                                     echo ' selected';
                                 }
                                 ?>>static</option>
                           <option value="absolute"
                              <?php
                                 if($wpsw_banner_position == 'absolute')
                                 {
                                     echo ' selected';
                                 }
                                 ?>>absolute</option>
                           <option value="fixed"
                              <?php
                                 if($wpsw_banner_position == 'fixed')
                                 {
                                     echo ' selected';
                                 }
                                 ?>>fixed</option>
                           <option value="relative"
                              <?php
                                 if($wpsw_banner_position == 'relative')
                                 {
                                     echo ' selected';
                                 }
                                 ?>>relative</option>
                           <option value="sticky"
                              <?php
                                 if($wpsw_banner_position == 'sticky')
                                 {
                                     echo ' selected';
                                 }
                                 ?>>sticky</option>
                           <option value="initial"
                              <?php
                                 if($wpsw_banner_position == 'initial')
                                 {
                                     echo ' selected';
                                 }
                                 ?>>initial</option>
                           <option value="inherit"
                              <?php
                                 if($wpsw_banner_position == 'inherit')
                                 {
                                     echo ' selected';
                                 }
                                 ?>>inherit</option>
                        </select>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Apply margin to the top of your theme header. Will be disabled if banner is hidden or disabled", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Header Top Margin:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="text" id="wpsw_header_margin" name="wpsw_header_margin" placeholder="margin-top"
										value="<?php echo esc_attr( get_option('wpsw_header_margin') ); ?>" />
        </div>
        </td></tr>
</table>
    </div>
         <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit7" class="button button-primary" onclick="unsaved = false;wpsw_save_content('content', 'Banner');" value="<?php esc_html_e( 'Save and Apply Settings', 'wp-setup-wizard' ); ?>"/></p></div>
  <span id="wpsw_processing_Banner"></span></div>
    </form>
    
    </div>
</div>
<?php
}