<?php

function wpsw_security()
{
?>
<div class="wrap gs_popuptype_holder seo_pops">
    <div>
        <form id="myForm" method="post" action="" autocomplete="off">
		<div class="cr_autocomplete">
		  <input type="password" id="PreventChromeAutocomplete" 
             name="PreventChromeAutocomplete" autocomplete="address-level4" />
       </div>
<?php
    $wpsw_enable_limitlogin = get_option('wpsw_enable_limitlogin');
	$wpsw_custom_login = get_option('wpsw_custom_login');
	$wpsw_ssl_front = get_option('wpsw_ssl_front');
	$wpsw_ssl_admin = get_option('wpsw_ssl_admin');
	$wpsw_disable_right = get_option('wpsw_disable_right');
	$wpsw_disable_select = get_option('wpsw_disable_select');
    $recaptchakey = get_option( 'wpsw_recaptchakey'); 
    $recaptchasecret = get_option( 'wpsw_recaptchasecret');
    $wpsw_captcha_shortcode = get_option( 'wpsw_captcha_shortcode');
    $wpsw_captcha_contact = get_option( 'wpsw_captcha_contact');
    $wpsw_captcha_login = get_option( 'wpsw_captcha_login');
    $wpsw_captcha_comment = get_option( 'wpsw_captcha_comment');
?>
  <div id="cs-tab-vcc-Security">
  <h2><?php esc_html_e( 'Security Settings:', 'wp-setup-wizard' ); ?>&nbsp;<span class="wpswtooltip">⚠
  <span class="wpswtooltiptext"><?php esc_html_e( 'You need to keep the plugin installed and activated for this feature to be kept active.', 'wp-setup-wizard' ); ?></span>
</span></h2>
  <hr/>
       <table class="widefat">
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to limit login retries? To disable this feature, leave this field blank.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Limit Login Retries Count:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="number" autocomplete="off" id="wpsw_enable_limitlogin" placeholder="<?php esc_html_e( 'Enable limit login attempts count', 'wp-setup-wizard' ); ?>" name="wpsw_enable_limitlogin" value="<?php echo esc_attr($wpsw_enable_limitlogin);?>"/>
        </div>
        </td></tr>
		<tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to change the WordPress default login URL from wp-login.php to a custom one? To disable this feature, leave this field blank.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Change WordPress Login URL:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <span class="wpsw50p"><?php echo site_url('/');?></span><input class="wpsw50p" type="text" autocomplete="off" id="wpsw_custom_login" placeholder="<?php esc_html_e( 'Custom login slug', 'wp-setup-wizard' ); ?>" name="wpsw_custom_login" value="<?php echo esc_attr($wpsw_custom_login);?>"/>
        </div>
        </td></tr>
		<tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to enforce https for the front end for WordPress?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Enforce HTTPS on Front End:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
					<input type="checkbox" id="wpsw_ssl_front" name="wpsw_ssl_front" <?php if($wpsw_ssl_front == '1') {echo ' checked';}?>>
        </div>
        </td></tr>
		<tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to enforce https for the admin backend for WordPress?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Enforce HTTPS on Admin Backend:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
					<input type="checkbox" id="wpsw_ssl_admin" name="wpsw_ssl_admin" <?php if($wpsw_ssl_admin == '1') {echo ' checked';}?>>
        </div>
        </td></tr>
		<tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to disable right click on front end?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Disable Right Click on Front End:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
					<input type="checkbox" id="wpsw_disable_right" name="wpsw_disable_right" <?php if($wpsw_disable_right == '1') {echo ' checked';}?>>
        </div>
        </td></tr>
		<tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to disable right click on front end?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Disable Text Selection on Front End:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
					<input type="checkbox" id="wpsw_disable_select" name="wpsw_disable_select" <?php if($wpsw_disable_select == '1') {echo ' checked';}?>>
        </div>
        </td></tr>
      </table>
      <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit1" class="button button-primary" onclick="unsaved = false;wpsw_save_content('security', 'Security');" value="<?php esc_html_e( 'Save and Apply Settings', 'wp-setup-wizard' ); ?>"/></p></div>
  <span id="wpsw_processing_Security"></span></div>
  <div id="cs-tab-vcc-Captcha" class="cs-section x-dnone">
  <h2><?php esc_html_e( 'Captcha Integration:', 'wp-setup-wizard' ); ?>&nbsp;<span class="wpswtooltip">⚠
  <span class="wpswtooltiptext"><?php esc_html_e( 'You need to keep the plugin installed and activated for this feature to be kept active.', 'wp-setup-wizard' ); ?></span>
</span></h2>
  <hr/>
       <table class="widefat">
	  <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set your Recaptcha v3 Site Key. You can get one, here: ", 'wp-setup-wizard') . ' <a href="https://www.google.com/recaptcha/admin/create" target="_blank">https://www.google.com/recaptcha/admin/create</a>';
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Recaptcha v3 Site Key:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="recaptchakey" placeholder="<?php esc_html_e( 'Recaptcha v3 key', 'wp-setup-wizard' ); ?>" name="recaptchakey" value="<?php echo esc_attr($recaptchakey);?>"/>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set your Recaptcha v3 Site Secret. You can get one, here: ", 'wp-setup-wizard') . ' <a href="https://www.google.com/recaptcha/admin/create" target="_blank">https://www.google.com/recaptcha/admin/create</a>';
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Recaptcha v3 Site Secret:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="password" id="recaptchasecret" autocomplete="off" placeholder="<?php esc_html_e( 'Recaptcha v3 secret', 'wp-setup-wizard' ); ?>" name="recaptchasecret" value="<?php echo esc_attr($recaptchasecret);?>"/>
        </div>
        </td></tr>
		<tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to enable captcha for the [wpsw-gdpr-form] shortcode?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Enable Captcha for the [wpsw-gdpr-form] Shortcode:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
					<input type="checkbox" id="wpsw_captcha_shortcode" name="wpsw_captcha_shortcode" <?php if($wpsw_captcha_shortcode == '1') {echo ' checked';}?>>
        </div>
        </td></tr>
		<tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to enable captcha for the [wpsw-contact-form] shortcode?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Enable Captcha for the [wpsw-contact-form] Shortcode:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
					<input type="checkbox" id="wpsw_captcha_contact" name="wpsw_captcha_contact" <?php if($wpsw_captcha_contact == '1') {echo ' checked';}?>>
        </div>
        </td></tr>
		<tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to enable captcha for the login form?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Enable Captcha in the Login Form', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
					<input type="checkbox" id="wpsw_captcha_login" name="wpsw_captcha_login" <?php if($wpsw_captcha_login == '1') {echo ' checked';}?>>
        </div>
        </td></tr>
		<tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to enable captcha for the comments form?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Enable Captcha for the Comments Form:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
					<input type="checkbox" id="wpsw_captcha_comment" name="wpsw_captcha_comment" <?php if($wpsw_captcha_comment == '1') {echo ' checked';}?>>
        </div>
        </td></tr>
      </table>
      <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit2" class="button button-primary" onclick="unsaved = false;wpsw_save_content('security', 'Captcha');" value="<?php esc_html_e( 'Save and Apply Settings', 'wp-setup-wizard' ); ?>"/></p></div>
  <span id="wpsw_processing_Captcha"></span></div>
  <div id="cs-tab-vcc-Backup" class="cs-section x-dnone">
  <h2><?php esc_html_e( 'Database Backup:', 'wp-setup-wizard' ); ?></h2>
  <hr/>
       <table class="widefat">
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Click this button to start a full database backup. This operation will result in a backup file with SQL commands, that will be able to be used when to restore the same database as you have right now on your website. Help on executing SQL statements from file: ", 'wp-setup-wizard') . '<a href="https://dev.mysql.com/doc/refman/8.0/en/mysql-batch-commands.html" target="_blank">https://dev.mysql.com/doc/refman/8.0/en/mysql-batch-commands.html</a>';
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Full Database Backup:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="button" id="wpsw_database_backup" name="wpsw_database_backup" value="<?php esc_html_e( 'Backup DataBase Now', 'wp-setup-wizard' ); ?>"/>
					<span id="wpsw_database_backup_processing_error"></span>
		</div>
        </td></tr>
        <tr id="wpsw_backup_hide"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Click this button to download resulting file.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Download Resulting File:', 'wp-setup-wizard' ); ?></b>
                    
                    </td>
            <td> <a id="wpsw_database_backup_file" href="" target="_blank" download="" class="wp-submenuni button button-secondary"><?php esc_html_e( 'Download File', 'wp-setup-wizard' ); ?></a>
            <div id="wpsw_db_error"></div></td>
        </tr>
      </table>
      <hr /> 
  <span id="wpsw_processing_Backup"></span></div>
    </div>
    </form>
    </div>
</div>
<?php
}