<?php
function wpsw_social()
{
?>
<div class="wrap gs_popuptype_holder seo_pops">
    <div>
        <form id="myForm" method="post" action="" autocomplete="off">
		<div class="cr_autocomplete">
		  <input type="password" id="PreventChromeAutocomplete" 
             name="PreventChromeAutocomplete" autocomplete="address-level4" />
       </div>
<?php
    $wpsw_enable_social = get_option('wpsw_enable_social');
	$wpsw_enable_pinit = get_option('wpsw_enable_pinit');
	$wpsw_enable_types = get_option('wpsw_enable_types', array());
	$wpsw_enable_position = get_option('wpsw_enable_position', 'Bottom');
	$wpsw_enable_align = get_option('wpsw_enable_align', 'None');
	$wpsw_enable_fb = get_option('wpsw_enable_fb');
	$wpsw_enable_tw = get_option('wpsw_enable_tw');
	$wpsw_enable_pt = get_option('wpsw_enable_pt');
	$wpsw_enable_li = get_option('wpsw_enable_li');
	$wpsw_enable_rd = get_option('wpsw_enable_rd');
?>
  
  <div id="cs-tab-vcc-Social">
  <h2><?php esc_html_e( 'Social Settings:', 'wp-setup-wizard' ); ?>&nbsp;<span class="wpswtooltip">⚠
  <span class="wpswtooltiptext"><?php esc_html_e( 'You need to keep the plugin installed and activated for this feature to be kept active.', 'wp-setup-wizard' ); ?></span>
</span></h2>
  <hr/>
       <table class="widefat">
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Check this checkbox to enable social sharing buttons on your site.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Enable Social Share Buttons:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="wpsw_enable_social" class="wpsw_enable_social" name="wpsw_enable_social" <?php if($wpsw_enable_social == '1') {echo ' checked';}?>>
        </div>
        </td></tr>
      <tr class="social_hided"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Select the post types for which to activate the sharing buttons.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Show on Post Types:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
<?php
		$args = array(
		   'public'   => true,
		   '_builtin' => true
		);
		  
		$output = 'names';
		$operator = 'and';
		if(!is_array($wpsw_enable_types))
		{
			$wpsw_enable_types = array();
		}
		$post_types = get_post_types( $args, $output, $operator );
        echo '<select multiple name="wpsw_enable_types" id="wpsw_enable_types">';
		foreach($post_types as $pt)
		{
			echo '<option value="' . $pt . '"';
			if(in_array($pt, $wpsw_enable_types))
			{
				echo ' selected="selected"';
			}
			echo '>' . $pt . '</option>';
		}
        echo '</select>';
?> 
        </div>
        </td></tr>
		<tr class="social_hided"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Select the position of the sharing buttons.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Sharing Buttons Position:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
<?php
		echo '<select name="wpsw_enable_position" id="wpsw_enable_position">';
		$position_types = array('Top', 'Bottom');
		foreach($position_types as $pt)
		{
			echo '<option value="' . $pt . '"';
			if($pt == $wpsw_enable_position)
			{
				echo ' selected="selected"';
			}
			echo '>' . $pt . '</option>';
		}
        echo '</select>';
?> 
        </div>
        </td></tr>
		<tr class="social_hided"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Select the alignment of the sharing buttons.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Sharing Buttons Alignment:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
<?php
		echo '<select name="wpsw_enable_align" id="wpsw_enable_align">';
		$position_types = array('None', 'Left', 'Center', 'Right');
		foreach($position_types as $pt)
		{
			echo '<option value="' . $pt . '"';
			if($pt == $wpsw_enable_align)
			{
				echo ' selected="selected"';
			}
			echo '>' . $pt . '</option>';
		}
        echo '</select>';
?> 
        </div>
        </td></tr>
		<tr class="social_hided"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Select the sharing buttons to enable.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Sharing Buttons To Enable:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
			<input type="checkbox" id="wpsw_enable_fb" class="wpsw_enable_fb" name="wpsw_enable_fb" <?php if($wpsw_enable_fb == '1') {echo ' checked';}?>>&nbsp;Facebook<br/>
			<input type="checkbox" id="wpsw_enable_tw" class="wpsw_enable_tw" name="wpsw_enable_tw" <?php if($wpsw_enable_tw == '1') {echo ' checked';}?>>&nbsp;Twitter<br/>
			<input type="checkbox" id="wpsw_enable_pt" class="wpsw_enable_pt" name="wpsw_enable_pt" <?php if($wpsw_enable_pt == '1') {echo ' checked';}?>>&nbsp;Pinterest<br/>
			<input type="checkbox" id="wpsw_enable_li" class="wpsw_enable_li" name="wpsw_enable_li" <?php if($wpsw_enable_li == '1') {echo ' checked';}?>>&nbsp;LinkedIn<br/>
			<input type="checkbox" id="wpsw_enable_rd" class="wpsw_enable_rd" name="wpsw_enable_rd" <?php if($wpsw_enable_rd == '1') {echo ' checked';}?>>&nbsp;Reddit
        </div>
        </td></tr>
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Check this checkbox to enable the 'Pin It' feature for images from your site.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Enable "Pin It" Feature For Images:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="wpsw_enable_pinit" class="wpsw_enable_pinit" name="wpsw_enable_pinit" <?php if($wpsw_enable_pinit == '1') {echo ' checked';}?>>
        </div>
        </td></tr>
      </table>
      <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit2" class="button button-primary" onclick="unsaved = false;wpsw_save_content('social', 'Social');" value="<?php esc_html_e( 'Save and Apply Settings', 'wp-setup-wizard' ); ?>"/></p></div>
  <span id="wpsw_processing_Social"></span></div>
    </form>
    </div>
</div>
<?php
}