<?php
function wpsw_speed()
{
?>
<div class="wrap gs_popuptype_holder seo_pops">
    <div>
        <form id="myForm" method="post" action="" autocomplete="off">
		<div class="cr_autocomplete">
		  <input type="password" id="PreventChromeAutocomplete" 
             name="PreventChromeAutocomplete" autocomplete="address-level4" />
       </div>
<?php
    $wpsw_combine_js = get_option('wpsw_combine_js');
	$wpsw_combine_css = get_option('wpsw_combine_css');
	$wpsw_remove_query = get_option('wpsw_remove_query');
	$wpsw_gzip = get_option('wpsw_gzip');
	$wpsw_leverage = get_option('wpsw_leverage');
?>
  <div id="cs-tab-vcc-Optim">
  <h2><?php esc_html_e( 'Page Speed Optimization Settings:', 'wp-setup-wizard' ); ?>&nbsp;<span class="wpswtooltip">⚠
  <span class="wpswtooltiptext"><?php esc_html_e( 'You need to keep the plugin installed and activated for this feature to be kept active.', 'wp-setup-wizard' ); ?></span>
</span></h2>
  <hr/>
       <table class="widefat">
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to enable the minification and JavaScript combining feature?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Minify and Combine HTML & JavaScript:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="wpsw_combine_js" name="wpsw_combine_js" <?php if($wpsw_combine_js == '1') {echo ' checked';}?>>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to enable the minification and CSS combining feature?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Minify and Combine CSS:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="wpsw_combine_css" name="wpsw_combine_css" <?php if($wpsw_combine_css == '1') {echo ' checked';}?>>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to remove query strings from static content?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Remove Query Strings:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="wpsw_remove_query" name="wpsw_remove_query" <?php if($wpsw_remove_query == '1') {echo ' checked';}?>>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to enable GZIP compression (compress text, HTML, JavaScript, CSS, XML)?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Enable GZIP Compression:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <?php
                    if(function_exists('ob_gzhandler'))
                    {
                    ?>
                    <b><?php esc_html_e( 'GZIP Compression is not available on your server!', 'wp-setup-wizard' ); ?></b>
                    <input type="hidden" id="wpsw_gzip" name="wpsw_gzip" value="0">
                    <?php
                    }
                    else
                    {
                    ?>
                    <input type="checkbox" id="wpsw_gzip" name="wpsw_gzip" <?php if($wpsw_gzip == '1') {echo ' checked';}?>>
                    <?php
                    }
                    ?>
        </div>
        </td></tr>
        <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to Leverage Browser Caching (set expire caching)?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Leverage Browser Caching:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="wpsw_leverage" name="wpsw_leverage" <?php if($wpsw_leverage == '1') {echo ' checked';}?>>
        </div>
        </td></tr>
      </table>
      <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit1" class="button button-primary" onclick="unsaved = false;wpsw_save_content('speed', 'Optim');" value="<?php esc_html_e( 'Save and Apply Settings', 'wp-setup-wizard' ); ?>"/></p></div>
  <span id="wpsw_processing_Optim"></span></div>
    </form>
    </div>
</div>
<?php
}
?>