<?php
function wpsw_themes_list($slug) {
    $general = array(
        'type' => 'General',
        'free' => array(
            array(
                'name' => 'OceanWP',
                'description' => 'Lightweight and highly extendable theme',
                'slug' => 'oceanwp',
                'url' => 'https://wordpress.org/themes/oceanwp/'
            ),
            array(
                'name' => 'Neve',
                'description' => 'A super fast, easily customizable, multi-purpose theme',
                'slug' => 'neve',
                'url' => 'https://wordpress.org/themes/neve/'
            ),
            array(
                'name' => 'GeneratePress',
                'description' => 'A lightweight WordPress theme built with a focus on speed',
                'slug' => 'generatepress',
                'url' => 'https://wordpress.org/themes/generatepress/'
            ),
            array(
                'name' => 'Hestia',
                'description' => 'A modern WordPress theme for professionals',
                'slug' => 'hestia',
                'url' => 'https://wordpress.org/themes/hestia/'
            )
        ),
        'paid' => array(
            array(
                'name' => 'Avada | Website Builder For WordPress & WooCommerce',
                'description' => 'The #1 selling WordPress theme on the market',
                'slug' => 'avada-responsive-multipurpose-theme',
                'url' => 'https://1.envato.market/zorkW'
            ),
            array(
                'name' => 'Astra',
                'description' => 'A theme optimized for page load speed',
                'slug' => 'astra',
                'url' => 'https://wpastra.com/?bsf=6078	'
            ),
            array(
                'name' => 'X | The Theme',
                'description' => 'Includes multiple unique designs inside of one powerful WordPress theme',
                'slug' => 'x-the-theme',
                'url' => 'https://1.envato.market/9Ky0Q'
            ),
            array(
                'name' => 'Enfold - Responsive Multi-Purpose Theme',
                'description' => 'A user-friendly premium theme',
                'slug' => 'enfold-responsive-multipurpose-theme',
                'url' => 'https://1.envato.market/AMvE1'
            ),
            array(
                'name' => 'BeTheme - Responsive Multi-Purpose WordPress Theme',
                'description' => 'A theme full of different pre-built websites',
                'slug' => 'betheme-responsive-multipurpose-wordpress-theme',
                'url' => 'https://1.envato.market/DXvVj'
            ),
            array(
                'name' => 'Bridge - Creative Multipurpose WordPress Theme',
                'description' => 'A responsive retina multipurpose WordPress theme',
                'slug' => 'bridge-creative-multipurpose-wordpress-theme',
                'url' => 'https://1.envato.market/Bdvyq'
            )
        )
    );
    $ecommerce = array(
        'type' => 'Ecommerce',
        'free' => array(
            array(
                'name' => 'Storefront',
                'description' => 'The perfect theme for your next WooCommerce project',
                'slug' => 'storefront',
                'url' => 'https://wordpress.org/themes/storefront/'
            ),
            array(
                'name' => 'Envo Shop',
                'description' => 'A fast, clean and modern-looking responsive free WooCommerce WordPress theme',
                'slug' => 'envo-shop',
                'url' => 'https://wordpress.org/themes/envo-shop/'
            ),
            array(
                'name' => 'Top Store',
                'description' => 'A powerful responsive eCommerce WordPress theme',
                'slug' => 'top-store',
                'url' => 'https://wordpress.org/themes/top-store/'
            ),
            array(
                'name' => 'Envo Storefront',
                'description' => 'A fast, clean and modern-looking responsive free WooCommerce theme',
                'slug' => 'envo-storefront',
                'url' => 'https://wordpress.org/themes/envo-storefront/'
            )
        ),
        'paid' => array(
            array(
                'name' => 'Goya - Modern WooCommerce Theme',
                'description' => 'A modern and minimalist theme with all the necessary features for your next online store',
                'slug' => 'goya-modern-woocommerce-theme',
                'url' => 'https://1.envato.market/P3Myz'
            ),
            array(
                'name' => 'Shopkeeper - eCommerce WordPress Theme for WooCommerce',
                'description' => 'A fully responsive eCommerce WordPress Theme for WooCommerce',
                'slug' => 'shopkeeper-ecommerce-wp-theme-for-woocommerce',
                'url' => 'https://1.envato.market/zmo2M'
            ),
            array(
                'name' => 'Porto | Multipurpose & WooCommerce Theme',
                'description' => 'The ultimate business & woocommerce wordpress theme',
                'slug' => 'porto-responsive-wordpress-ecommerce-theme',
                'url' => 'https://1.envato.market/AJvWj'
            ),
            array(
                'name' => 'The Retailer - eCommerce WordPress Theme for WooCommerce',
                'description' => 'A must-have eCommerce WordPress Theme for WooCommerce',
                'slug' => 'the-retailer-responsive-wordpress-theme',
                'url' => 'https://1.envato.market/EdMZ4'
            )          
        )
    );
    $affiliates = array(
        'type' => 'Affiliates',
        'free' => array(
            array(
                'name' => 'Affiliate Marketingly',
                'description' => 'A personal modern lifestyle blog or an affiliate review website',
                'slug' => 'affiliate-marketingly',
                'url' => 'https://wordpress.org/themes/affiliate-marketingly/'
            ),
            array(
                'name' => 'Affiliate Newspaperly',
                'description' => 'A newspaper style affiliate theme',
                'slug' => 'affiliate-newspaperly',
                'url' => 'https://wordpress.org/themes/affiliate-newspaperly/'
            ),
            array(
                'name' => 'Affiliate Marketingly',
                'description' => 'A personal modern lifestyle blog or an affiliate review website',
                'slug' => 'affiliate-marketingly',
                'url' => 'https://wordpress.org/themes/affiliate-marketingly/'
            ),
            array(
                'name' => 'Marketingly',
                'description' => 'A theme perfect for your marketing efforts',
                'slug' => 'marketingly',
                'url' => 'https://wordpress.org/themes/marketingly/'
            ),
            array(
                'name' => 'Newspaperist',
                'description' => 'A classic theme built for your affiliate website',
                'slug' => 'newspaperist',
                'url' => 'https://wordpress.org/themes/newspaperist/'
            )
        ),
        'paid' => array(
            array(
                'name' => 'Kingdom - WooCommerce Amazon Affiliates Theme',
                'description' => 'Amazom affiliates theme',
                'slug' => 'kingdom-woocommerce-amazon-affiliates-theme',
                'url' => 'https://1.envato.market/kingdom'
            ),
            array(
                'name' => 'Couponis - Affiliate & Submitting Coupons WordPress Theme',
                'description' => 'Affiliate & coupon website theme that you will love',
                'slug' => 'couponis-affiliate-submitting-coupons-wordpress-theme',
                'url' => 'https://1.envato.market/WmMqP'
            ),
            array(
                'name' => 'Blurb - Affiliate Marketing WordPress Theme',
                'description' => 'A theme with many builtin features for affiliate marketers',
                'slug' => 'blurb-affiliate-marketing-wordpress-theme',
                'url' => 'https://1.envato.market/EoMKP'
            ),
            array(
                'name' => 'Comre - Coupon Codes & Affiliates WordPress Theme',
                'description' => 'A Wordpress theme to create a website for coupons and promotion codes',
                'slug' => 'comre-coupon-codes-affiliates-wordpress-theme',
                'url' => 'https://1.envato.market/n05L6'
            )
        )
    );
    $business = array(
        'type' => 'Business',
        'free' => array(
            array(
                'name' => 'Business Consult',
                'description' => 'A free theme made for businesses',
                'slug' => 'business-consult',
                'url' => 'https://wordpress.org/themes/business-consult/'
            ),
            array(
                'name' => 'Photography Business',
                'description' => 'The best free theme for a photography business',
                'slug' => 'photography-business',
                'url' => 'https://wordpress.org/themes/photography-business/'
            ),
            array(
                'name' => 'Business Event',
                'description' => 'A dedicated event WordPress theme for business meetups',
                'slug' => 'business-event',
                'url' => 'https://wordpress.org/themes/business-event/'
            ),
            array(
                'name' => 'Business Corporate Gravity',
                'description' => 'This theme is suitable for corporate, business, company portfolios',
                'slug' => 'business-corporate-gravity',
                'url' => 'https://wordpress.org/themes/business-corporate-gravity/'
            ),
            array(
                'name' => 'Fansee Business',
                'description' => 'A light multipurpose business WordPress theme',
                'slug' => 'fansee-business',
                'url' => 'https://wordpress.org/themes/fansee-business/'
            )
        ),
        'paid' => array(
            array(
                'name' => 'Consulting - Business, Finance WordPress Theme',
                'description' => 'A theme that can buil up any business website',
                'slug' => 'consulting-business-finance-wordpress-theme',
                'url' => 'https://1.envato.market/eVLrz'
            ),
            array(
                'name' => 'The Ark | WordPress Theme made for Freelancers',
                'description' => 'The best theme for freelancers',
                'slug' => 'the-ark',
                'url' => 'https://1.envato.market/QmMNo'
            ),
            array(
                'name' => 'SEOWP | SEO & Digital Marketing WordPress Theme',
                'description' => 'A theme for digital agencies',
                'slug' => 'seo-wp-online-marketing-seo-social-media-agency',
                'url' => 'https://1.envato.market/957M5'
            ),
            array(
                'name' => 'DynamiX - Business / Corporate WordPress Theme',
                'description' => 'A theme for all your corporate needs',
                'slug' => 'dynamix-business-corporate-wordpress-theme',
                'url' => 'https://1.envato.market/jo9nP'
            )
        )
    );
    $tech = array(
        'type' => 'Technology',
        'free' => array(
            array(
                'name' => 'Technology Travel Food',
                'description' => 'A theme that can set up tech blogs',
                'slug' => 'technology-travel-food',
                'url' => 'https://wordpress.org/themes/technology-travel-food/'
            ),
            array(
                'name' => 'Frontech',
                'description' => 'A Multi-Purpose CSS3 Tech Blog Theme',
                'slug' => 'frontech',
                'url' => 'https://wordpress.org/themes/frontech/'
            ),
            array(
                'name' => 'TechLauncher',
                'description' => 'An elegant Tech WordPress theme',
                'slug' => 'techlauncher',
                'url' => 'https://wordpress.org/themes/techlauncher/'
            ),
            array(
                'name' => 'Techno Biz',
                'description' => 'A professional and elegant blue tech theme',
                'slug' => 'techno-biz',
                'url' => 'https://wordpress.org/themes/techno-biz/'
            ),
            array(
                'name' => 'Greentech Lite',
                'description' => 'A beautiful WordPress tech theme',
                'slug' => 'greentech-lite',
                'url' => 'https://wordpress.org/themes/greentech-lite/'
            )
        ),
        'paid' => array(
            array(
                'name' => 'Digeco – Startup Agency WordPress Theme',
                'description' => 'The best startup agency WordPress theme',
                'slug' => 'digeco-startup-agency-wordpress-theme',
                'url' => 'https://1.envato.market/WmMGA'
            ),
            array(
                'name' => 'Startit - Fresh Startup Business Theme',
                'description' => 'A tech theme streamlined for a startup',
                'slug' => 'startit-a-fresh-startup-business-theme',
                'url' => 'https://1.envato.market/bAMmv'
            ),
            array(
                'name' => 'Cryptic - Cryptocurrency WordPress Theme',
                'description' => 'A theme for novices and experts of the cryptocurrency exchange market',
                'slug' => 'cryptic-cryptocurrency-wordpress-theme',
                'url' => 'https://1.envato.market/2xvW7'
            ),
            array(
                'name' => 'Youplay - Gaming WordPress Theme',
                'description' => 'A theme for all gaming blogs',
                'slug' => 'youplay-gaming-wordpress-theme',
                'url' => 'https://1.envato.market/0Kv9P'
            )
        )
    );
    $realestate = array(
        'type' => 'Real Estate',
        'free' => array(
            array(
                'name' => 'Real Estate Agency',
                'description' => 'A modern multi-purpose HTML5 Real Estate Agency theme',
                'slug' => 'real-estate-agency',
                'url' => 'https://wordpress.org/themes/real-estate-agency/'
            ),
            array(
                'name' => 'VW Real Estate',
                'description' => 'A clean, sleek and responsive theme for real estate agencies',
                'slug' => 'vw-real-estate',
                'url' => 'https://wordpress.org/themes/vw-real-estate/'
            ),
            array(
                'name' => 'Real Estate Salient',
                'description' => 'A free fully responsive WordPress theme for real estate agencies',
                'slug' => 'real-estate-salient',
                'url' => 'https://wordpress.org/themes/real-estate-salient/'
            ),
            array(
                'name' => 'Neptune Real Estate',
                'description' => 'A free WordPress real estate theme',
                'slug' => 'neptune-real-estate',
                'url' => 'https://wordpress.org/themes/neptune-real-estate/'
            ),
            array(
                'name' => 'Aperture Real Estate',
                'description' => 'A simple, minimalistic WordPress real estate theme',
                'slug' => 'aperture-real-estate',
                'url' => 'https://wordpress.org/themes/aperture-real-estate/'
            )
        ),
        'paid' => array(
            array(
                'name' => 'Rentex - Real Estate WordPress Theme',
                'description' => 'A real estate theme holding a high standard of quality',
                'slug' => 'rentex-real-estate-wordpress-theme',
                'url' => 'https://1.envato.market/oEkLg'
            ),
            array(
                'name' => 'Residence Real Estate WordPress Theme',
                'description' => 'A premium theme designed for independent real estate agents',
                'slug' => 'wp-residence-real-estate-wordpress-theme',
                'url' => 'https://1.envato.market/BZvy9'
            ),
            array(
                'name' => 'Houzez - Real Estate WordPress Theme',
                'description' => 'A worldwide popular WordPress theme for real estate agents',
                'slug' => 'houzez-real-estate-wordpress-theme',
                'url' => 'https://1.envato.market/gXxG9'
            ),
            array(
                'name' => 'Realto - WordPress Theme for Real Estate Companies',
                'description' => 'A clean and super flexible WordPress Theme for any Real Estate Company',
                'slug' => 'realto-wordpress-theme-for-real-estate-companies',
                'url' => 'https://1.envato.market/OdMKn'
            )
        )
    );
    $zaarr = array(
      'general' => $general,
      'ecommerce' => $ecommerce,
      'affiliates' => $affiliates,
      'business' => $business,
      'tech' => $tech,
      'realestate' => $realestate
    );
    if(isset($zaarr[$slug]))
    {
        return $zaarr[$slug];
    }
    else
    {
        return $zaarr;
    }
}
?>