(function($) {
"use strict";
var ajaxurl = mycustomsettings.ajaxurl;
var lang = "en";
jQuery(document).ready(function ($) {
    $("#ycsrun").on('click', function (event) {
        event.preventDefault();
        var video_id_input = $("#video_id").val();
        if (video_id_input.length) {
            if (confirm("Are you sure you want to get closed captions for this YouTube video ID?") == true) {
                var video_id = video_id_input.trim();
                $('select.lang').on('change', function() {
                    lang = $(this).children("option:selected").val();
                    
                });
                document.getElementById("run_img").style.visibility = "visible";
                document.getElementById("run_img").src = mycustomsettings.plugin_dir_url + "images/running.gif";
				
				var data = {
					action: 'wpsw_ajax_callback',
					video_id: video_id,
					lang: lang
				};
				jQuery.post(ajaxurl, data, function(response) {
					if(response.trim() != '')
					{
						var pconts = $("#content").val();
						$("#content").val(function () {
							return pconts + ' ' + response
						});
						tinyMCE.init({
							selector: '#content'
						});
						var conts = tinyMCE.activeEditor.getContent();
						tinyMCE.activeEditor.setContent(conts + ' ' + response);
						document.getElementById("run_img").src = mycustomsettings.plugin_dir_url + "images/ok.gif";
					}
					else
					{
						document.getElementById("run_img").src = mycustomsettings.plugin_dir_url + "images/nochange.gif";
					}
				}).fail( function(xhr) 
				{
					console.log('Error occured in processing: ' + xhr.statusText + ' - please check plugin\'s \'Activity and Logging\' menu for details.');
					document.getElementById("run_img").src= mycustomsettings.plugin_dir_url + "images/failed.gif";
				});
            }
        }
        else {
            alert("Please insert a valid YouTube video ID!");
        }
    });
});

})(jQuery); 