<?php
function wpsw_list_business_types() 
{
    return array(
		'AccountingService' => 'Accounting Service',
		'AdultEntertainment' => 'Adult Entertainment',
		'AmusementPark' => 'Amusement Park',
		'AnimalShelter' => 'Animal Shelter',
		'ArtGallery' => 'Art Gallery',
		'Attorney' => 'Attorney',
		'AutoBodyShop' => 'Auto Body Shop',
		'AutoDealer' => 'Auto Dealer',
		'AutomatedTeller' => 'Automated Teller',
		'AutomotiveBusiness' => 'Automotive Business',
		'AutoPartsStore' => 'Auto Parts Store',
		'AutoRental' => 'Auto Rental',
		'AutoRepair' => 'Auto Repair',
		'AutoWash' => 'Auto Wash',
		'Bakery' => 'Bakery',
		'BankOrCreditUnion' => 'Bank Or Credit Union',
		'BarOrPub' => 'Bar Or Pub',
		'BeautySalon' => 'Beauty Salon',
		'BedAndBreakfast' => 'Bed And Breakfast',
		'BikeStore' => 'Bike Store',
		'BookStore' => 'Book Store',
		'BowlingAlley' => 'Bowling Alley',
		'Brewery' => 'Brewery',
		'CafeOrCoffee Shop' => 'Cafe Or CoffeeShop',
		'Casino' => 'Casino',
		'ChildCare' => 'Child Care',
		'ClothingStore' => 'Clothing Store',
		'ComedyClub' => 'Comedy Club',
		'ComputerStore' => 'Computer Store',
		'ConvenienceStore' => 'Convenience Store',
		'DaySpa' => 'Day Spa',
		'Dentist' => 'Dentist',
		'DepartmentStore' => 'Department Store',
		'DiagnosticLab' => 'Diagnostic Lab',
		'DryCleaningOrLaundry' => 'Dry Cleaning Or Laundry',
		'Electrician' => 'Electrician',
		'ElectronicsStore' => 'Electronics Store',
		'EmergencyService' => 'EmergencyService',
		'EmploymentAgency' => 'Employment Agency',
		'EntertainmentBusiness' => 'Entertainment Business',
		'ExerciseGym' => 'Exercise Gym',
		'FastFoodRestaurant' => 'Fast Food Restaurant',
		'FireStation' => 'Fire Station',
		'FinancialService' => 'Financial Service',
		'Florist' => 'Florist',
		'FoodEstablishment' => 'Food Establishment',
		'FurnitureStore' => 'Furniture Store',
		'GardenStore' => 'Garden Store',
		'GasStation' => 'Gas Station',
		'GeneralContractor' => 'General Contractor',
		'GolfCourse' => 'Golf Course',
		'GroceryStore' => 'Grocery Store',
		'GovernmentOffice' => 'Government Office',
		'HairSalon' => 'Hair Salon',
		'HardwareStore' => 'Hardware Store',
		'HealthAndBeautyBusiness' => 'Health And Beauty Business',
		'HealthClub' => 'Health Club',
		'HobbyShop' => 'HobbyShop',
		'HomeAndConstructionBusiness' => 'Home and Construction Business',
		'HomeGoodsStore' => 'Home Goods Store',
		'Hospital' => 'Hospital',
		'Hostel' => 'Hostel',
		'Hotel' => 'Hotel',
		'HousePainter' => 'House Painter',
		'HVACBusiness' => 'HVAC Business',
		'IceCreamShop' => 'Ice Cream Shop',
		'InsuranceAgency' => 'Insurance Agency',
		'InternetCafe' => 'Internet Cafe',
		'JewelryStore' => 'JewelryStore',
		'Library' => 'Library',
		'LiquorStore' => 'Liquor Store',
		'Locksmith' => 'Locksmith',
		'LodgingBusiness' => 'Lodging Business',
		'MedicalClinic' => 'Medical Clinic',
		'MedicalOrganization' => 'Medical Organization',
		'MensClothingStore' => 'Mens Clothing Store',
		'MobilePhoneStore' => 'Mobile Phone Store',
		'Motel' => 'Motel',
		'MotorcycleDealer' => 'Motorcycle Dealer',
		'MotorcycleRepair' => 'Motorcycle Repair',
		'MovieRentalStore' => 'Movie Rental Store',
		'MovieTheater' => 'Movie Theater',
		'MovingCompany' => 'Moving Company',
		'MusicStore' => 'Music Store',
		'NailSalon' => 'Nail Salon',
		'NightClub' => 'Night Club',
		'Notary' => 'Notary',
		'OfficeEquipmentStore' => 'Office Equipment Store',
		'Optician' => 'Optician',
		'OutletStore' => 'Outlet Store',
		'PawnShop' => 'Pawn Shop',
		'PetStore' => 'Pet Store',
		'Pharmacy' => 'Pharmacy',
		'Physician' => 'Physician',
		'Plumber' => 'Plumber',
		'PoliceStation' => 'Police Station',
		'PostOffice' => 'Post Office',
		'ProfessionalService' => 'Professional Service',
		'PublicSwimmingPool' => 'Public Swimming Pool',
		'RadioStation' => 'Radio Station',
		'RealEstateAgent' => 'Real Estate Agent',
		'RecyclingCenter' => 'Recycling Center',
		'Restaurant' => 'Restaurant',
		'RoofingContractor' => 'Roofing Contractor',
		'SelfStorage' => 'Self Storage',
		'ShoeStore' => 'Shoe Store',
		'ShoppingCenter' => 'Shopping Center',
		'SkiResort' => 'Ski Resort',
		'SportsActivityLocation' => 'Sports Activity Location',
		'SportingGoodsStore' => 'Sporting Goods Store',
		'SportsClub' => 'Sports Club',
		'Store' => 'Store',
		'StadiumOrArena' => 'Stadium Or Arena',
		'TattooParlor' => 'Tattoo Parlor',
		'TelevisionStation' => 'Television Station',
		'TennisComplex' => 'Tennis Complex',
		'TireShop' => 'Tire Shop',
		'TouristInformationCenter' => 'Tourist Information Center',
		'ToyStore' => 'Toy Store',
		'TravelAgency' => 'Travel Agency',
		'VeterinaryCare' => 'Veterinary Care',
		'WholesaleStore' => 'Wholesale Store',
		'Winery' => 'Winery'
    );
}
function wpsw_returnTopLevelCat($level1)
{
	$array = array(
		'AutoBodyShop:AutomotiveBusiness',
		'AutoDealer:AutomotiveBusiness',
		'AutoPartsStore:AutomotiveBusiness',
		'AutoRental:AutomotiveBusiness',
		'AutoRepair:AutomotiveBusiness',
		'AutoWash:AutomotiveBusiness',
		'GasStation:AutomotiveBusiness',
		'MotorcycleDealer:AutomotiveBusiness',
		'MotorcycleRepair:AutomotiveBusiness',
		'FireStation:EmergencyService',
		'Hospital:EmergencyService',
		'PoliceStation:EmergencyService',
		'AdultEntertainment:EntertainmentBusiness',
		'AmusementPark:EntertainmentBusiness',
		'ArtGallery:EntertainmentBusiness',
		'Casino:EntertainmentBusiness',
		'ComedyClub:EntertainmentBusiness',
		'MovieTheater:EntertainmentBusiness',
		'NightClub:EntertainmentBusiness',
		'FinancialService:FinancialService',
		'AccountingService:FinancialService',
		'AutomatedTeller:FinancialService',
		'BankOrCreditUnion:FinancialService',
		'InsuranceAgency:FinancialService',
		'FoodEstablishment:FoodEstablishment',
		'Bakery:FoodEstablishment',
		'BarOrPub:FoodEstablishment',
		'Brewery:FoodEstablishment',
		'CafeOrCoffeeShop:FoodEstablishment',
		'FastFoodRestaurant:FoodEstablishment',
		'IceCreamShop:FoodEstablishment',
		'Restaurant:FoodEstablishment',
		'Winery:FoodEstablishment',
		'PostOffice:GovernmentOffice',
		'BeautySalon:HealthAndBeautyBusiness',
		'DaySpa:HealthAndBeautyBusiness',
		'HairSalon:HealthAndBeautyBusiness',
		'HealthClub:HealthAndBeautyBusiness',
		'NailSalon:HealthAndBeautyBusiness',
		'TattooParlor:HealthAndBeautyBusiness',
		'HomeAndConstructionBusiness:HomeAndConstructionBusiness',
		'Electrician:HomeAndConstructionBusiness',
		'GeneralContractor:HomeAndConstructionBusiness',
		'HVACBusiness:HomeAndConstructionBusiness',
		'HousePainter:HomeAndConstructionBusiness',
		'Locksmith:HomeAndConstructionBusiness',
		'MovingCompany:HomeAndConstructionBusiness',
		'Plumber:HomeAndConstructionBusiness',
		'RoofingContractor:HomeAndConstructionBusiness',
		'BedAndBreakfast:LodgingBusiness',
		'Hostel:LodgingBusiness',
		'Hotel:LodgingBusiness',
		'Motel:LodgingBusiness',
		'Dentist:MedicalOrganization',
		'DiagnosticLab:MedicalOrganization',
		'Hospital:MedicalOrganization',
		'MedicalClinic:MedicalOrganization',
		'Optician:MedicalOrganization',
		'Pharmacy:MedicalOrganization',
		'Physician:MedicalOrganization',
		'VeterinaryCare:MedicalOrganization',
		'AccountingService:ProfessionalService',
		'Attorney:ProfessionalService',
		'Dentist:ProfessionalService',
		'Electrician:ProfessionalService',
		'GeneralContractor:ProfessionalService',
		'HousePainter:ProfessionalService',
		'Locksmith:ProfessionalService',
		'Notary:ProfessionalService',
		'Plumber:ProfessionalService',
		'RoofingContractor:ProfessionalService',
		'BowlingAlley:SportsActivityLocation',
		'ExerciseGym:SportsActivityLocation',
		'GolfCourse:SportsActivityLocation',
		'HealthClub:SportsActivityLocation',
		'PublicSwimmingPool:SportsActivityLocation',
		'SkiResort:SportsActivityLocation',
		'SportsClub:SportsActivityLocation',
		'StadiumOrArena:SportsActivityLocation',
		'TennisComplex:SportsActivityLocation',
		'AutoPartsStore:Store',
		'BikeStore:Store',
		'BookStore:Store',
		'ClothingStore:Store',
		'ComputerStore:Store',
		'ConvenienceStore:Store',
		'DepartmentStore:Store',
		'ElectronicsStore:Store',
		'Florist:Store',
		'FurnitureStore:Store',
		'GardenStore:Store',
		'GroceryStore:Store',
		'HardwareStore:Store',
		'HobbyShop:Store',
		'HomeGoodsStore:Store',
		'JewelryStore:Store',
		'LiquorStore:Store',
		'MensClothingStore:Store',
		'MobilePhoneStore:Store',
		'MovieRentalStore:Store',
		'MusicStore:Store',
		'OfficeEquipmentStore:Store',
		'OutletStore:Store',
		'PawnShop:Store',
		'PetStore:Store',
		'ShoeStore:Store',
		'SportingGoodsStore:Store',
		'TireShop:Store',
		'ToyStore:Store',
		'WholesaleStore:Store'
	);
	$set = false;
	foreach ($array as $var) {

		$val = explode(':' , $var);

		switch ($val[0]) {
			case $level1:
				$set = $val[1];
				break;
		}
	}
	if ($set) {
		return $set;
	} else {
		return false;
	}
}
function wpsw_showLocalBusiness()
{
	$wpsw_meta = '';
	$level1name = false;
	$wpsw_enable_b_meta = get_option('wpsw_enable_b_meta');
	if( $wpsw_enable_b_meta == '1' ) 
	{
		$wpsw_meta .= '<span itemscope itemtype="http://schema.org/LocalBusiness">';
		$level1name = wpsw_returnTopLevelCat($level1);
		if ($level1name)
		{
			$wpsw_meta .= '<span itemscope itemtype="http://schema.org/' . esc_attr($level1name) . '">';
		}
		$wpsw_business_type = get_option('wpsw_business_type');
		if ( $wpsw_business_type !== false )
		{
			$wpsw_meta .= '<span itemscope itemtype="http://schema.org/' . esc_attr($wpsw_business_type) . '">';
		}
		$wpsw_meta .= '<link itemprop="url" href="' . get_bloginfo('url') . '">';
		$wpsw_business_name = get_option('wpsw_business_name');
		if ( $wpsw_business_name === false )
		{
			$wpsw_business_name = get_bloginfo('name');
		}
		if ( !empty($wpsw_business_name) )
		{
			$wpsw_meta .= '<meta itemprop="name" content="' . esc_attr($wpsw_business_name) . '"/>';
		}
		$wpsw_business_description = get_option('wpsw_business_description');
		if($wpsw_business_description === false)
		{
			$wpsw_business_description = get_bloginfo('description');
		}
		if ( !empty($wpsw_business_description) )
		{
			$wpsw_meta .= '<meta itemprop="description" content="' . esc_attr($wpsw_business_description) . '" />';
		}
		$wpsw_business_logo = get_option('wpsw_business_logo');
		if ( $wpsw_business_logo !== false )
		{
			$wpsw_meta .= '<meta itemprop="image" content="' . esc_attr($wpsw_business_logo) . '" />';
		}
		$wpsw_meta .= '<span itemscope itemtype="http://schema.org/Place">';
		$wpsw_meta .= wpsw_showPostalAddress();
		$wpsw_meta .= wpsw_showGeoLocation();
		$wpsw_meta .= '</span>';
	}
	$wpsw_enable_seo_rating = get_option('wpsw_enable_seo_rating');
	if( $wpsw_enable_seo_rating == '1' )
		$wpsw_meta .= wpsw_aggregateRating();

	if( $wpsw_enable_b_meta == '1' ) {
		$wpsw_business_payment = get_option('wpsw_business_payment');
		if ( $wpsw_business_payment != '' )
		{
			$wpsw_meta .= '<meta itemprop="paymentAccepted" content="' . esc_attr($wpsw_business_payment) . '" />';
		}
		$wpsw_business_price = get_option('wpsw_business_price');
		if ( $wpsw_business_price != '' )
		{
			$wpsw_meta .= '<meta itemprop="priceRange" content="' . esc_attr($wpsw_business_price) . '" />';
		}
		$wpsw_business_open = get_option('wpsw_business_open');
		$wpsw_business_close = get_option('wpsw_business_close');
		$wpsw_business_days = get_option('wpsw_business_days');
		if ($wpsw_business_open != '' && $wpsw_business_close != '' && $wpsw_business_days != '')
		{
			$wpsw_meta .= '<meta itemprop="openingHours" content="' . esc_attr($wpsw_business_days) . ' ' . esc_attr($wpsw_business_open) . '-' . esc_attr($wpsw_business_close) . '" />';
		}
		if ( $wpsw_business_type !== false )
		{
			$wpsw_meta .= '</span>';
		}
		if ($level1name)
		{
			$wpsw_meta .= '</span>';
		}
		$wpsw_meta .= '</span>';
	}
	echo str_replace("\t" , " " , str_replace(array("\r" , "\n") , "" , str_replace(" " , " " , $wpsw_meta)));

}
function wpsw_showPostalAddress()
{
	$wpsw_business_state = get_option('wpsw_business_state');
	$wpsw_business_city = get_option('wpsw_business_city');
	if ( empty($wpsw_business_state) || empty($wpsw_business_city))
	{
		return '';
	}
	$wpsw_meta = '<span itemprop="address" itemscope itemtype="http://schema.org/PostalAddress">';
	$wpsw_business_address = get_option('wpsw_business_address');
	if ( $wpsw_business_address != '' )
	{
		$wpsw_meta .= '<meta itemprop="streetAddress" content="' . esc_attr($wpsw_business_address) . '" />';
	}
	
	$wpsw_meta .= '<meta itemprop="addressRegion" content="' . esc_attr($wpsw_business_state) . '" />';
	$wpsw_meta .= '<meta itemprop="addressLocality" content="' . esc_attr($wpsw_business_city) . '" />';
	$wpsw_business_zip = get_option('wpsw_business_zip');
	if ( $wpsw_business_zip != '' )
	{
		$wpsw_meta .= '<meta itemprop="postalCode" content="' . esc_attr($wpsw_business_zip) . '" />';
	}
	$wpsw_business_country = get_option('wpsw_business_country');
	if ( $wpsw_business_country != '' )
	{
		$wpsw_meta .= '<meta itemprop="addressCountry" content="' . esc_attr($wpsw_business_country) . '" />';
	}
	$wpsw_business_email = get_option('wpsw_business_email');
	if ( $wpsw_business_email != '' )
	{
		$wpsw_meta .= '<meta itemprop="email" content="' . esc_attr($wpsw_business_email) . '" />';
	}
	$wpsw_business_phone = get_option('wpsw_business_phone');
	if ( $wpsw_business_phone != '' )
	{
		$wpsw_meta .= '<meta itemprop="telephone" content="' . esc_attr($wpsw_business_phone) . '" />';
	}
	$wpsw_business_fax = get_option('wpsw_business_fax');
	if ( $wpsw_business_fax != '' )
	{
		$wpsw_meta .= '<meta itemprop="faxNumber" content="' . esc_attr($wpsw_business_fax) . '" />';
	}
	$wpsw_meta .= '</span>';
	return $wpsw_meta;
}
function wpsw_aggregateRating()
{
	$wpsw_business_rating_val = get_option('wpsw_business_rating_val');
	$wpsw_business_rating_count = get_option('wpsw_business_rating_count');
	$wpsw_business_rating_max = get_option('wpsw_business_rating_max');
	$wpsw_business_rating_min = get_option('wpsw_business_rating_min');
	if ( empty($wpsw_business_rating_val) || empty($wpsw_business_rating_count) || empty($wpsw_business_rating_max) || empty($wpsw_business_rating_min))
	{
		return '';
	}
	$wpsw_meta = '<span itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating">';
	$wpsw_meta .= '<meta itemprop="ratingValue" content="' . esc_attr($wpsw_business_rating_val) . '" />';
	$wpsw_meta .= '<meta itemprop="bestRating" content="' . esc_attr($wpsw_business_rating_max) . '" />';
	$wpsw_meta .= '<meta itemprop="worstRating" content="' . esc_attr($wpsw_business_rating_min) . '" />';
	$wpsw_meta .= '<meta itemprop="ratingCount" content="' . esc_attr($wpsw_business_rating_count) . '" />';
	$wpsw_meta .= '</span>';
	return $wpsw_meta;
}
function wpsw_showGeoLocation()
{
	$wpsw_meta = '';
	$wpsw_enable_geo = get_option('wpsw_enable_geo');
	if( $wpsw_enable_geo != '1' )
	{
		return $wpsw_meta;
	}
	$b_lat = get_option('wpsw_business_latitude');
	$b_lon = get_option('wpsw_business_longitude');
	if ($b_lat == '' || $b_lon == '') 
	{
		$succ = wpsw_getGeoLocation();
		if($succ === false)
		{
			return $wpsw_meta;
		}
		else
		{
			$b_lat = $succ[0];
			$b_lon = $succ[1];
		}
	}
	if($b_lon !== '' && $b_lat != '')
	{
		$wpsw_meta .= '<span itemprop="geo" itemscope itemtype="http://schema.org/GeoCoordinates">';
		$wpsw_meta .= '<meta itemprop="latitude" content="' . esc_attr($b_lat) . '" />';
		$wpsw_meta .= '<meta itemprop="longitude" content="' . esc_attr($b_lon) . '" />';
		$wpsw_meta .= '</span>';
	}
	return $wpsw_meta;
}
function wpsw_getGeoLocation()
{
	$address = '';
	$wpsw_business_address = get_option('wpsw_business_address');
	if($wpsw_business_address != '')
	{
		$address .= $wpsw_business_address . ',';
	}
	$wpsw_business_city = get_option('wpsw_business_city');
	if($wpsw_business_city != '')
	{
		$address .= $wpsw_business_city . ',';
	}
	$wpsw_business_state = get_option('wpsw_business_state');
	if($wpsw_business_state != '')
	{
		$address .= $wpsw_business_state . ',';
	}
	$wpsw_business_zip = get_option('wpsw_business_zip');
	if($wpsw_business_zip != '')
	{
		$address .= $wpsw_business_zip . ',';
	}
	$address = trim($address, ',');
	if($address == '')
	{
		return false;
	}
	$request_uri = 'http://maps.googleapis.com/maps/api/geocode/xml?address=' . urlencode($address). '&sensor=true';
	$google_xml = simplexml_load_file($request_uri);
	if( $google_xml && isset( $google_xml->result->geometry->location->lat ) && isset( $google_xml->result->geometry->location->lng ) ) 
	{
		$lat = (string) $google_xml->result->geometry->location->lat;
		$lng = (string) $google_xml->result->geometry->location->lng;
		update_option('wpsw_business_latitude' , $lat);
		update_option('wpsw_business_longitude' , $lng);
		return array($lat, $lng);
	}
	else
	{
		return false;
	}
}
add_action( 'init', 'wpsw_start_local_seo' );
function wpsw_start_local_seo() 
{
	$wpsw_enable_b_meta = get_option('wpsw_enable_b_meta');
	$wpsw_enable_rating = get_option('wpsw_enable_rating');
    if( $wpsw_enable_b_meta != '1' && $wpsw_enable_rating != '1' )
	{
        return;
	}
    if ( is_singular() )
    {
        add_filter('the_content' , 'wpsw_showLocalBusiness' , 20);
    }
    else
    {
        add_filter('wp_footer' , 'wpsw_showLocalBusiness');
    }
}
?>