<?php
function wpsw_gb_searchItems($region, $public_key, $secret_key, $associate_tag, $rule_keywords, $product_type, $additionalParam, $min_price, $max_price, $node, $page_nr, $max)
{
    $sig = array();
    $timestamp = time();
    $feed_uri = 'https://affiliate.gearbest.com/api/products/list-promotion-products';
    $sig['currency'] = $product_type;
    $sig['api_key'] = trim($public_key);
    $sig['lkid'] = trim($associate_tag);
    $sig['page'] = $page_nr;
    $sig['time'] = $timestamp;
    if($rule_keywords != '' && $rule_keywords != '*')
    {
        $sig['keywords'] = urlencode($rule_keywords);
    }
    foreach($sig as $key => $s)
    {
        if(strstr($feed_uri, '?') !== false)
        {
            $feed_uri .= '&' . $key . '=' . $s;
        }
        else
        {
            $feed_uri .= '?' . $key . '=' . $s;
        }
    }
    ksort($sig);
    $secretk = '';
    foreach($sig as $key => $s)
    {
        $secretk .= $key . $s;
    }
    $secretk = trim($secret_key) . $secretk . trim($secret_key);
    $secretk = strtoupper(md5($secretk));
    $feed_uri .= '&sign=' . $secretk;
    $retz = wpsw_get_web_page($feed_uri);
    $retz = json_decode($retz); 
    return $retz;
}
?>