<?php
function wpsw_plugins_list($slug) {
    $seo = array(
        'type' => 'SEO',
        'free' => array(
            array(
                'name' => 'Yoast SEO',
                'description' => 'Maybe the best SEO plugin for WordPress',
                'slug' => 'wordpress-seo',
                'url' => 'https://wordpress.org/plugins/wordpress-seo/'
            ),
            array(
                'name' => 'All in One SEO',
                'description' => 'An All in One SEO solution for your website',
                'slug' => 'all-in-one-seo-pack',
                'url' => 'https://wordpress.org/plugins/all-in-one-seo-pack/'
            ),
              array(
                  'name' => 'SEOPress',
                  'description' => 'A great SEO plugin with many of features included',
                  'slug' => 'wp-seopress',
                  'url' => 'https://wordpress.org/plugins/wp-seopress/'
              ),
              array(
                  'name' => 'RankMath',
                  'description' => 'RankMath helps improve your SEO and attract more traffic to your website',
                  'slug' => 'seo-by-rank-math',
                  'url' => 'https://wordpress.org/plugins/seo-by-rank-math/'
              ),
              array(
                  'name' => 'Broken Link Checker',
                  'description' => 'Monitors all internal & external links on your site looking for broken links',
                  'slug' => 'broken-link-checker',
                  'url' => 'https://wordpress.org/plugins/broken-link-checker/'
              ),
        ),
        'paid' => array(
            array(
                'name' => 'Premium SEO Pack – Wordpress Plugin',
                'description' => 'Powerful SERP Rank Tracking Module retrieves search engine Rankings for pages and keywords',
                'slug' => 'premium-seo-pack-wordpress-plugin',
                'url' => 'https://1.envato.market/PremiumSEOPack'
            ),
            array(
                'name' => 'AtoZ SEO Tools - Search Engine Optimization Tools',
                'description' => 'More than 50 SEO Tools to keep track your SEO issues',
                'slug' => 'atoz-seo-tools-search-engine-optimization-tools',
                'url' => 'https://1.envato.market/EoBxQ'
            ),
            array(
                'name' => 'XeroSEO - The Most Complete Visitor Analytics & SEO Tools',
                'description' => 'The Most Complete Visitor Analytics & SEO package including visitor analytics',
                'slug' => 'sitespy-complete-visitor-seo-analytics',
                'url' => 'https://1.envato.market/RvQYR'
            ),
            array(
                'name' => 'Turbo Website Reviewer - In-depth SEO Analysis Tool',
                'description' => 'Helps to identify your SEO mistakes and optimize your web page contents',
                'slug' => 'turbo-website-reviewer-indepth-seo-analysis-tool',
                'url' => 'https://1.envato.market/qbMkN'
            )
        )
    );
    $content = array(
        'type' => 'Content',
        'free' => array(
            array(
                'name' => 'Echo RSS Feed Post Generator Free Version',
                'description' => 'Allows you to import RSS feeds to your blog, in no time',
                'slug' => 'echo-rss-feed-post-generator-free-version',
                'url' => 'https://coderevolution.ro/product/echo-rss-feed-post-generator-free-version/'
            ),
            array(
                'name' => 'Contact Form 7',
                'description' => 'Create Contact forms in an easy Way',
                'slug' => 'contact-form-7',
                'url' => 'https://wordpress.org/plugins/contact-form-7/'
            ),
            array(
                'name' => 'WP Forms',
                'description' => 'WPForms allow you to create beautiful contact forms, subscription forms, payment forms, and other type of forms for your site in minutes',
                'slug' => 'wpforms-lite',
                'url' => 'https://wordpress.org/plugins/wpforms-lite/'
            ),
            array(
                'name' => 'Ninja Forms',
                'description' => 'Great form creation tool for WordPress. Build forms within minutes using a simple yet powerful drag-and-drop form creator',
                'slug' => 'ninja-forms',
                'url' => 'https://wordpress.org/plugins/ninja-forms/'
            ),
            array(
                'name' => 'TablePress',
                'description' => 'Embed beautiful and feature-rich tables into your posts and pages, without having to write code',
                'slug' => 'tablepress',
                'url' => 'https://wordpress.org/plugins/tablepress/'
            ),
            array(
                'name' => 'The Events Calendar',
                'description' => 'One of the bests plugins for Events',
                'slug' => 'the-events-calendar',
                'url' => 'https://wordpress.org/plugins/the-events-calendar/'
            )
        ),
        'paid' => array(
            array(
                'name' => 'Newsomatic - Automatic News Post Generator Plugin for WordPress',
                'description' => 'Create news websites, in minutes',
                'slug' => 'newsomatic',
                'url' => 'https://1.envato.market/newsomatic'
            ),
            array(
                'name' => 'Echo RSS Feed Post Generator Plugin for WordPress',
                'description' => 'Import content to your site using RSS feeds',
                'slug' => 'echo',
                'url' => 'https://1.envato.market/echo'
            ),
            array(
                'name' => 'Youtubomatic Automatic Post Generator and YouTube Auto Poster Plugin for WordPress',
                'description' => 'Create a video blog in matter of minutes',
                'slug' => 'youtubomatic',
                'url' => 'https://1.envato.market/youtubomatic'
            ),
            array(
                'name' => 'Contentomatic Article Builder Post Generator Plugin for WordPress',
                'description' => 'Generate unique articles to your site using ArticleBuilder',
                'slug' => 'contentomatic',
                'url' => 'https://1.envato.market/contentomatic'
            ),
            array(
                'name' => 'Trendomatic - WebHose + Google Trends Post Generator Plugin for WordPress',
                'description' => 'Import trending news using WebHose API',
                'slug' => 'trendomatic',
                'url' => 'https://1.envato.market/trendomatic'
            ),
            array(
                'name' => 'Crawlomatic Multisite Scraper Post Generator Plugin for WordPress',
                'description' => 'Crawl any site and scrape content from it',
                'slug' => 'crawlomatic',
                'url' => 'https://1.envato.market/crawlomatic'
            )
        )
    );
    $affiliate = array(
        'type' => 'Affiliate',
        'free' => array(
            array(
                'name' => 'WP Pocket URLs',
                'description' => 'Cloak your links and see stats for clicks from your visitors',
                'slug' => 'wp-pocket-urls',
                'url' => 'https://wordpress.org/plugins/wp-pocket-urls'
            ),
            array(
                'name' => 'ThirstyAffiliates Affiliate Link Manager',
                'description' => 'Affiliate link management & cloaker tool. Easily manage, shrink and track your affiliate links in WordPress.',
                'slug' => 'thirstyaffiliates',
                'url' => 'https://wordpress.org/plugins/thirstyaffiliates/'
            ),
              array(
                  'name' => 'Auto Affiliate Links',
                  'description' => 'Automatically display affiliate links in your website content. You can specify the keywords and affiliate links you want to automatically link',
                  'slug' => 'wp-auto-affiliate-links',
                  'url' => 'https://wordpress.org/plugins/wp-auto-affiliate-links/'
              ),
              array(
                  'name' => 'Amazon Auto Links',
                  'description' => 'Add Amazon affiliate links in your site with ease',
                  'slug' => 'amazon-auto-links',
                  'url' => 'https://wordpress.org/plugins/amazon-auto-links/'
              ),
              array(
                  'name' => 'WP Product Review',
                  'description' => 'Easily create product review articles in your WP site',
                  'slug' => 'wp-product-review',
                  'url' => 'https://wordpress.org/plugins/wp-product-review/'
              ),
              array(
                  'name' => 'Easy Google AdSense',
                  'description' => 'Add Adsense ads to your site quickly',
                  'slug' => 'easy-google-adsense',
                  'url' => 'https://wordpress.org/plugins/easy-google-adsense/'
              ),
              array(
                  'name' => 'AdRotate Banner Manager',
                  'description' => ' Place advertising banners pretty anywhere on your site and track them',
                  'slug' => 'adrotate',
                  'url' => 'https://wordpress.org/plugins/adrotate/'
              ),
              array(
                  'name' => 'Advanced Ads',
                  'description' => 'An excellent ad manager plugin',
                  'slug' => 'advanced-ads',
                  'url' => 'https://wordpress.org/plugins/advanced-ads/'
              )
        ),
        'paid' => array(
            array(
                'name' => 'Amazomatic - Amazon Affiliate Post Importing Money Generator Plugin for WordPress',
                'description' => 'Create an Amazon affiliate website in minutes',
                'slug' => 'amazomatic',
                'url' => 'https://1.envato.market/amazomatic'
            ),
            array(
                'name' => 'Ebayomatic - Ebay Affiliate Automatic Post Generator WordPress Plugin',
                'description' => 'Create an eBay affiliate website in minutes',
                'slug' => 'ebayomatic',
                'url' => 'https://1.envato.market/ebayomatic'
            ),
            array(
                'name' => 'CBomatic - Clickbank Affiliate Money Generator Plugin for WordPress',
                'description' => 'Create a ClickBank affiliate website in minutes',
                'slug' => 'cbomatic',
                'url' => 'https://1.envato.market/cbomatic'
            ),
            array(
                'name' => 'Careeromatic CareerJet Affiliate Job Post Generator Plugin for WordPress',
                'description' => 'Create an CareerJet affiliate website in minutes',
                'slug' => 'careeromatic',
                'url' => 'https://1.envato.market/careeromatic'
            ),
            array(
                'name' => 'Gearomatic - GearBest Affiliate Post Importing Money Generator Plugin for WordPress',
                'description' => 'Create a GearBest affiliate website in minutes',
                'slug' => 'gearomatic',
                'url' => 'https://1.envato.market/gearomatic'
            ),
            array(
                'name' => 'Aliomatic - AliExpress Affiliate Money Generator Plugin for WordPress',
                'description' => 'Create an AliExpress affiliate website in minutes',
                'slug' => 'aliomatic',
                'url' => 'https://1.envato.market/aliomatic'
            ),
        )
    );
    $social = array(
        'type' => 'Social',
        'free' => array(
            array(
                'name' => 'BuddyPress',
                'description' => 'Create your own private social network with WordPress',
                'slug' => 'buddypress',
                'url' => 'https://wordpress.org/plugins/buddypress/'
            ),
              array(
                  'name' => 'AddToAny Share Buttons',
                  'description' => 'Share buttons for WordPress including the AddToAny sharing button, Facebook, Twitter, Google+, Pinterest, WhatsApp and many others',
                  'slug' => 'add-to-any',
                  'url' => 'https://wordpress.org/plugins/add-to-any/'
              ),
              array(
                  'name' => 'MashShare',
                  'description' => 'Highly customizable ecosystem for social media sharing and optimizing of your content.',
                  'slug' => 'mashsharer',
                  'url' => 'https://wordpress.org/plugins/mashsharer/'
              ),
              array(
                  'name' => 'Simple Share Buttons Adder',
                  'description' => 'A simple plugin that enables you to add share buttons to all of your posts',
                  'slug' => 'simple-share-buttons-adder',
                  'url' => 'https://wordpress.org/plugins/simple-share-buttons-adder/'
              ),
              array(
                  'name' => 'NextScripts: Social Networks Auto-Poster',
                  'description' => 'Automatically publishes blogposts to profiles/pages/groups on Facebook, Twitter, Instagram, Google+, Pinterest, LinkedIn, Blogger, Tumblr',
                  'slug' => 'social-networks-auto-poster-facebook-twitter-g',
                  'url' => 'https://wordpress.org/plugins/social-networks-auto-poster-facebook-twitter-g/'
              ),
              array(
                  'name' => 'Social Login & Register for WordPress',
                  'description' => 'Allow your visitors to comment and login with social networks',
                  'slug' => 'oa-social-login',
                  'url' => 'https://wordpress.org/plugins/oa-social-login/'
              ),
              array(
                  'name' => 'PixelYourSite – Your smart PIXEL (TAG) Manager',
                  'description' => 'Manage Facebook Pixels With Just a Few Clicks. WooCommerce and Easy Digital Downloads integration',
                  'slug' => 'pixelyoursite',
                  'url' => 'https://wordpress.org/plugins/pixelyoursite/'
              ),
              array(
                  'name' => 'Smash Balloon Social Photo Feed',
                  'description' => 'Display beautifully clean, customizable, and responsive feeds from multiple social accounts',
                  'slug' => 'instagram-feed',
                  'url' => 'https://wordpress.org/plugins/instagram-feed/'
              ),
        ),
        'paid' => array(
            array(
                'name' => 'FBomatic Automatic Post Generator and Facebook Auto Poster Plugin for WordPress',
                'description' => 'Import or export posts from/to Facebook',
                'slug' => 'fbomatic',
                'url' => 'https://1.envato.market/fbomatic'
            ),
            array(
                'name' => 'Twitomatic Automatic Post Generator and Twitter Auto Poster Plugin for WordPress',
                'description' => 'Import or export posts from/to Twitter',
                'slug' => 'twitomatic',
                'url' => 'https://1.envato.market/twitmatic'
            ),
            array(
                'name' => 'Pinterestomatic Automatic Post Generator and Pinterest Auto Poster Plugin for WordPress',
                'description' => 'Import or export posts from/to Pinterest',
                'slug' => 'pinterestomatic',
                'url' => 'https://1.envato.market/pinterestomatic'
            ),
            array(
                'name' => 'Flickomatic Automatic Post Generator and Flickr Auto Poster Plugin for WordPress',
                'description' => 'Import or export posts from/to Flickr',
                'slug' => 'flickomatic',
                'url' => 'https://1.envato.market/flickomatic'
            ),
            array(
                'name' => 'Redditomatic Automatic Post Generator and Reddit Auto Poster Plugin for WordPress',
                'description' => 'Import or export posts from/to Reddit',
                'slug' => 'redditomatic',
                'url' => 'https://1.envato.market/redditomatic'
            ),
            array(
                'name' => 'VKomatic Automatic Post Generator and VKontakte Auto Poster Plugin for WordPress',
                'description' => 'Import or export posts from/to VK',
                'slug' => 'vkomatic',
                'url' => 'https://1.envato.market/vkomatic'
            ),
            array(
                'name' => 'OKomatic Automatic Post Generator and Odnoklassniki Auto Poster Plugin for WordPress',
                'description' => 'Import or export posts from/to OK.ru',
                'slug' => 'okomatic',
                'url' => 'https://1.envato.market/okomatic'
            ),
            array(
                'name' => 'Linkedinomatic Auto Poster WordPress Plugin for LinkedIn',
                'description' => 'Auto post content to LinkedIn',
                'slug' => 'linkedinomatic',
                'url' => 'https://1.envato.market/linkedinomatic'
            )
        )
    );
    $performance = array(
        'type' => 'Performance',
        'free' => array(
            array(
                'name' => 'WP Super Cache',
                'description' => 'A very fast caching engine for WordPress that produces static html files',
                'slug' => 'wp-super-cache',
                'url' => 'https://wordpress.org/plugins/wp-super-cache/'
            ),
            array(
                'name' => 'W3 Total Cache',
                'description' => 'W3 Total Cache improves the SEO and user experience of your site by increasing website page load speed',
                'slug' => 'w3-total-cache',
                'url' => 'https://wordpress.org/plugins/w3-total-cache/'
            ),
              array(
                  'name' => 'Smush Image Compression and Optimization',
                  'description' => 'Compress and optimize image files',
                  'slug' => 'wp-smushit',
                  'url' => 'https://wordpress.org/plugins/wp-smushit/'
              ),
              array(
                  'name' => 'WP-Optimize',
                  'description' => 'WP-Optimize is an effective tool for automatically cleaning your WordPress database so that it runs at maximum efficiency',
                  'slug' => 'wp-optimize',
                  'url' => 'https://wordpress.org/plugins/wp-optimize/'
              ),
              array(
                  'name' => 'EWWW Image Optimizer',
                  'description' => 'Speed up your website and improve your visitors experience by automatically compressing and resizing images',
                  'slug' => 'ewww-image-optimizer',
                  'url' => 'https://wordpress.org/plugins/ewww-image-optimizer/'
              ),
              array(
                  'name' => 'Autoptimize',
                  'description' => 'Autoptimize makes optimizing your site really easy. It can aggregate, minify and cache scripts and styles, etc',
                  'slug' => 'autoptimize',
                  'url' => 'https://wordpress.org/plugins/autoptimize/'
              ),
        ),
        'paid' => array(
            array(
                'name' => 'WP Rocket',
                'description' => 'One of the best caching plugins in the market',
                'slug' => 'wp-rocket',
                'url' => 'https://wp-rocket.me/'
            ),
            array(
                'name' => 'PerfBoost Scheduled Plugin Manager - Boost WordPress Performance',
                'description' => 'Increase site performace by only enabling other plugins when they are needed',
                'slug' => 'perfboost',
                'url' => 'https://1.envato.market/perfboost'
            ),
            array(
                'name' => 'Perfmatters',
                'description' => 'The perfmatters plugin was created by webperf geeks to speed up your site',
                'slug' => 'perfmatters',
                'url' => 'https://perfmatters.io?ref=370'
            ),
            array(
                'name' => 'FlyingPress',
                'description' => 'An all in one plugin to speed up WordPress sites, from page caching, CDN to image optimization',
                'slug' => 'flying-press',
                'url' => 'https://flying-press.com/'
            )
        )
    );

    $pagebuilders = array(
        'type' => 'Page Builders',
        'free' => array(
            array(
                'name' => 'Page Builder by SiteOrigin',
                'description' => 'A Drag and Drop content editor',
                'slug' => 'siteorigin-panels',
                'url' => 'https://wordpress.org/plugins/siteorigin-panels/'
            ),
            array(
                'name' => 'Elementor',
                'description' => 'A page builder that delivers high-end page designs and advanced capabilities',
                'slug' => 'elementor',
                'url' => 'https://es.wordpress.org/plugins/elementor/'
            ),
              array(
                  'name' => 'Beaver Builder',
                  'description' => 'Flexible drag and drop page builder that works on the front end of your WordPress website',
                  'slug' => 'beaver-builder-lite-version',
                  'url' => 'https://wordpress.org/plugins/beaver-builder-lite-version/'
              )
        ),
        'paid' => array(
            array(
                'name' => 'Visual Composer',
                'description' => 'The top seller page builder on the market',
                'slug' => 'visual-composer',
                'url' => 'https://1.envato.market/6L30K'
            ),
            array(
                'name' => 'Slider Revolution Responsive WordPress Plugin',
                'description' => 'Helps beginner-and mid-level designers WOW their clients with pro-level visuals',
                'slug' => 'sliderrevolution',
                'url' => 'https://1.envato.market/sliderrevolution'
            ),
            array(
                'name' => 'Kreatura Slider Plugin for WordPress',
                'description' => 'A slider plugin by Kreatura',
                'slug' => 'kreatura-slider-plugin-for-wordpress',
                'url' => 'https://1.envato.market/KnMKA'
            )
        )
    );
    $ecommerce = array(
        'type' => 'Ecommerce',
        'free' => array(
              array(
                  'name' => 'WooCommerce',
                  'description' => 'Set up your own online store in minutes',
                  'slug' => 'woocommerce',
                  'url' => 'https://wordpress.org/plugins/woocommerce/'
              ),
              array(
                  'name' => 'WooCommerce PayPal Express Checkout Payment Gateway',
                  'description' => 'Accept PayPal, Credit Cards and Debit Cards on your WooCommerce store',
                  'slug' => 'woocommerce-gateway-paypal-express-checkout',
                  'url' => 'https://wordpress.org/plugins/woocommerce-gateway-paypal-express-checkout/'
              ),
              array(
                  'name' => 'WooCommerce Stripe Payment Gateway',
                  'description' => 'Take credit card payments on your store using Stripe',
                  'slug' => 'woocommerce-gateway-stripe',
                  'url' => 'https://wordpress.org/plugins/woocommerce-gateway-stripe/'
              ),
              array(
                  'name' => 'WooCommerce PDF Invoices & Packing Slips',
                  'description' => 'Create, print & automatically email PDF invoices & packing slips for WooCommerce orders',
                  'slug' => 'woocommerce-pdf-invoices-packing-slips',
                  'url' => 'https://wordpress.org/plugins/woocommerce-pdf-invoices-packing-slips/'
              ),
              array(
                  'name' => 'Easy Digital Downloads',
                  'description' => 'Sell digital products with WordPress',
                  'slug' => 'easy-digital-downloads',
                  'url' => 'https://wordpress.org/plugins/easy-digital-downloads/'
              ),
        ),
        'paid' => array(
            array(
                'name' => 'WooCommerce Extra Product Options',
                'description' => 'A more versatile product option creator for Woocommerce',
                'slug' => 'wp-extra-product-options',
                'url' => 'https://1.envato.market/7jver'
            ),
            array(
                'name' => 'WooCommerce Dynamic Pricing & Discounts',
                'description' => 'Create dynamic discounts for Woocommerce',
                'slug' => 'woocommerce-dynamic-pricing-discounts',
                'url' => 'https://1.envato.market/mWPRq'
            ),
            array(
                'name' => 'WooCommerce Advanced Bulk Edit',
                'description' => 'Easily edit your products and variations individually or in bulk in WooCommerce',
                'slug' => 'wc-advanced-bulk',
                'url' => 'https://1.envato.market/x4gEd'
            ),
            array(
                'name' => 'Fancy Product Designer | WooCommerce WordPress',
                'description' => 'WooCommerce Product Designer with more than 15000 sales',
                'slug' => 'fancy-product-designer-woocommercewordpress',
                'url' => 'https://1.envato.market/DXv0o'
            ),
            array(
                'name' => 'Product Filter for WooCommerce',
                'description' => 'Easily allow customers to filter your products in WooCommerce',
                'slug' => 'woocommerce-product-filter',
                'url' => 'https://1.envato.market/957G0'
            )
        )
    );
    $backup = array(
        'type' => 'Backup',
        'free' => array(
            array(
                'name' => 'Updraftplus',
                'description' => 'An excellent plugin to do a full backup of your site',
                'slug' => 'updraftplus',
                'url' => 'https://wordpress.org/plugins/updraftplus/'
            ),
            array(
                'name' => 'All-in-One WP Migration',
                'description' => 'Move, transfer, copy, migrate, and backup a site with 1-click. Quick, easy, and reliable',
                'slug' => 'all-in-one-wp-migration',
                'url' => 'https://wordpress.org/plugins/all-in-one-wp-migration/'
            ),
              array(
                  'name' => 'BackWPup',
                  'description' => 'Schedule complete automatic backups of your WordPress installation',
                  'slug' => 'backwpup',
                  'url' => 'https://wordpress.org/plugins/backwpup/'
              ),
              array(
                  'name' => 'WP Database Backup',
                  'description' => 'On-demand backup of your WordPress database',
                  'slug' => 'wp-database-backup',
                  'url' => 'https://wordpress.org/plugins/wp-database-backup/'
              ),
              array(
                  'name' => 'Duplicator',
                  'description' => 'Gives the ability to migrate, copy, move or clone a site from one location to another and also serves as a simple backup utility.',
                  'slug' => 'duplicator',
                  'url' => 'https://wordpress.org/plugins/duplicator/'
              )
        ),
        'paid' => array(
            array(
                'name' => 'BackupBuddy',
                'description' => 'The best WP Backup suite',
                'slug' => 'backup-buddy',
                'url' => 'https://ithemes.com/backupbuddy/'
            ),
            array(
                'name' => 'Backup & Migration Plugin for Wordpress',
                'description' => 'Backup and migrate your WordPress site with ease',
                'slug' => 'backup',
                'url' => 'https://1.envato.market/jo9We'
            ),
            array(
                'name' => 'Super Backup & Clone - Migrate for WordPress',
                'description' => 'Allows a quick and carefree backup',
                'slug' => 'backup',
                'url' => 'https://1.envato.market/59vbj'
            ),
            array(
                'name' => 'Ether Backup WordPress Plugin',
                'description' => 'A powerful tool that lets you manage every aspect of your site data',
                'slug' => 'backup',
                'url' => 'https://1.envato.market/eVL4r'
            )
        )
    );
    $security = array(
        'type' => 'Security',
        'free' => array(
            array(
                'name' => 'Wordfence Security',
                'description' => 'Secure your website with the most comprehensive WordPress security plugin.',
                'slug' => 'wordfence',
                'url' => 'https://wordpress.org/plugins/wordfence/'
            ),
            array(
                'name' => 'iThemes Security',
                'description' => 'Gives you over 30+ ways to secure and protect your WordPress site',
                'slug' => 'better-wp-security',
                'url' => 'https://wordpress.org/plugins/better-wp-security/'
            ),
              array(
                  'name' => 'Limit Login Attempts Reloaded',
                  'description' => 'Limit rate of login attempts, including by way of cookies, for each IP. Fully customizable',
                  'slug' => 'limit-login-attempts-reloaded',
                  'url' => 'https://wordpress.org/plugins/limit-login-attempts-reloaded/'
              ),
              array(
                  'name' => 'Sucuri Security',
                  'description' => 'A complete security suite for your WordPress site',
                  'slug' => 'sucuri-scanner',
                  'url' => 'https://wordpress.org/plugins/sucuri-scanner/'
              ),
              array(
                  'name' => 'All In One WP Security & Firewall',
                  'description' => 'Run a Complete Scan to automatically remove known security threats and backdoor scripts',
                  'slug' => 'all-in-one-wp-security-and-firewall',
                  'url' => 'https://wordpress.org/plugins/all-in-one-wp-security-and-firewall/'
              ),
              array(
                  'name' => 'Anti-Malware Security and Brute-Force Firewall',
                  'description' => 'A comprehensive, easy to use, stable WordPress security plugin',
                  'slug' => 'gotmls',
                  'url' => 'https://wordpress.org/plugins/gotmls/'
              ),
        ),
        'paid' => array(
            array(
                'name' => 'Hide my WP',
                'description' => 'Top seller security plugin, with lots of functionality to protect your site from hackers',
                'slug' => 'hide-my-wp',
                'url' => 'https://1.envato.market/40Oz9'
            ),
            array(
                'name' => 'iThemes Security Pro',
                'description' => 'A great plugin to Secure & Protect WordPress',
                'slug' => 'ithemes-security-pro',
                'url' => 'https://ithemes.com/security/'
            ),
            array(
                'name' => 'WP Security Manager',
                'description' => 'An affordable security plugin for WordPress',
                'slug' => 'wp-security-manager',
                'url' => 'https://1.envato.market/gZxbr'
            ),
            array(
                'name' => 'Security Ninja PRO',
                'description' => 'Years of industry\'s best practices on security combined in one plugin',
                'slug' => 'security-ninja-pro',
                'url' => 'https://1.envato.market/XDMxo'
            ),
            array(
                'name' => 'Secure Pattern Lock - WordPress Security Login Plugin',
                'description' => 'You can replace the old username and password login with a pattern lock',
                'slug' => 'secure-pattern-lock-wordpress-login-plugin',
                'url' => 'https://1.envato.market/zLoaO'
            )
        )
    );
    $others = array(
        'type' => 'Others',
        'free' => array(
            array(
                'name' => 'Google Analytics Dashboard for WP',
                'description' => 'Connects Google Analytics with your WordPress site.',
                'slug' => 'google-analytics-dashboard-for-wp',
                'url' => 'https://wordpress.org/plugins/google-analytics-dashboard-for-wp/'
            ),
            array(
                'name' => 'WP Maintenance Mode',
                'description' => 'Adds a splash page to your site that lets visitors know your site is down',
                'slug' => 'wp-maintenance-mode',
                'url' => 'https://wordpress.org/plugins/wp-maintenance-mode/'
            ),
              array(
                  'name' => 'Loco Translate',
                  'description' => 'Translate WordPress plugins and themes directly in your browser',
                  'slug' => 'loco-translate',
                  'url' => 'https://wordpress.org/plugins/loco-translate/'
              ),
              array(
                  'name' => 'Polylang',
                  'description' => 'Polylang allows you to create a bilingual or multilingual WordPress site',
                  'slug' => 'polylang',
                  'url' => 'https://wordpress.org/plugins/polylang/'
              ),
              array(
                  'name' => 'AMP',
                  'description' => 'This plugin adds support for the Accelerated Mobile Pages (AMP) Project',
                  'slug' => 'amp',
                  'url' => 'https://wordpress.org/plugins/amp/'
              ),
              array(
                  'name' => 'Post Duplicator',
                  'description' => 'Creates functionality to duplicate any and all post types, including taxonomies & custom fields',
                  'slug' => 'post-duplicator',
                  'url' => 'https://wordpress.org/plugins/post-duplicator/'
              ),
              array(
                  'name' => 'Popup Maker',
                  'description' => 'Create any type of modal or content overlay for your WordPress website.',
                  'slug' => 'popup-maker',
                  'url' => 'https://wordpress.org/plugins/popup-maker/'
              ),
              array(
                  'name' => 'Heartbeat Control',
                  'description' => 'Allows you to easily manage the frequency of the WordPress heartbeat API',
                  'slug' => 'heartbeat-control',
                  'url' => 'https://wordpress.org/plugins/heartbeat-control/'
              ),
              array(
                  'name' => 'WP-Members',
                  'description' => 'WP-Members is a free membership management framework for WordPress that restricts content to registered users',
                  'slug' => 'wp-members',
                  'url' => 'https://wordpress.org/plugins/wp-members/'
              ),
        ),
        'paid' => array(
            array(
                'name' => 'Ultimate Membership Pro - WordPress Membership Plugin',
                'description' => 'The ultimate plugin to build your memebership site',
                'slug' => 'ultimate-membership-pro-wordpress-plugin',
                'url' => 'https://1.envato.market/UltimateMember'
            ),
            array(
                'name' => 'FileBird - WordPress Media Library Folders',
                'description' => 'Helps you take your WordPress media library to the next level',
                'slug' => 'media-folders-manager-for-wordpress',
                'url' => 'https://1.envato.market/3DvPK'
            ),
            array(
                'name' => 'Bookly PRO – Appointment Booking and Scheduling Software System',
                'description' => 'Automated online booking & scheduling for WordPress',
                'slug' => 'bookly-booking-plugin-responsive-appointment-booking-and-scheduling',
                'url' => 'https://1.envato.market/vRJnd'
            ),
            array(
                'name' => 'EventON - WordPress Event Calendar Plugin',
                'description' => 'A beautifully crafted event calendar',
                'slug' => 'eventon-wordpress-event-calendar-plugin',
                'url' => 'https://1.envato.market/aGMAM'
            ),
            array(
                'name' => 'YellowPencil - Visual CSS Style Editor',
                'description' => 'A WordPress CSS style editor that allows you to customize your website design in real-time',
                'slug' => 'yellow-pencil-visual-css-style-editor',
                'url' => 'https://1.envato.market/NOMK7'
            )
        )
    );
    $zaarr = array(
      'seo' => $seo,
      'content' => $content,
      'affiliate' => $affiliate,
      'social' => $social,
      'performance' => $performance,
      'ecommerce' => $ecommerce,
      'pagebuilders' => $pagebuilders,
      'backup' => $backup,
      'security' => $security,
      'others' => $others
    );
    if(isset($zaarr[$slug]))
    {
        return $zaarr[$slug];
    }
    else
    {
        return $zaarr;
    }
}
?>