<?php
function wpsw_default_robotstxt() {
	$public = get_option('blog_public');
	$output = "User-agent: *\n";
	if ('0' == $public) {
	    $output .= "Disallow: /\n";
	} else {
	    $path = parse_url(site_url(), PHP_URL_PATH);
	    $output .= "Disallow: $path/wp-admin/\n";
	    $output .= "Allow: $path/wp-admin/admin-ajax.php\n";
	}

	return $output;
}
function wpsw_seo()
{
?>
<div class="wrap gs_popuptype_holder seo_pops">
    <div>
        <form id="myForm" method="post" action="" autocomplete="off">
		<div class="cr_autocomplete">
		  <input type="password" id="PreventChromeAutocomplete" 
             name="PreventChromeAutocomplete" autocomplete="address-level4" />
       </div>
<?php
    $wpsw_enable_meta = get_option('wpsw_enable_meta');
	$wpsw_enable_geo = get_option('wpsw_enable_geo');
	$wpsw_business_email = get_option('wpsw_business_email');
	$wpsw_business_phone = get_option('wpsw_business_phone');
	$wpsw_business_fax = get_option('wpsw_business_fax');
	$wpsw_business_open = get_option('wpsw_business_open');
	$wpsw_business_close = get_option('wpsw_business_close');
	$wpsw_business_days = get_option('wpsw_business_days');
	$wpsw_enable_seo_rating = get_option('wpsw_enable_seo_rating');
	$wpsw_noindex = get_option('blog_public', 1);
	$wpsw_robotsenable = get_option('wpsw_robotsenable');
	$wpsw_redirect404 = get_option('wpsw_redirect404');
	$wpsw_robotstxt = get_option('wpsw_robotstxt');
	$wpsw_enable_b_meta = get_option('wpsw_enable_b_meta');
	$wpsw_business_type = get_option('wpsw_business_type');
	$wpsw_business_name = get_option('wpsw_business_name');
	$wpsw_business_logo = get_option('wpsw_business_logo');
	$wpsw_business_description = get_option('wpsw_business_description');
	$wpsw_business_payment = get_option('wpsw_business_payment');
	$wpsw_business_price = get_option('wpsw_business_price');
	$wpsw_business_address = get_option('wpsw_business_address');
	$wpsw_business_state = get_option('wpsw_business_state');
	$wpsw_business_city = get_option('wpsw_business_city');
	$wpsw_business_zip = get_option('wpsw_business_zip');
	$wpsw_business_country = get_option('wpsw_business_country');
	$wpsw_business_rating_val = get_option('wpsw_business_rating_val');
	$wpsw_business_rating_max = get_option('wpsw_business_rating_max');
	$wpsw_business_rating_min = get_option('wpsw_business_rating_min');
	$wpsw_business_rating_count = get_option('wpsw_business_rating_count');
	if($wpsw_robotstxt == '')
	{
		$wpsw_robotstxt = wpsw_default_robotstxt();
	}
?>
  
  <div id="cs-tab-vcc-SEO">
  <h2><?php esc_html_e( 'SEO Settings:', 'wp-setup-wizard' ); ?>&nbsp;<span class="wpswtooltip">⚠
  <span class="wpswtooltiptext"><?php esc_html_e( 'You need to keep the plugin installed and activated for this feature to be kept active.', 'wp-setup-wizard' ); ?></span>
</span></h2>
  <hr/>
       <table class="widefat">
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Check this checkbox to enable SEO meta tag creation for your site. It will create Facebook, Twitter and generic SEO meta tags.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Enable SEO Meta Tags:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="wpsw_enable_meta" class="wpsw_enable_meta" name="wpsw_enable_meta" <?php if($wpsw_enable_meta == '1') {echo ' checked';}?>>
        </div>
        </td></tr>
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Check this checkbox to tell search engines to not index your site.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Discourage Search Engines From Indexing Your Site:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="wpsw_noindex" name="wpsw_noindex" <?php if($wpsw_noindex == '0') {echo ' checked';}?>>
        </div>
        </td></tr>
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to enable the creation of the robots.txt file for your site? It will be found in the root of your site /robots.txt", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Enable Robots.txt File Generation:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="wpsw_robotsenable" name="wpsw_robotsenable" <?php if($wpsw_robotsenable == '1') {echo ' checked';}?>>
        </div>
        </td></tr>
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Add the content of the robots.txt file that will be created. To reset the value of this field to default, clear it's content and save settings.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Robots.txt File Content:', 'wp-setup-wizard' ); ?></b><br/>
<?php if($wpsw_robotsenable == '1' && $wpsw_robotstxt !== '') 
{
						esc_html_e( 'Check it here:', 'wp-setup-wizard' ); ?>&nbsp;<a href="<?php echo site_url('/robots.txt');?>" target="_blank"><?php echo site_url('/robots.txt');?></a>
<?php 
} 
?>
                    
                    </td><td>
					<textarea rows="4" id="wpsw_robotstxt" placeholder="<?php esc_html_e( 'The content of the robots.txt file', 'wp-setup-wizard' ); ?>" name="wpsw_robotstxt"><?php echo esc_textarea($wpsw_robotstxt);?></textarea>
        </div>
        </td></tr>
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to redirect 404 errors to home page?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Redirect 404 Errors to Home Page:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="wpsw_redirect404" name="wpsw_redirect404" <?php if($wpsw_redirect404 == '1') {echo ' checked';}?>>
        </div>
        </td></tr>
      </table>
      <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit1" class="button button-primary" onclick="unsaved = false;wpsw_save_content('seo', 'SEO');" value="<?php esc_html_e( 'Save and Apply Settings', 'wp-setup-wizard' ); ?>"/></p></div>
  <span id="wpsw_processing_SEO"></span></div>
  <div id="cs-tab-vcc-Local" class="cs-section x-dnone">
  <h2><?php esc_html_e( 'Local Business SEO:', 'wp-setup-wizard' ); ?>&nbsp;<span class="wpswtooltip">⚠
  <span class="wpswtooltiptext"><?php esc_html_e( 'You need to keep the plugin installed and activated for this feature to be kept active.', 'wp-setup-wizard' ); ?></span>
</span></h2>
  <hr/>
       <table class="widefat">
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Check this checkbox to enable SEO meta tag creation for your site. It will create Facebook, Twitter and generic SEO meta tags.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Enable SEO Business Information Metadata:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="wpsw_enable_b_meta" name="wpsw_enable_b_meta" <?php if($wpsw_enable_b_meta == '1') {echo ' checked';}?>>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_meta"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Select the type of the business you are running on this website.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Select Business Type*:', 'wp-setup-wizard' ); ?></b>
                    </td><td>
                    <select id="wpsw_business_type" name="wpsw_business_type">
<?php
		
		$btypes = wpsw_list_business_types();
		foreach($btypes as $index => $value)
		{
			echo '<option value="' . $index . '"';
			if($index == $wpsw_business_type)
			{
				echo ' selected';
			}
			echo '>'  . $value . '</option>';
		}
		?>
			</select>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_meta"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set your business name. If left empty, site name will be used.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Business Name*:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="wpsw_business_name" placeholder="<?php esc_html_e( 'Required', 'wp-setup-wizard' ); ?>" name="wpsw_business_name" value="<?php echo esc_attr($wpsw_business_name);?>"/>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_meta"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set your business description. Keep under 150 characters. This is very important, be descriptive. If left empty, site description will be used.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Business Description*:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <textarea rows="3" id="wpsw_business_description" placeholder="<?php esc_html_e( 'Required', 'wp-setup-wizard' ); ?>" name="wpsw_business_description"/><?php echo esc_attr($wpsw_business_description);?></textarea>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_meta"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set your business logo URL. Not Required.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Business Logo URL:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="url" validator="url" id="wpsw_business_logo" placeholder="<?php esc_html_e( 'Not Required', 'wp-setup-wizard' ); ?>" name="wpsw_business_logo" value="<?php echo esc_attr($wpsw_business_logo);?>"/>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_meta"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set your accepted payment types.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Accepted Payment Types (Optional):', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="wpsw_business_payment" placeholder="<?php esc_html_e( 'PayPal, Visa, MasterCard, Cash', 'wp-setup-wizard' ); ?>" name="wpsw_business_payment" value="<?php echo esc_attr($wpsw_business_payment);?>"/>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_meta"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Select the price range of your business.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Select Business Price Range:', 'wp-setup-wizard' ); ?></b>
                    </td><td>
                    <select id="wpsw_business_price" name="wpsw_business_price">
					<option value="$"';
<?php
			if('$' == $wpsw_business_price)
			{
				echo ' selected';
			}
?>
			>$</option>
			<option value="$$"';
<?php
			if('$$' == $wpsw_business_price)
			{
				echo ' selected';
			}
?>
			>$$</option>
			<option value="$$$"';
<?php
			if('$$$' == $wpsw_business_price)
			{
				echo ' selected';
			}
?>
			>$$$</option>
			<option value="$$$$"';
<?php
			if('$$$$' == $wpsw_business_price)
			{
				echo ' selected';
			}
?>
			>$$$$</option>
			<option value="$$$$$"';
<?php
			if('$$$$$' == $wpsw_business_price)
			{
				echo ' selected';
			}
?>
			>$$$$$</option>
			</select>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_meta"><td colspan="2"><h4><?php esc_html_e( 'Business Location Info:', 'wp-setup-wizard' ); ?></h4></td></tr>
		<tr class="wpsw_enable_hide_meta"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set your business street address.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Business Street Address:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="wpsw_business_address" placeholder="<?php esc_html_e( 'Local Business Address', 'wp-setup-wizard' ); ?>" name="wpsw_business_address" value="<?php echo esc_attr($wpsw_business_address);?>"/>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_meta"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set your business city.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Business City*:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="wpsw_business_city" placeholder="<?php esc_html_e( 'Required', 'wp-setup-wizard' ); ?>" name="wpsw_business_city" value="<?php echo esc_attr($wpsw_business_city);?>"/>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_meta"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set your business state.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Business State*:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="wpsw_business_state" placeholder="<?php esc_html_e( 'Required', 'wp-setup-wizard' ); ?>" name="wpsw_business_state" value="<?php echo esc_attr($wpsw_business_state);?>"/>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_meta"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set your business zip code.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Business Zip Code:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="number" id="wpsw_business_zip" placeholder="<?php esc_html_e( 'Zip Code', 'wp-setup-wizard' ); ?>" name="wpsw_business_zip" value="<?php echo esc_attr($wpsw_business_zip);?>"/>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_meta"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set your business country.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Business Country:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="wpsw_business_country" placeholder="<?php esc_html_e( 'Country', 'wp-setup-wizard' ); ?>" name="wpsw_business_country" value="<?php echo esc_attr($wpsw_business_country);?>"/>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_meta"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Check this checkbox to geolocation services to determine the latitude and longitude of your business.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Enable Geolocation API:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="wpsw_enable_geo" name="wpsw_enable_geo" <?php if($wpsw_enable_geo == '1') {echo ' checked';}?>>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_meta"><td colspan="2"><h4><?php esc_html_e( 'Business Contact Info:', 'wp-setup-wizard' ); ?></h4></td></tr>
		<tr class="wpsw_enable_hide_meta"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set your business email.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Business Email:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="email" id="wpsw_business_email" placeholder="<?php esc_html_e( 'Email', 'wp-setup-wizard' ); ?>" name="wpsw_business_email" value="<?php echo esc_attr($wpsw_business_email);?>"/>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_meta"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set your business phone number.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Business Phone Number:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="wpsw_business_phone" placeholder="<?php esc_html_e( 'Phone number', 'wp-setup-wizard' ); ?>" name="wpsw_business_phone" value="<?php echo esc_attr($wpsw_business_phone);?>"/>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_meta"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set your business fax number.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Business Fax Number:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="wpsw_business_fax" placeholder="<?php esc_html_e( 'Fax number', 'wp-setup-wizard' ); ?>" name="wpsw_business_fax" value="<?php echo esc_attr($wpsw_business_fax);?>"/>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_meta"><td colspan="2"><h4><?php esc_html_e( 'Business Opening Period:', 'wp-setup-wizard' ); ?></h4></td></tr>
		<tr class="wpsw_enable_hide_meta"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set business opening hour.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Business Open Hour:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="wpsw_business_open" placeholder="<?php esc_html_e( '8:00', 'wp-setup-wizard' ); ?>" name="wpsw_business_open" value="<?php echo esc_attr($wpsw_business_open);?>"/>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_meta"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set your business closing hour.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Business Close Hour:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="wpsw_business_close" placeholder="<?php esc_html_e( '16:00', 'wp-setup-wizard' ); ?>" name="wpsw_business_close" value="<?php echo esc_attr($wpsw_business_close);?>"/>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_meta"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set your business days open.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Business Days Open:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="wpsw_business_days" placeholder="<?php esc_html_e( 'Mo,Tu,We,Th,Fr,Sa,Su', 'wp-setup-wizard' ); ?>" name="wpsw_business_days" value="<?php echo esc_attr($wpsw_business_days);?>"/>
        </div>
        </td></tr>
		<tr><td colspan="2"><hr/></td></tr>
		
      <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Check this checkbox to enable SEO rating meta.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Enable SEO Ratings:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="wpsw_enable_seo_rating" name="wpsw_enable_seo_rating" <?php if($wpsw_enable_seo_rating == '1') {echo ' checked';}?>>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_rating"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set your business rating value.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Rating Value:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="wpsw_business_rating_val" placeholder="<?php esc_html_e( 'From 1 to 5', 'wp-setup-wizard' ); ?>" name="wpsw_business_rating_val" value="<?php echo esc_attr($wpsw_business_rating_val);?>"/>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_rating"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set your best business rating value.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Rating Best Value:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="wpsw_business_rating_max" placeholder="<?php esc_html_e( 'From 1 to 5', 'wp-setup-wizard' ); ?>" name="wpsw_business_rating_max" value="<?php echo esc_attr($wpsw_business_rating_max);?>"/>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_rating"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set your worst business rating value.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Rating Worst Value:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="wpsw_business_rating_min" placeholder="<?php esc_html_e( 'From 1 to 5', 'wp-setup-wizard' ); ?>" name="wpsw_business_rating_min" value="<?php echo esc_attr($wpsw_business_rating_min);?>"/>
        </div>
        </td></tr>
		<tr class="wpsw_enable_hide_rating"><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Set your business rating count.", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Rating Count:', 'wp-setup-wizard' ); ?></b>
                    </div>
                    </td><td>
                    <div>
                    <input type="text" id="wpsw_business_rating_count" placeholder="<?php esc_html_e( 'Rating count', 'wp-setup-wizard' ); ?>" name="wpsw_business_rating_count" value="<?php echo esc_attr($wpsw_business_rating_count);?>"/>
        </div>
        </td></tr>
      </table>
      <hr />
         <div><p><input type="button" name="btnSubmit" id="btnSubmit2" class="button button-primary" onclick="unsaved = false;wpsw_save_content('seo', 'Local');" value="<?php esc_html_e( 'Save and Apply Settings', 'wp-setup-wizard' ); ?>"/></p></div>
  <span id="wpsw_processing_Local"></span></div>
    </form>
    </div>
</div>
<?php
}