<?php

function wpsw_welcome_settings()
{
?>
<div class="wrap gs_popuptype_holder seo_pops">
    <div>
        <form id="myForm" method="post" action="">
<?php
    if (isset($_GET['settings-updated'])) {
        $get = get_option('wpsw_settings_changed', 0);
?>
<div id="message" class="updated">
<p class="cr_saved_notif"><strong>&nbsp;<?php echo esc_html__('Settings saved.', 'wp-setup-wizard');?></strong></p>
</div>
<?php
if($get == 1)
{
    delete_option('wpsw_settings_changed');
?>
<div id="message" class="updated">
<p class="cr_failed_notif"><strong>&nbsp;<?php echo esc_html__('Plugin registration failed!', 'wp-setup-wizard');?></strong></p>
</div>
<?php 
}
elseif($get == 2)
{
        delete_option('wpsw_settings_changed');
?>
<div id="message" class="updated">
<p class="cr_saved_notif"><strong>&nbsp;<?php echo esc_html__('Plugin registration successful!', 'wp-setup-wizard');?></strong></p>
</div>
<?php 
}
elseif($get != 0)
{
        delete_option('coderevolution_settings_changed');
?>
<div id="message" class="updated">
<p class="cr_failed_notif"><strong>&nbsp;<?php echo esc_html($get);?></strong></p>
</div>
<?php 
}
    }
?>
  
  <div id="cs-tab-vcc-shortcodes">
  <center>
  <img src="<?php echo plugins_url('../images/logodark.png', __FILE__);?>">
  <h2><?php esc_html_e( 'Welcome to WP Setup Wizard!', 'wp-setup-wizard' ); ?></h2><hr/>
  <p><?php echo esc_html__('WP Setup Wizard will save you time on repetitive tasks you are doing while setting up (or resetting) your WordPress website.', 'wp-setup-wizard');?></p>
  </center><hr/>
  <table>
    <tr><td colspan="2">
  <h2><b><?php echo esc_html__("Need help getting started with the plugin? Check the below tutorial videos:", 'wp-setup-wizard');?></b> </h2>
        <ul>
           <li>&nbsp;&nbsp;&nbsp;&nbsp;<b><?php echo esc_html__("Tutorial 1:", 'wp-setup-wizard');?></b> <a href="https://www.youtube.com/watch?v=iNjozJ9CqdE" target="_blank"><?php echo esc_html__("Quick Setup Wizard", 'wp-setup-wizard');?></a></li>
           <li>&nbsp;&nbsp;&nbsp;&nbsp;<b><?php echo esc_html__("Tutorial 2:", 'wp-setup-wizard');?></b> <a href="https://www.youtube.com/watch?v=MRvozlmoFms" target="_blank"><?php echo esc_html__("Content", 'wp-setup-wizard');?></a></li>
           <li>&nbsp;&nbsp;&nbsp;&nbsp;<b><?php echo esc_html__("Tutorial 3:", 'wp-setup-wizard');?></b> <a href="https://www.youtube.com/watch?v=LZxcXUmEpoc" target="_blank"><?php echo esc_html__("Legal", 'wp-setup-wizard');?></a></li>
           <li>&nbsp;&nbsp;&nbsp;&nbsp;<b><?php echo esc_html__("Tutorial 4:", 'wp-setup-wizard');?></b> <a href="https://www.youtube.com/watch?v=4ahW3gNK87E" target="_blank"><?php echo esc_html__("Themes & Plugins", 'wp-setup-wizard');?></a></li>
           <li>&nbsp;&nbsp;&nbsp;&nbsp;<b><?php echo esc_html__("Tutorial 5:", 'wp-setup-wizard');?></b> <a href="https://www.youtube.com/watch?v=wcuxFB2TN1o" target="_blank"><?php echo esc_html__("Security", 'wp-setup-wizard');?></a></li>
           <li>&nbsp;&nbsp;&nbsp;&nbsp;<b><?php echo esc_html__("Tutorial 6:", 'wp-setup-wizard');?></b> <a href="https://www.youtube.com/watch?v=LHTbPj_SapU" target="_blank"><?php echo esc_html__("Social & SEO", 'wp-setup-wizard');?></a></li>
           <li>&nbsp;&nbsp;&nbsp;&nbsp;<b><?php echo esc_html__("Tutorial 7:", 'wp-setup-wizard');?></b> <a href="https://www.youtube.com/watch?v=hBC0hN4IIcs" target="_blank"><?php echo esc_html__("Monetize & Speed", 'wp-setup-wizard');?></a></li>
           <li>&nbsp;&nbsp;&nbsp;&nbsp;<b><?php echo esc_html__("Tutorial 8:", 'wp-setup-wizard');?></b> <a href="https://www.youtube.com/watch?v=T7WTKjpntdU" target="_blank"><?php echo esc_html__("Branding & Reset", 'wp-setup-wizard');?></a></li>        
        </ul>
        </td></tr>
  <tr><td colspan="2">
  <b><?php echo esc_html__("Quick tip: you can also use the following shortcodes provided by this plugin:", 'wp-setup-wizard');?></b>
  <ul><li>
  <b>[wpsw-contact-form]</b> - <?php echo esc_html__("Creates a simple contact form that will allow your visitors to get in touch with you (sending mails to the WordPress admin email).", 'wp-setup-wizard');?>
  </li>
  <li>
  <b>[wpsw-gdpr-form]</b> - <?php echo esc_html__("Creates a GPDR contact form that will allow your visitors to submit GDPR requests.", 'wp-setup-wizard');?>
  </li>
  </ul>
  </td></tr>
    </table>
  </div>
  <div id="cs-tab-vcc-Quick" class="cs-section x-dnone">
                    <div class="hideMain">
                   <h2><?php esc_html_e( 'Quick Setup Wizard:', 'wp-setup-wizard' ); ?></h2><hr/>
                   <p><?php esc_html_e( 'Using the below button you will be able to access a quick config "Setup Wizard" interface which will help you set the most common settings for your site. For more advanced configuration, please to each settings category in the plugin\'s menu.', 'wp-setup-wizard' ); ?></p>
  <hr/>
  <br/>
  <?php esc_html_e( 'The Quick Setup Wizard is:', 'wp-setup-wizard' ); ?>&nbsp;
<?php
$is_ran = get_option( 'wpsw_setup_wizard_ran', '0' );
if($is_ran == '0')
{
    echo esc_html__('Not run.', 'wp-setup-wizard');
}
elseif($is_ran == '1')
{
    echo esc_html__('Finished.', 'wp-setup-wizard');
}
elseif($is_ran == '2')
{
    echo esc_html__('Started.', 'wp-setup-wizard');
}
elseif($is_ran == '3')
{
    echo esc_html__('Canceled.', 'wp-setup-wizard');
}
?>
<br/><br/>
 <a href="#" onclick="actionsChangedManual();" class="button button-primary"><i class="fa fa-lightbulb-o"></i> <?php esc_html_e( 'Click here to use the Quick Setup Wizard', 'wp-setup-wizard' ); ?></a>
  <hr/>
  <br/><br/>   
    </div>
    </div>
    </form>
    </div>
</div>
<?php
}