<?php
function wpsw_wm_searchItems($public_key, $aff_id, $rule_keywords, $product_type, $additionalParam, $min_price, $max_price, $node, $page_nr, $max)
{
    $feed_uri='http://api.walmartlabs.com/v1/search';
    $feed_uri .= '?apiKey=' . trim($public_key);
    if (isset($aff_id) && trim($aff_id) != '')
    {
        $feed_uri .= '&publisherId=' . trim($aff_id);
    }   
    $feed_uri .= '&query=' . urlencode($rule_keywords);
    $feed_uri .= '&numItems=' . $max;
    if($product_type != 'any' && $product_type != '')
    {
        $feed_uri .= '&categoryId=' . $product_type;
    }
    $exec = wpsw_get_web_page($feed_uri);
    if ($exec === FALSE) {
        wpsw_log_to_file('Failed to exec curl to get Walmart response type 0');
        return false;
    }
    
    $json  = json_decode($exec);
    if(!isset($json->items))
    {
        wpsw_log_to_file('Invalid Walmart response type: ' . $exec);
        return false;
    }
    $items = $json->items;
    return $items;
}
?>