"use strict";
function wpsw_setCookie(cname, cvalue, exdays) {
  var d = new Date();
  d.setTime(d.getTime() + (exdays*24*60*60*1000));
  var expires = "expires="+ d.toUTCString();
  document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
}
function wpsw_getCookie(cname) {
  var name = cname + "=";
  var decodedCookie = decodeURIComponent(document.cookie);
  var ca = decodedCookie.split(';');
  for(var i = 0; i <ca.length; i++) {
    var c = ca[i];
    while (c.charAt(0) == ' ') {
      c = c.substring(1);
    }
    if (c.indexOf(name) == 0) {
      return c.substring(name.length, c.length);
    }
  }
  return "";
}
jQuery(document).ready( function( $ ) {
    jQuery(document).on('click', '#wpsw-accept-cookie', function(e) {
        e.preventDefault();
        wpsw_setCookie('wpsw-cookie-banner', '1', wpsw_vars.show_time);
        jQuery( '.wpsw-cookie-banner' ).remove();
    });

    if ( '1' !== wpsw_getCookie( 'wpsw-cookie-banner' ) ) {
        var cookie_str = '<div class="wpsw-cookie-banner cookie-pos-'+wpsw_vars.cookie_pos+'">'+wpsw_vars.message+'<button id="wpsw-accept-cookie">'+wpsw_vars.button+
            '</button> <a class="wpsw-decline-btn" href="'+wpsw_vars.decline_url+'">'+wpsw_vars.decline_button+'</a> ';
            if( wpsw_vars.url != '' )
                cookie_str += '<a href="'+wpsw_vars.url+'">'+wpsw_vars.learn_more+'</a>';
            cookie_str += '</div>';
        jQuery( 'body' ).prepend(
            cookie_str
        );
    }
    jQuery('#wpswgdpraction').on('change', function(e) {
        e.preventDefault();
        var xval = jQuery(this).val();
        jQuery('.wpgdprpanel').hide();
        if( xval == 'Delete' ) {
            jQuery('#gdprfmpanel').show();
        }
        else if( xval == 'Edit' ) {
            jQuery('#gdprdrpanel').show();
        }
    });
});